OBTW
*******************************************************************************
                          DESCENT - The quest for NOM
                      A LOLCODE demo for Breakpoint 2010
              Written by Valerio "Karoshier" Cannone on march 2010

This work is distributed under the terms of the Creative Commons Attribution
Non-Commercial Share-alike 3.0 license. To have more information on the
terms under which you can use this work, please visit the following address:
http://creativecommons.org/licenses/by-nc-sa/3.0/
To view the full legal licensing terms please visit the following address:
http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode

-------------------------------------------------------------------------------
  WARNING! FOR THIS CODE TO RUN CORRECTLY, YOU *MUST* CONFIGURE THE VARIABLES
        "HORZSIZE", "VERTSIZE" AND "MASTERTIMING" AS SUGGESTED BELOW!
-------------------------------------------------------------------------------
The shell allows no sound except for a fixed frequency, fixed duration beep,
therefore no sound will be used. Moreover, the shell itself does not allow the
cursor to be moved up or left. For this reason, what has been drawn cannot be
overwritten. Animating by scrolling up will be the only option! ;)
The code has been tested to work with the LOLCODE parser actively maintained
by Justin J. Meza. I have tested the code on the Windows version only, but you
can find on the same website a 32bit x86 Linux (Ubuntu) version compiled by
Ryland Taylor. Both can be downloaded at http://www.icanhaslolcode.org.
Since the LOLCODE language can only get input from stdin and output characters to
stdout, the only requirements for this software are that the shell width and 
height are known and the timing is adjusted to the speed of your machine. The
code also expects the shell to be at least 80 characters wide.
Your shell is also required to support wrap-around.
I guess it should run just fine on Linux as well, but again I have not tested
it on Linux.
Note that this code is entirely written by hand, directly in LOLCODE; with the
exception of sprite definitions which *required* a separate tool for quick
definition.
*******************************************************************************
TLDR

OBTW
*******************************************************************************
This code needs to know the height and width of your terminal screen. Adjust it
using the variables below. A standard WinXP windowed shell is 80x25 characters
in size. In full screen at 1920x1080 the WinXP command shell is 80x50 characters
in size. Also, you need to set the master timing to match the speed of your
computer. 8192 is a good value for my 2.2GHz T6670 Intel Core2 Duo CPU so take
that as a reference and tweak around. Note that the parser is not multithreaded,
therefore the number of cores you have should be ignored.
The initialization of these variables is located at the end of the file (search
for "CONFIGURE HERE").
*******************************************************************************
TLDR
I HAS A HORZSIZE ITZ A NUMBR                      BTW Horizontal size of the screen
I HAS A VERTSIZE ITZ A NUMBR                      BTW Vertical size of the screen
I HAS A MASTERTIMING ITZ A NUMBR                  BTW Timing delay to be adjusted according to the CPU speed

OBTW
*******************************************************************************
The following variables hold the line buffer, a sine table and the characters
used to represent the shades of grey needed for the demo to be correctly shown.
You should not need to alter them unless you are using a charset different than
the standard one.
*******************************************************************************
TLDR
I HAS A LINEBUFFER ITZ A BUKKIT                   BTW Holds the contents of the line to render; the buffer is HORZSIZE characters long
I HAS A SHADES ITZ A BUKKIT                       BTW Characters used to show shades of grey in ASCII mode
I HAS A MAXSHADES ITZ A NUMBR                     BTW Number of shades available
I HAS A SINETABLE ITZ A BUKKIT                    BTW Holds a sine table for use by the rubber band code
I HAS A SINETABLESIZE ITZ A NUMBR                 BTW Defines how many entries are there in the sine table

OBTW
*******************************************************************************
The variables holding the sprites are defined here, while the contents are
filled later in the code at the end of the file. This is necessary because
LOLCODE does not have a way to define constant arrays or to load data from
disk. When you need constant arrays you must simply define them and then fill
them in by hand. I admit I couldn't handle this by hand, so I've written a
small command line tool that creates the huge sequences of
SPR_<name>!!<index> R <value>. I really wish I had another way to implement
constant arrays.
*******************************************************************************
TLDR
I HAS A SPR_CAT ITZ A BUKKIT
I HAS A SPR_MOON ITZ A BUKKIT
I HAS A SPR_HOUSE ITZ A BUKKIT
I HAS A SPR_TREE ITZ A BUKKIT
I HAS A SPR_SIGN ITZ A BUKKIT
I HAS A SPR_CBM ITZ A BUKKIT
I HAS A SPR_AMIGA ITZ A BUKKIT
I HAS A SPR_ATARI ITZ A BUKKIT
I HAS A SPR_CUBE ITZ A BUKKIT
I HAS A SPR_ROBISJARIG ITZ A BUKKIT
I HAS A SPR_SCENESAT ITZ A BUKKIT
I HAS A SPR_BUKKIT ITZ A BUKKIT
I HAS A SPR_FISH ITZ A BUKKIT
I HAS A SPR_BREAKPOINT ITZ A BUKKIT

OBTW
*******************************************************************************
The following are simple sprites, however they make up single characters of a
font, so I've grouped them here.
*******************************************************************************
TLDR
I HAS A CHR_M ITZ A BUKKIT
I HAS A CHR_N ITZ A BUKKIT
I HAS A CHR_O ITZ A BUKKIT

OBTW
*******************************************************************************
This object contains a congruential pseudo-random number generator. It is based
on the formula VALUE = ( (SEED * A) + B) MOD LIMIT, where
SEED = last value returned by the generator or seed to start a new sequence
A = Fragmentation parameter
B = Spread parameter
LIMIT = the generator returns a random sequence of numbers in the range 0<=X<LIMIT
For further information there is a good article on wikipedia about this.
*******************************************************************************
TLDR
O HAI IM RNDGEN
  HOW DUZ I GETVALUE YR SEED AN YR A_PARAM AN YR B_PARAM AN YR LIMIT
    I HAS A TEMP ITZ A NUMBR
    TEMP R SUM OF SEED AN B_PARAM                 BTW Shift incoming value into the generator range
    TEMP R PRODUKT OF TEMP AN A_PARAM
    TEMP R MOD OF TEMP AN LIMIT
    FOUND YR TEMP
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
The following code generates the terrain layers that are shown when digging
into the void.
*******************************************************************************
TLDR
O HAI IM TERRAINGEN
  I HAS A RANDOM ITZ LIEK A RNDGEN                BTW Random number generator object
  I HAS A RANDVAL ITZ A NUMBR                     BTW Holds the last generated number
  I HAS A CURRSHADE ITZ A NUMBR                   BTW Shade that makes up the current terrain layer
  I HAS A NEXTSHADE ITZ A NUMBR                   BTW Shade that makes up the next terrain layer
  I HAS A STATE ITZ A NUMBR                       BTW Current terrain generator state (0=Normal; 1=Transitioning)
  I HAS A LAYERHEIGHT ITZ A NUMBR                 BTW Counts down the number of rows that make up a layer
  I HAS A LAYERCOUNT ITZ A NUMBR                  BTW Number of rows to go for the next layer
  I HAS A DEBRISCOUNT ITZ A NUMBR                 BTW Number of rows to go for the next debris
  I HAS A CHANGEDIR ITZ A NUMBR                   BTW Direction of the layer change (0=left to right; 1=right to left)
  I HAS A CHANGESTATE ITZ A NUMBR                 BTW Current horizontal position of the transition point during layer transitions
  I HAS A SHADERAND ITZ A NUMBR
  MAH LINEBUFFER
  
  HOW DUZ I INITIALIZE
    MAH CURRSHADE
    MAH NEXTSHADE
    MAH STATE
    MAH LAYERHEIGHT
    MAH LAYERCOUNT
    MAH DEBRISCOUNT
    
    CURRSHADE R 1
    NEXTSHADE R CURRSHADE
    STATE R 0
    LAYERHEIGHT R 8
    LAYERCOUNT R LAYERHEIGHT
    DEBRISCOUNT R 5
  IF U SAY SO
  
  HOW DUZ I DRAWNORMALSTATE
    I HAS A IDX ITZ A NUMBR
    MAH LINEBUFFER
    MAH LAYERCOUNT
    MAH LAYERHEIGHT
    MAH LAYERCOUNT
    MAH NEXTSHADE
    MAH CHANGEDIR
    MAH CHANGESTATE
    MAH STATE
    MAH SHADERAND
    
    BTW Generate an entire row of the current layer shade
    IDX R 0
    IM IN YR NORMALLAYERLOOP
      LINEBUFFER!?IDX R CURRSHADE
      IDX R SUM OF IDX AN 1
      BOTH SAEM IDX AN HORZSIZE
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR NORMALLAYERLOOP
    LAYERCOUNT R DIFF OF LAYERCOUNT AN 1
    BOTH SAEM LAYERCOUNT AN 0
    O RLY?
      YA RLY
        LAYERHEIGHT R RANDOM!!GETVALUE LAYERHEIGHT 45 9 16
        LAYERCOUNT R LAYERHEIGHT            
        LAYERCOUNT R SUM OF LAYERCOUNT AN 3
        SHADERAND R RANDOM!!GETVALUE SHADERAND 45 9 256
        NEXTSHADE R MOD OF SHADERAND AN 4
        NEXTSHADE R SUM OF NEXTSHADE AN 1
        CHANGEDIR R QUOSHUNT OF LAYERHEIGHT AN 2
        CHANGEDIR R MOD OF CHANGEDIR AN 2
        CHANGESTATE R 0
        STATE R 1
    OIC
  IF U SAY SO
  
  HOW DUZ I DRAWTRANSITIONSTATE
    I HAS A IDX ITZ A NUMBR
    I HAS A INCR ITZ A NUMBR
    I HAS A STRT ITZ A NUMBR
    I HAS A IEND ITZ A NUMBR
    MAH RANDVAL
    MAH CHANGESTATE
    MAH CURRSHADE
    MAH LINEBUFFER
    MAH STATE
    
    BTW We are transitioning to a new layer
    BOTH SAEM CHANGEDIR AN 0
    O RLY?
      YA RLY
        BTW Transition direction is from left to right
        INCR R 1
        STRT R 0
        IEND R CHANGESTATE
      NO WAI
        BTW Transition direction is from right to left
        INCR R -1
        STRT R DIFF OF HORZSIZE AN 1
        IEND R DIFF OF STRT AN CHANGESTATE
    OIC
    DIFFRINT IEND AN BIGGR OF IEND AN -1
    O RLY?
      YA RLY
        IEND R -1
    OIC
    DIFFRINT IEND AN SMALLR OF IEND AN HORZSIZE
    O RLY?
      YA RLY
        IEND R HORZSIZE
    OIC
    IDX R STRT
    IM IN YR TRANSITIONLAYERLOOPA
      BOTH SAEM IDX AN IEND
      O RLY?
        YA RLY, GTFO
      OIC
      LINEBUFFER!?IDX R NEXTSHADE
      IDX R SUM OF IDX AN INCR
      BOTH SAEM IDX AN IEND
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR TRANSITIONLAYERLOOPA
    BOTH SAEM CHANGEDIR AN 0
    O RLY?
      YA RLY
        BTW Transition direction is from left to right
        INCR R 1
        STRT R CHANGESTATE
        IEND R HORZSIZE
      NO WAI
        BTW Transition direction is from right to left
        INCR R -1
        STRT R DIFF OF HORZSIZE AN 1
        STRT R DIFF OF STRT AN CHANGESTATE
        IEND R -1
    OIC
    DIFFRINT IEND AN BIGGR OF IEND AN -1
    O RLY?
      YA RLY
        IEND R -1
    OIC
    DIFFRINT IEND AN SMALLR OF IEND AN HORZSIZE
    O RLY?
      YA RLY
        IEND R HORZSIZE
    OIC
    IDX R STRT
    IM IN YR TRANSITIONLAYERLOOPB
      BOTH SAEM IDX AN IEND
      O RLY?
        YA RLY, GTFO
      OIC
      LINEBUFFER!?IDX R CURRSHADE
      IDX R SUM OF IDX AN INCR
      BOTH SAEM IDX AN IEND
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR TRANSITIONLAYERLOOPB
    RANDVAL R RANDOM!!GETVALUE RANDVAL 45 9 256
    IDX R MOD OF RANDVAL AN 15
    CHANGESTATE R SUM OF CHANGESTATE AN IDX
    BOTH SAEM CHANGESTATE AN BIGGR OF CHANGESTATE AN HORZSIZE
    O RLY?
      YA RLY
        CURRSHADE R NEXTSHADE
        STATE R 0
    OIC
  IF U SAY SO
  
  HOW DUZ I DRAWLAYER
    I HAS A IDX ITZ A NUMBR
    MAH LINEBUFFER
    MAH RANDVAL
    MAH DEBRISCOUNT
    
    BOTH SAEM STATE AN 0
    O RLY?
      YA RLY
        DRAWNORMALSTATE
    OIC
    BOTH SAEM STATE AN 1
    O RLY?
      YA RLY
        DRAWTRANSITIONSTATE
    OIC
    BTW Add debris
    DEBRISCOUNT R DIFF OF DEBRISCOUNT AN 1
    BOTH SAEM DEBRISCOUNT AN 0
    O RLY?
      YA RLY
        DEBRISCOUNT R 5
        RANDVAL R RANDOM!!GETVALUE RANDVAL 45 9 256
        IDX R MOD OF RANDVAL AN HORZSIZE
        LINEBUFFER!?IDX R MAXSHADES
    OIC
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
This object takes care of drawing the tunnel on top of the stuff generated by
the terrain generator object.
*******************************************************************************
TLDR
O HAI IM TUNNELGEN
  I HAS A TUNNELRND ITZ LIEK A RNDGEN
  I HAS A TUNNELWIDTH ITZ A NUMBR
  I HAS A TUNNELPOS ITZ A NUMBR
  I HAS A LEFTBORDER ITZ A NUMBR
  I HAS A RIGHTBORDER ITZ A NUMBR
  I HAS A WATER ITZ A NUMBR
  I HAS A TUNRANVAL ITZ A NUMBR
  I HAS A WATERRND ITZ A NUMBR
  
  HOW DUZ I INITIALIZE
    MAH TUNNELWIDTH
    MAH TUNNELPOS
    MAH LEFTBORDER
    MAH RIGHTBORDER
    MAH TUNRANVAL
    MAH WATER

    TUNNELWIDTH R 7
    TUNNELPOS R 45
    LEFTBORDER R 3
    RIGHTBORDER R -3
    WATER R 0
    TUNRANVAL R 0
  IF U SAY SO
  
  HOW DUZ I SETPARAMETERS YR WIDTH AN YR LEFT AN YR RIGHT AN YR ENABLEWATER
    MAH TUNNELWIDTH
    MAH LEFTBORDER
    MAH RIGHTBORDER
    MAH WATER
    
    TUNNELWIDTH R WIDTH
    LEFTBORDER R LEFT
    RIGHTBORDER R PRODUKT OF RIGHT AN -1
    WATER R ENABLEWATER
    OIC
  IF U SAY SO
  
  HOW DUZ I ANIMATETUNNEL
    I HAS A INCR ITZ A NUMBR
    I HAS A NEWPOS ITZ A NUMBR
    I HAS A NEWEND ITZ A NUMBR
    I HAS A RIGHTMARGIN ITZ A NUMBR
    MAH TUNNELPOS
    MAH TUNRANVAL
    
    TUNRANVAL R TUNNELRND!!GETVALUE TUNRANVAL 45 9 256
    INCR R 0
    DIFFRINT TUNRANVAL AN BIGGR OF TUNRANVAL AN 64
    O RLY?
      YA RLY
        INCR R -1
    OIC
    DIFFRINT TUNRANVAL AN BIGGR OF TUNRANVAL AN 32
    O RLY?
      YA RLY
        INCR R -2
    OIC
    DIFFRINT TUNRANVAL AN SMALLR OF TUNRANVAL AN 192
    O RLY?
      YA RLY
        INCR R 1
    OIC
    DIFFRINT TUNRANVAL AN SMALLR OF TUNRANVAL AN 224
    O RLY?
      YA RLY
        INCR R 2
    OIC
    NEWPOS R SUM OF TUNNELPOS AN INCR
    NEWEND R SUM OF NEWPOS AN TUNNELWIDTH
    RIGHTMARGIN R SUM OF HORZSIZE AN RIGHTBORDER
    DIFFRINT NEWEND AN SMALLR OF NEWEND AN RIGHTMARGIN
    O RLY?
      YA RLY
        NEWPOS R DIFF OF RIGHTMARGIN AN TUNNELWIDTH
    OIC
    DIFFRINT NEWPOS AN BIGGR OF NEWPOS AN LEFTBORDER
    O RLY?
      YA RLY
        NEWPOS R LEFTBORDER
    OIC
    TUNNELPOS R NEWPOS
  IF U SAY SO

  HOW DUZ I RENDERTUNNEL
    I HAS A IDX ITZ A NUMBR
    I HAS A SEND ITZ A NUMBR
    I HAS A DASHPOS ITZ A NUMBR
    I HAS A DASHCHR ITZ A NUMBR
    MAH LINEBUFFER
    MAH WATERRND
    MAH WATER
    
    WATERRND R TUNNELRND!!GETVALUE WATERRND 45 9 256
    DASHCHR R 7
    BOTH SAEM WATERRND AN BIGGR OF WATERRND AN 128
    O RLY?
      YA RLY
        DASHCHR R 0
    OIC
    DIFFRINT WATERRND AN BIGGR OF WATERRND AN 32
    O RLY?
      YA RLY
        DASHCHR R 8
    OIC
    DASHPOS R MOD OF WATERRND AN TUNNELWIDTH
    DASHPOS R SUM OF DASHPOS AN TUNNELPOS
    IDX R TUNNELPOS
    SEND R SUM OF IDX AN TUNNELWIDTH
    IM IN YR TUNNELLOOP
      WATER, WTF?
        OMG 0
          LINEBUFFER!?IDX R 0
          GTFO
        OMG 1
          LINEBUFFER!?IDX R 0
          GTFO
        OMG 2
          LINEBUFFER!?IDX R 7    BTW Special shade to show the top of the water
          GTFO
      OIC
      IDX R SUM OF IDX AN 1
      BOTH SAEM IDX AN SEND
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR TUNNELLOOP
    BOTH SAEM WATER AN 1
    O RLY?
      YA RLY
        LINEBUFFER!?DASHPOS R DASHCHR
    OIC
    BOTH SAEM WATER AN 2
    O RLY?
      YA RLY
        WATER R 1
    OIC
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
This object handles displaying of sprites.
Sprites are organized as a matrix of shades, one per "pixel". However, I'm not
using multidimensional BUKKITs  therefore one single array is used to hold a
sprite shape and all data accompanying it. The first two indexes of the BUKKIT
are reserved to hold width and height of the sprite in "pixels". The rest of
the entries contain the sprite data itself in the form of shade indexes.
A shade index of -1 means transparency; transparency is handled by simply not
altering the line buffer. The total length of the BUKKIT is HEIGHT*WIDTH+2.
Callers of this object methods should provide the bukkit containing the sprite,
the horizontal position where to draw the sprite and the number of the line to
draw. The drawing routine will return 1 if the sprite has been drawn or 0 if
the line number is invalid, meaning that the last draw operation completed the
rendering of the sprite.
*******************************************************************************
TLDR
O HAI IM SPRITERENDERER
  HOW DUZ I RENDER YR SPRITE AN YR XPOS AN YR LINE
    I HAS A BUKIDX ITZ A NUMBR
    I HAS A IDX ITZ A NUMBR
    I HAS A POS ITZ A NUMBR
    I HAS A TEMP ITZ A NUMBR
    MAH LINEBUFFER
    
    BOTH SAEM LINE AN BIGGR OF LINE AN SPRITE!!1       BTW If the line to display is out of range then quit
    O RLY?
      YA RLY
        FOUND YR 0
    OIC
    BUKIDX R SPRITE!!0                                 BTW Get X width of the sprite
    BUKIDX R PRODUKT OF BUKIDX AN LINE                 BTW Get index to the line we should display
    BUKIDX R SUM OF BUKIDX AN 2                        BTW Skip XSIZE and YSIZE at locations 0 and 1 of the sprite bukkit
    IDX R 0                                            BTW Initialize the loop index, counting the number of pixels displayed
    POS R XPOS                                         BTW Initialize the screen position index, addressing the line buffer
    IM IN YR SPRITELOOP
      TEMP R SPRITE!?BUKIDX                            BTW Get sprite pixel
      DIFFRINT TEMP AN -1                              BTW Transparent?
      O RLY?
        YA RLY
          LINEBUFFER!?POS R TEMP                       BTW No: put the pixel
      OIC
      POS R SUM OF POS AN 1
      BUKIDX R SUM OF BUKIDX AN 1
      IDX R SUM OF IDX AN 1
      BOTH SAEM IDX AN SPRITE!!0
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR SPRITELOOP
    TEMP R SUM OF LINE AN 1
    BOTH SAEM TEMP AN SPRITE!!1
    O RLY?
      YA RLY
        FOUND YR 0                                     BTW We have drawn the last line of the sprite
      NO WAI
        FOUND YR 1                                     BTW We have drawn a line of the sprite
    OIC
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
This object takes care of showing messages on the screen and handles rendering
of the line buffer.
*******************************************************************************
TLDR
O HAI IM LINETOOLS
  HOW DUZ I CENTERVISIBLE YR DISPLAYTEXT AN YR TEXTSIZE
    I HAS A LEFTCOUNT ITZ A NUMBR
    I HAS A RIGHTCOUNT ITZ A NUMBR

    RIGHTCOUNT R DIFF OF HORZSIZE AN TEXTSIZE
    LEFTCOUNT R QUOSHUNT OF RIGHTCOUNT AN 2
    RIGHTCOUNT R DIFF OF RIGHTCOUNT AN LEFTCOUNT

    IM IN YR LEFTLOOP
      VISIBLE " "!
      LEFTCOUNT R DIFF OF LEFTCOUNT AN 1
      BOTH SAEM LEFTCOUNT AN 0
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR LEFTLOOP
    VISIBLE DISPLAYTEXT!
    IM IN YR RIGHTLOOP
      VISIBLE " "!
      RIGHTCOUNT R DIFF OF RIGHTCOUNT AN 1
      BOTH SAEM RIGHTCOUNT AN 0
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR RIGHTLOOP
  IF U SAY SO
  
  HOW DUZ I TEXTLINESCREENTOP YR TEXTLINECOUNT
    I HAS A TOPLINES ITZ A NUMBR

    TOPLINES R DIFF OF VERTSIZE AN TEXTLINECOUNT
    TOPLINES R QUOSHUNT OF TOPLINES AN 2

    IM IN YR TOPLOOP
      VISIBLE ""
      TOPLINES R DIFF OF TOPLINES AN 1
      BOTH SAEM TOPLINES AN 0
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR TOPLOOP
  IF U SAY SO

  HOW DUZ I TEXTLINESCREENBOT YR TEXTLINECOUNT
    I HAS A TOPLINES ITZ A NUMBR
    I HAS A BOTLINES ITZ A NUMBR

    TOPLINES R DIFF OF VERTSIZE AN TEXTLINECOUNT
    TOPLINES R QUOSHUNT OF TOPLINES AN 2
    BOTLINES R DIFF OF VERTSIZE AN TOPLINES
    BOTLINES R DIFF OF BOTLINES AN TEXTLINECOUNT

    IM IN YR BOTLOOP
      VISIBLE ""
      BOTLINES R DIFF OF BOTLINES AN 1
      BOTH SAEM BOTLINES AN 0
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR BOTLOOP
  IF U SAY SO

  HOW DUZ I DRAWLINEBUFFER
    I HAS A TEMP ITZ A NUMBR
    I HAS A IDX ITZ A NUMBR
    
    IDX R 0
    IM IN YR DRAWLINEBUFFERLOOP
      TEMP R LINEBUFFER!?IDX
      VISIBLE SHADES!?TEMP!
      IDX R SUM OF IDX AN 1
      BOTH SAEM IDX AN HORZSIZE
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR DRAWLINEBUFFERLOOP
  IF U SAY SO
  
  HOW DUZ I CLEARSCREEN
    IM IN YR CLEARSCREENLOOP UPPIN YR IDX TIL BOTH SAEM IDX AN VERTSIZE
      VISIBLE ""
    IM OUTTA YR CLEARSCREENLOOP
  IF U SAY SO
  
  HOW DUZ I CLEARBUFFER
    MAH LINEBUFFER
    
    IM IN YR LINEBUFFERCLEARLOOP UPPIN YR IDX TIL BOTH SAEM IDX AN HORZSIZE
      LINEBUFFER!?IDX R 0
    IM OUTTA YR LINEBUFFERCLEARLOOP
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
This code counts time and waits for user input.
*******************************************************************************
TLDR
O HAI IM TIMINGTOOLS
  HOW DUZ I WAITTIME YR LOOPCOUNT
    I HAS A INTERNALCOUNT ITZ A NUMBR

    IM IN YR OUTERLOOP
      INTERNALCOUNT R MASTERTIMING

      IM IN YR INNERLOOP
        INTERNALCOUNT R DIFF OF INTERNALCOUNT AN 1
        BOTH SAEM INTERNALCOUNT AN 0
        O RLY?
          YA RLY, GTFO
        OIC
      IM OUTTA YR INNERLOOP

      LOOPCOUNT R DIFF OF LOOPCOUNT AN 1
      BOTH SAEM LOOPCOUNT AN 0
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR OUTERLOOP
  IF U SAY SO

  HOW DUZ I SLOWDOWN YR SLOWNESS
    I HAS A SLOWCOUNT ITZ A NUMBR

    SLOWCOUNT R SLOWNESS
    IM IN YR SLOWLOOP
    SLOWCOUNT R DIFF OF SLOWCOUNT AN 1
      BOTH SAEM SLOWCOUNT AN 0
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR SLOWLOOP 
  IF U SAY SO

  HOW DUZ I WAITCR
    I HAS A KEY ITZ A YARN
    GIMMEH KEY
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
The following code shows a text intro before the demo.
*******************************************************************************
TLDR
O HAI IM TEXTINTRO
  I HAS A ENGINE ITZ LIEK A LINETOOLS
  I HAS A TIMING ITZ LIEK A TIMINGTOOLS

  HOW DUZ I SHOWINTRO
    ENGINE!!TEXTLINESCREENTOP 10
    ENGINE!!CENTERVISIBLE "Thiz demo iz ritten in LOLCODE (http:://www.lolcode.com)" 55
    VISIBLE ""
    VISIBLE ""
    VISIBLE ""
    VISIBLE "            HAI"
    VISIBLE "              IM IN YR LOOP UPPIN YR VAR TIL BOTH SAEM VAR AN 9"
    VISIBLE "                VISIBLE :"CHEEZBURGER:""
    VISIBLE "              IM OUTTA YR LOOP"
    VISIBLE "              VISIBLE :"::)U SEE? I HAS 10 CHEEZBURGERS! (NOM NOM NOM):""
    VISIBLE "            KTHXBYE"
    ENGINE!!TEXTLINESCREENBOT 10
    TIMING!!WAITTIME 12
    ENGINE!!TEXTLINESCREENTOP 4
    ENGINE!!CENTERVISIBLE "Teh language only supports STDIN an STDOUT," 43
    ENGINE!!CENTERVISIBLE "with NO means to control teh currsor..." 39
    VISIBLE ""
    ENGINE!!CENTERVISIBLE "(no libraries, no graphics, no sound, no nothing)" 49
    ENGINE!!TEXTLINESCREENBOT 4
    TIMING!!WAITTIME 10
    ENGINE!!CLEARSCREEN
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
This code shows text raster lines on the screen with the title of the demo.
*******************************************************************************
TLDR
O HAI IM RASTERGEN
  HOW DUZ I SHOWRASTER YR SHADE
    IM IN YR RASTERLOOP UPPIN YR IDX TIL BOTH SAEM IDX AN HORZSIZE
      VISIBLE SHADES!?SHADE!
    IM OUTTA YR RASTERLOOP
  IF U SAY SO
  
  HOW DUZ I SHOWRASTERLINES
    I HAS A ENGINE ITZ LIEK A LINETOOLS
    I HAS A TIMING ITZ LIEK A TIMINGTOOLS
    I HAS A DELAY ITZ A NUMBR
    
    DELAY R QUOSHUNT OF MASTERTIMING AN 10
    ENGINE!!CLEARSCREEN
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 2
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 2
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 3
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 2
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 3
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 4
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 2
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 3
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 4
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 5
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 2
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 3
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 4
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 5
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 6
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    ENGINE!!CENTERVISIBLE "DESCENT - The quest for NOM" 27
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 6
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 5
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 4
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 3
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 2
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 5
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 4
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 3
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 2
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 4
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 3
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 2
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 3
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 2
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 2
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 0
    TIMING!!SLOWDOWN DELAY
    SHOWRASTER 1
    TIMING!!SLOWDOWN DELAY
    IM IN YR SCROLLLOOP UPPIN YR IDX TIL BOTH SAEM IDX AN VERTSIZE
      SHOWRASTER 0
      TIMING!!SLOWDOWN DELAY
    IM OUTTA YR SCROLLLOOP
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
This code shows a 2D starfield scrolling up the screen.
*******************************************************************************
TLDR
O HAI IM STARFIELDGEN
  I HAS A RANDVAL ITZ A NUMBR
  
  HOW DUZ I RENDERSTARFIELD
    I HAS A RANDOM ITZ LIEK A RNDGEN
    I HAS A TEMP ITZ A NUMBR
    MAH RANDVAL
    MAH LINEBUFFER

    IM IN YR BUFFERCLEARLOOP UPPIN YR IDX TIL BOTH SAEM IDX AN HORZSIZE
      LINEBUFFER!?IDX R 0
    IM OUTTA YR BUFFERCLEARLOOP
    RANDVAL R RANDOM!!GETVALUE RANDVAL 45 7 256
    TEMP R MOD OF RANDVAL AN HORZSIZE
    LINEBUFFER!?TEMP R 1
    RANDVAL R RANDOM!!GETVALUE RANDVAL 45 7 256
    TEMP R MOD OF RANDVAL AN HORZSIZE
    LINEBUFFER!?TEMP R 1
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
This code generates two sinus interlacing together. Someone said it looks like
a rubber effect, therefore I called it "rubbergen".
*******************************************************************************
TLDR
O HAI IM RUBBERGEN
  I HAS A SINEPOS ITZ A NUMBR
  I HAS A ORDER ITZ A NUMBR
  SINEPOS R 0
  ORDER R 0
  
  HOW DUZ I DRAWPART YR XPOS AN YR SHADE
    MAH LINEBUFFER

    IM IN YR DRAWLOOP UPPIN YR IDX TIL BOTH SAEM IDX AN 5
      LINEBUFFER!?XPOS R SHADE
      XPOS R SUM OF XPOS AN 1
    IM OUTTA YR DRAWLOOP
  IF U SAY SO
  
  HOW DUZ I GENERATE YR HPOS
    I HAS A XPOS ITZ A NUMBR
    MAH LINEBUFFER
    MAH SINEPOS
    MAH ORDER
    
    XPOS R HPOS
    IM IN YR CLRLOOP UPPIN YR IDX TIL BOTH SAEM IDX AN 10
      LINEBUFFER!?XPOS R 0
      XPOS R SUM OF XPOS AN 1
    IM OUTTA YR CLRLOOP
    
    BOTH SAEM ORDER AN 0
    O RLY?
      YA RLY
        XPOS R SUM OF HPOS AN SINETABLE!?SINEPOS
        DRAWPART XPOS 4
        XPOS R SUM OF HPOS AN 5
        XPOS R DIFF OF XPOS AN SINETABLE!?SINEPOS
        DRAWPART XPOS 2
      NO WAI
        XPOS R SUM OF HPOS AN 5
        XPOS R DIFF OF XPOS AN SINETABLE!?SINEPOS
        DRAWPART XPOS 2
        XPOS R SUM OF HPOS AN SINETABLE!?SINEPOS
        DRAWPART XPOS 4
    OIC
    SINEPOS R SUM OF SINEPOS AN 1
    BOTH SAEM SINEPOS AN SINETABLESIZE
    O RLY?
      YA RLY
        SINEPOS R 0
        ORDER R 0
    OIC
    BOTH SAEM SINEPOS AN QUOSHUNT OF SINETABLESIZE AN 2
    O RLY?
      YA RLY
        ORDER R 1
    OIC
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
Mandelbrot fractal plotter code
*******************************************************************************
TLDR
O HAI IM FRACTALPLOTTER
  I HAS A X1 ITZ A NUMBAR
  I HAS A X2 ITZ A NUMBAR
  I HAS A Y1 ITZ A NUMBAR
  I HAS A Y2 ITZ A NUMBAR
  I HAS A HINTERVAL ITZ A NUMBAR
  I HAS A VINTERVAL ITZ A NUMBAR
  I HAS A XSQR ITZ A NUMBAR
  I HAS A YSQR ITZ A NUMBAR
  I HAS A X ITZ A NUMBAR
  I HAS A Y ITZ A NUMBAR
  I HAS A XFRACTAL ITZ A NUMBAR
  I HAS A YFRACTAL ITZ A NUMBAR
  I HAS A MAXITERATIONS ITZ A NUMBR

  HOW DUZ I PLOTDOT
    I HAS A ITERATION ITZ A NUMBR
    I HAS A ITEMP ITZ A NUMBR
    I HAS A XTEMP ITZ A NUMBAR
    I HAS A YTEMP ITZ A NUMBAR
    MAH X
    MAH Y
    MAH XSQR
    MAH YSQR
    
    ITERATION R 0
    IM IN YR DOTLOOP
      XTEMP R DIFF OF XSQR AN YSQR
      XTEMP R SUM OF XTEMP AN XFRACTAL
      YTEMP R PRODUKT OF X AN Y
      YTEMP R PRODUKT OF YTEMP AN 2
      YTEMP R SUM OF YTEMP AN YFRACTAL
      X R XTEMP
      Y R YTEMP
      XSQR R PRODUKT OF X AN X
      YSQR R PRODUKT OF Y AN Y
      ITERATION R SUM OF ITERATION AN 1
      DIFFRINT ITERATION AN SMALLR OF ITERATION AN MAXITERATIONS
      O RLY?
        YA RLY, GTFO
      OIC
      XTEMP R SUM OF XSQR AN YSQR
      BOTH SAEM XTEMP AN BIGGR OF XTEMP AN 4
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR DOTLOOP
    DIFFRINT ITERATION AN SMALLR OF ITERATION AN MAXITERATIONS
    O RLY?
      YA RLY
        VISIBLE " "!
        GTFO
      NO WAI
        ITEMP R MOD OF ITERATION AN MAXSHADES
        ITEMP R SUM OF ITEMP AN 1
        VISIBLE SHADES!?ITEMP!
    OIC
  IF U SAY SO
  
  HOW DUZ I PLOTROW
    MAH X
    MAH Y
    MAH XSQR
    MAH YSQR
    MAH XFRACTAL

    XFRACTAL R X1
    IM IN YR HORZLOOP UPPIN YR XINDEX TIL BOTH SAEM XINDEX AN HORZSIZE
      X R XFRACTAL
      Y R YFRACTAL
      XSQR R PRODUKT OF X AN X
      YSQR R PRODUKT OF Y AN Y
      PLOTDOT
      XFRACTAL R SUM OF XFRACTAL AN HINTERVAL
    IM OUTTA YR HORZLOOP
  IF U SAY SO
  
  HOW DUZ I PLOTWINDOW YR XSIZE AN YR YSIZE AN YR XCENTER AN YR YCENTER AN YR MAXITER
    MAH X1
    MAH X2
    MAH Y1
    MAH Y2
    MAH HINTERVAL
    MAH VINTERVAL
    MAH YFRACTAL
    MAH MAXITERATIONS
    
    MAXITERATIONS R MAXITER
    X1 R QUOSHUNT OF XSIZE AN 2
    X1 R DIFF OF XCENTER AN X1
    X2 R SUM OF X1 AN XSIZE
    Y1 R QUOSHUNT OF YSIZE AN 2
    Y1 R DIFF OF YCENTER AN Y1
    Y2 R SUM OF Y1 AN YSIZE
    HINTERVAL R DIFF OF X2 AN X1
    HINTERVAL R QUOSHUNT OF HINTERVAL AN HORZSIZE
    VINTERVAL R DIFF OF Y1 AN Y2
    VINTERVAL R QUOSHUNT OF VINTERVAL AN VERTSIZE
    YFRACTAL R Y1
    IM IN YR VERTLOOP UPPIN YR YINDEX TIL BOTH SAEM YINDEX AN VERTSIZE
      PLOTROW
      YFRACTAL R DIFF OF YFRACTAL AN VINTERVAL
    IM OUTTA YR VERTLOOP
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
Screen test object. Draws a rectangle near the border of the screen to ensure
HORZSIZE and VERTSIZE are set correctly. It also implements a rudimental way to
check if MASTERTIMING is correctly set.
*******************************************************************************
TLDR
O HAI IM SCREENTEST
  HOW DUZ I SHOWTESTSCREEN
    I HAS A TIMING ITZ LIEK A TIMINGTOOLS
    I HAS A ENGINE ITZ LIEK A LINETOOLS
    I HAS A ROW ITZ A NUMBR
    I HAS A IDX ITZ A NUMBR
    I HAS A TOP ITZ A NUMBR
    I HAS A BOT ITZ A NUMBR
    I HAS A LFT ITZ A NUMBR
    I HAS A RGT ITZ A NUMBR
    I HAS A SPC ITZ A NUMBR
    I HAS A ROT ITZ A NUMBR
    I HAS A MSG ITZ A YARN
    I HAS A MSGLEN ITZ A NUMBR
    
    BTW ***** Display test screeen ********************************************
    MSG R "KITTEH RULE #1:: ALWAYS CHECK THE PURRRIMETER!"
    MSGLEN R 45
  
    BOT R DIFF OF VERTSIZE AN 3
    TOP R QUOSHUNT OF BOT AN 2
    TOP R SUM OF TOP AN 3
    BOT R VERTSIZE
    SPC R DIFF OF HORZSIZE AN 2
    RGT R DIFF OF SPC AN MSGLEN
    LFT R QUOSHUNT OF RGT AN 2
    RGT R DIFF OF RGT AN LFT
    
    ROW R 1
    ROT R MOD OF ROW AN 10    
    VISIBLE ROT!  
    IDX R 0
    IM IN YR TOPROW
      VISIBLE "-"!
      IDX R SUM OF IDX AN 1
      BOTH SAEM IDX AN SPC
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR TOPROW
    VISIBLE ROT!

    ROW R 2
    IM IN YR TOPPART
      ROT R MOD OF ROW AN 10
      VISIBLE ROT!
      IDX R 0
      IM IN YR TOPSPACE
        VISIBLE " "!
        IDX R SUM OF IDX AN 1
        BOTH SAEM IDX AN SPC
        O RLY?
          YA RLY, GTFO
        OIC
      IM OUTTA YR TOPSPACE
      VISIBLE ROT!
      ROW R SUM OF ROW AN 1
      BOTH SAEM ROW AN TOP
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR TOPPART

    ROT R MOD OF ROW AN 10    
    VISIBLE ROT!
    IDX R 0
    IM IN YR LEFTSPACE
      VISIBLE " "!
      IDX R SUM OF IDX AN 1
      BOTH SAEM IDX AN LFT
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR LEFTSPACE
    VISIBLE MSG!
    IDX R 0
    IM IN YR RIGHTSPACE
      VISIBLE " "!
      IDX R SUM OF IDX AN 1
      BOTH SAEM IDX AN RGT
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR RIGHTSPACE
    VISIBLE ROT!
    ROW R SUM OF ROW AN 1
    
    IM IN YR BOTPART
      ROT R MOD OF ROW AN 10
      VISIBLE ROT!
      IDX R 0
      IM IN YR BOTSPACE
        VISIBLE " "!
        IDX R SUM OF IDX AN 1
        BOTH SAEM IDX AN SPC
        O RLY?
          YA RLY, GTFO
        OIC
      IM OUTTA YR BOTSPACE
      VISIBLE ROT!
      ROW R SUM OF ROW AN 1
      BOTH SAEM ROW AN BOT
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR BOTPART
    
    ROT R MOD OF ROW AN 10
    VISIBLE ROT!
    IDX R 0
    IM IN YR BOTROW
      VISIBLE "-"!
      IDX R SUM OF IDX AN 1
      BOTH SAEM IDX AN SPC
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR BOTROW
    VISIBLE ROT!
    VISIBLE "U PLEAZD? NOW HIT ENTAR"!
    GIMMEH MSG
    
    BTW ***** Test demo timing ************************************************
    ENGINE!!CLEARSCREEN
    VISIBLE "STRT UR CHRONOMETER AND CHECK HOW MANY TIME IT TAKES TO DISPLAY THE"
    VISIBLE "NEXT DOT. IF IT TAKEZ APPROXIMATELY ONE SECUND THEN YR MASTERTIMING"
    VISIBLE "IZ CORRECTLY CONFIGURED."
    VISIBLE ""
    VISIBLE "THIZ TEST WILL END WHEN THE INTIRE ROW WUZ FILLED WITH DOTZ."
    VISIBLE ""
    
    IM IN YR TIMINGLOOP UPPIN YR DOTCOUNT TIL BOTH SAEM DOTCOUNT AN HORZSIZE
      VISIBLE "."!
      TIMING!!WAITTIME 1
    IM OUTTA YR TIMINGLOOP
    ENGINE!!CLEARSCREEN
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
Main demo sequencer
*******************************************************************************
TLDR
O HAI IM DEMOSEQUENCE
  I HAS A TEST ITZ LIEK A SCREENTEST
  I HAS A RANDOM ITZ LIEK A RNDGEN
  I HAS A ROCK ITZ LIEK A TERRAINGEN
  I HAS A TUNNEL ITZ LIEK A TUNNELGEN
  I HAS A SPRITES ITZ LIEK A SPRITERENDERER
  I HAS A ENGINE ITZ LIEK A LINETOOLS
  I HAS A TIMING ITZ LIEK A TIMINGTOOLS
  I HAS A INTRO ITZ LIEK A TEXTINTRO
  I HAS A RASTER ITZ LIEK A RASTERGEN
  I HAS A STARFIELD ITZ LIEK A STARFIELDGEN
  I HAS A RUBBER ITZ LIEK A RUBBERGEN
  I HAS A FRACTAL ITZ LIEK A FRACTALPLOTTER
  
  HOW DUZ I SHOWASPRITE YR SPRITE AN YR XPOSITION
    I HAS A SPRITELINE ITZ A NUMBR
    I HAS A CONTINUE ITZ A NUMBR
    SPRITELINE R 0
    IM IN YR SPRITESHOWLOOP
      ROCK!!DRAWLAYER
      CONTINUE R SPRITES!!RENDER SPRITE XPOSITION SPRITELINE          
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
      BOTH SAEM CONTINUE AN 0
      O RLY?
        YA RLY, GTFO
        NO WAI, SPRITELINE R SUM OF SPRITELINE AN 1
      OIC
    IM OUTTA YR SPRITESHOWLOOP
    
    BTW Add some space below
    IM IN YR SPACERLOOP UPPIN YR IDX TIL BOTH SAEM IDX AN 10
      ROCK!!DRAWLAYER
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
    IM OUTTA YR SPACERLOOP
  IF U SAY SO
    
  HOW DUZ I CANHASDEMO
    I HAS A XPOS ITZ A NUMBR
    I HAS A XPOS1 ITZ A NUMBR
    I HAS A XPOS2 ITZ A NUMBR
    I HAS A XPOS3 ITZ A NUMBR
    I HAS A YPOS ITZ A NUMBR
    I HAS A LINE ITZ A NUMBR
    I HAS A DONE ITZ A NUMBR
    I HAS A HEIGHT ITZ A NUMBR
    I HAS A DELAY ITZ A NUMBR
    
    BTW ***** Introduction ****************************************************
    INTRO!!SHOWINTRO
    
    BTW ***** Rasters *********************************************************
    RASTER!!SHOWRASTERLINES
    
    BTW ***** Cat saying ******************************************************
    XPOS R DIFF OF HORZSIZE AN SPR_CAT!!0
    XPOS R QUOSHUNT OF XPOS AN 2
    HEIGHT R SUM OF SPR_CAT!!1 AN 1
    ENGINE!!TEXTLINESCREENTOP HEIGHT
    LINE R 0
    IM IN YR CATLOOP
      ENGINE!!CLEARBUFFER
      DONE R SPRITES!!RENDER SPR_CAT XPOS LINE          
      ENGINE!!DRAWLINEBUFFER
      BOTH SAEM DONE AN 0
      O RLY?
        YA RLY, GTFO
        NO WAI, LINE R SUM OF LINE AN 1
      OIC
    IM OUTTA YR CATLOOP
    ENGINE!!CENTERVISIBLE "I WANTZ NOM! THIZ VOID HAS A FLAVR, LET'S SEE WHAT'S DOWN THERE..." 66
    ENGINE!!TEXTLINESCREENBOT HEIGHT
    TIMING!!WAITTIME 8

    BTW ***** Start star scrolling ********************************************
    XPOS R DIFF OF HORZSIZE AN SPR_MOON!!0
    XPOS R DIFF OF XPOS AN 5
    LINE R 0
    IM IN YR MOONLOOP
      STARFIELD!!RENDERSTARFIELD
      SPRITES!!RENDER SPR_MOON XPOS LINE          
      ENGINE!!DRAWLINEBUFFER
      BOTH SAEM LINE AN VERTSIZE
      O RLY?
        YA RLY, GTFO
        NO WAI, LINE R SUM OF LINE AN 1
      OIC
    IM OUTTA YR MOONLOOP
    
    BTW ***** Show house, tree and sign ***************************************
    XPOS R DIFF OF HORZSIZE AN SPR_TREE!!0
    XPOS R DIFF OF XPOS AN 2
    YPOS R DIFF OF SPR_SIGN!!1 AN SPR_HOUSE!!1
    LINE R 0
    IM IN YR HOUSELOOP
      STARFIELD!!RENDERSTARFIELD
      DONE R SPRITES!!RENDER SPR_HOUSE 0 LINE
      SPRITES!!RENDER SPR_TREE XPOS LINE
      BOTH SAEM YPOS AN BIGGR OF YPOS AN 0
      O RLY?
        YA RLY
          SPRITES!!RENDER SPR_SIGN 40 YPOS
      OIC
      YPOS R SUM OF YPOS AN 1
      ENGINE!!DRAWLINEBUFFER
      BOTH SAEM DONE AN 0
      O RLY?
        YA RLY, GTFO
        NO WAI, LINE R SUM OF LINE AN 1
      OIC
    IM OUTTA YR HOUSELOOP
    
    BTW ***** Start the descent ***********************************************
    IM IN YR ROCKLOOP1 UPPIN YR IDX1 TIL BOTH SAEM IDX1 AN 10
      ROCK!!DRAWLAYER
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
    IM OUTTA YR ROCKLOOP1
    
    BTW ***** Enlarge the tunnel and move it to the right *********************
    XPOS R 3
    YPOS R 0
    LINE R 7
    IM IN YR ROCKLOOP2
      ROCK!!DRAWLAYER
      TUNNEL!!SETPARAMETERS LINE XPOS 3 0
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
      XPOS R SUM OF XPOS AN 1
      YPOS R SUM OF YPOS AN 1
      BOTH SAEM YPOS AN 3
      O RLY?
        YA RLY
          YPOS R 0
          LINE R SUM OF LINE AN 1
      OIC
      BOTH SAEM XPOS AN 44
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR ROCKLOOP2
    
    BTW ***** Show Commodore logo *********************************************
    SHOWASPRITE SPR_CBM 4

    BTW ***** Show Amiga logo *************************************************
    SHOWASPRITE SPR_AMIGA 4

    BTW ***** Show Atari logo *************************************************
    SHOWASPRITE SPR_ATARI 4

    BTW ***** Show cube *******************************************************
    SHOWASPRITE SPR_CUBE 4
    
    BTW ***** Show Rob Is Jarig ***********************************************
    SHOWASPRITE SPR_ROBISJARIG 4
    
    BTW ***** Scenesat logo ***************************************************
    SHOWASPRITE SPR_SCENESAT 4
    
    BTW ***** Show bukkit *****************************************************
    SHOWASPRITE SPR_BUKKIT 4

    BTW ***** Enlarge the tunnel to full screen *******************************
    YPOS R 0
    LINE R 20
    IM IN YR ROCKLOOP3
      ROCK!!DRAWLAYER
      TUNNEL!!SETPARAMETERS LINE 0 0 0
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
      YPOS R SUM OF YPOS AN 1
      BOTH SAEM YPOS AN 2
      O RLY?
        YA RLY
          YPOS R 0
          LINE R SUM OF LINE AN 2
      OIC
      BOTH SAEM LINE AN BIGGR OF LINE AN HORZSIZE
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR ROCKLOOP3
    
    BTW ***** Clear the screen ************************************************
    IM IN YR SPACERLOOP1 UPPIN YR IDX2 TIL BOTH SAEM IDX2 AN VERTSIZE
      ROCK!!DRAWLAYER
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
    IM OUTTA YR SPACERLOOP1
    
    BTW ***** Show mandelbrot renderings **************************************
    ENGINE!!CLEARSCREEN
    FRACTAL!!PLOTWINDOW 3.5 2.5 -0.5 0.0 12
    TIMING!!WAITTIME 1
    ENGINE!!CLEARSCREEN
    FRACTAL!!PLOTWINDOW 1.7 1.3 -0.84 -0.36 12
    TIMING!!WAITTIME 1
    ENGINE!!CLEARSCREEN

    BTW ***** Start shrinking the tunnel **************************************
    XPOS R 0
    YPOS R 0
    LINE R HORZSIZE
    IM IN YR ROCKLOOP4
      ROCK!!DRAWLAYER
      TUNNEL!!SETPARAMETERS LINE XPOS XPOS 0
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
      YPOS R SUM OF YPOS AN 1
      BOTH SAEM YPOS AN 2
      O RLY?
        YA RLY
          LINE R DIFF OF LINE AN 1
      OIC
      BOTH SAEM YPOS AN 4
      O RLY?
        YA RLY
          LINE R DIFF OF LINE AN 1
          XPOS R SUM OF XPOS AN 1
          YPOS R 0
      OIC
      BOTH SAEM LINE AN 60
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR ROCKLOOP4

    BTW ***** Shrink the tunnel and show the sinus effect *********************
    HEIGHT R DIFF OF HORZSIZE AN 10
    HEIGHT R QUOSHUNT OF HEIGHT AN 2
    IM IN YR ROCKLOOP5
      ROCK!!DRAWLAYER
      TUNNEL!!SETPARAMETERS LINE XPOS XPOS 0
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      RUBBER!!GENERATE HEIGHT
      ENGINE!!DRAWLINEBUFFER
      YPOS R SUM OF YPOS AN 1
      BOTH SAEM YPOS AN 2
      O RLY?
        YA RLY
          LINE R DIFF OF LINE AN 1
      OIC
      BOTH SAEM YPOS AN 4
      O RLY?
        YA RLY
          LINE R DIFF OF LINE AN 1
          XPOS R SUM OF XPOS AN 1
          YPOS R 0
      OIC
      BOTH SAEM LINE AN 30
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR ROCKLOOP5
    
    BTW ***** Show some more sinus effect *************************************
    IM IN YR ROCKLOOP6 UPPIN YR IDX3 TIL BOTH SAEM IDX3 AN 20
      ROCK!!DRAWLAYER
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      RUBBER!!GENERATE HEIGHT
      ENGINE!!DRAWLINEBUFFER
    IM OUTTA YR ROCKLOOP6
    
    BTW ***** Spacer after the sinus effect ***********************************
    IM IN YR ROCKLOOP6 UPPIN YR IDX3 TIL BOTH SAEM IDX3 AN 20
      ROCK!!DRAWLAYER
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
    IM OUTTA YR ROCKLOOP6

    BTW ***** Find the water **************************************************
    TUNNEL!!SETPARAMETERS LINE 3 3 2
    
    BTW ***** Some space ******************************************************
    IM IN YR ROCKLOOP7 UPPIN YR IDX4 TIL BOTH SAEM IDX4 AN 20
      ROCK!!DRAWLAYER
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
    IM OUTTA YR ROCKLOOP7

    BTW ***** Enlarge the tunnel again ****************************************
    YPOS R 0
    IM IN YR ROCKLOOP8
      ROCK!!DRAWLAYER
      TUNNEL!!SETPARAMETERS LINE 3 3 1
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
      YPOS R SUM OF YPOS AN 1
      BOTH SAEM YPOS AN 2
      O RLY?
        YA RLY
          YPOS R 0
          LINE R SUM OF LINE AN 1
      OIC
      BOTH SAEM LINE AN 60
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR ROCKLOOP8
    
    BTW ***** Show the fish ***************************************************
    XPOS R DIFF OF HORZSIZE AN SPR_FISH!!0
    XPOS R QUOSHUNT OF XPOS AN 2
    LINE R 0
    IM IN YR FISHLOOP
      ROCK!!DRAWLAYER
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      DONE R SPRITES!!RENDER SPR_FISH XPOS LINE
      ENGINE!!DRAWLINEBUFFER
      BOTH SAEM DONE AN 0
      O RLY?
        YA RLY, GTFO
        NO WAI, LINE R SUM OF LINE AN 1
      OIC
    IM OUTTA YR FISHLOOP
    
    BTW ***** Show "NOM" ******************************************************
    XPOS1 R SUM OF XPOS AN 3
    XPOS2 R SUM OF XPOS1 AN CHR_N!!0
    XPOS3 R SUM OF XPOS2 AN CHR_O!!0
    LINE R 0
    IM IN YR NOMLOOP
      ROCK!!DRAWLAYER
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      DONE R SPRITES!!RENDER CHR_N XPOS1 LINE
      SPRITES!!RENDER CHR_O XPOS2 LINE
      SPRITES!!RENDER CHR_M XPOS3 LINE
      ENGINE!!DRAWLINEBUFFER
      BOTH SAEM DONE AN 0
      O RLY?
        YA RLY, GTFO
        NO WAI, LINE R SUM OF LINE AN 1
      OIC
    IM OUTTA YR NOMLOOP
    
    BTW ***** Some space ******************************************************
    DELAY R QUOSHUNT OF MASTERTIMING AN 100
    XPOS R DELAY
    IM IN YR ROCKLOOP9 UPPIN YR IDX5 TIL BOTH SAEM IDX5 AN 20
      ROCK!!DRAWLAYER
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
      TIMING!!SLOWDOWN XPOS
      XPOS R SUM OF XPOS AN DELAY
    IM OUTTA YR ROCKLOOP9

    BTW ***** Close the tunnel ************************************************
    YPOS R 3
    LINE R 50
    IM IN YR CLOSELOOP
      ROCK!!DRAWLAYER
      TUNNEL!!SETPARAMETERS LINE YPOS YPOS 1
      TUNNEL!!ANIMATETUNNEL
      TUNNEL!!RENDERTUNNEL
      ENGINE!!DRAWLINEBUFFER
      TIMING!!SLOWDOWN XPOS
      XPOS R SUM OF XPOS AN DELAY
      LINE R DIFF OF LINE AN 10
      YPOS R SUM OF YPOS AN 8
      BOTH SAEM LINE AN 0
      O RLY?
        YA RLY, GTFO
      OIC
    IM OUTTA YR CLOSELOOP
    
    IM IN YR ENDLOOP UPPIN YR IDX6 TIL BOTH SAEM IDX6 AN 20
      ROCK!!DRAWLAYER
      ENGINE!!DRAWLINEBUFFER
      TIMING!!SLOWDOWN XPOS
    IM OUTTA YR ENDLOOP
    
    BTW ***** Show ending note ************************************************
    ENGINE!!CLEARSCREEN
    ENGINE!!CENTERVISIBLE "Coded by" 8
    ENGINE!!CENTERVISIBLE "Karoshier" 9
    VISIBLE ""
    ENGINE!!CENTERVISIBLE "With special thanks to" 22
    ENGINE!!CENTERVISIBLE "the Itteh Bitteh Kitteh Committee" 33
    VISIBLE ""
    ENGINE!!CENTERVISIBLE "for" 3
    VISIBLE ""
    VISIBLE ""
    VISIBLE ""
    VISIBLE ""
    VISIBLE ""
    VISIBLE ""
    TIMING!!WAITTIME 1
    
    BTW ***** Show breakpoint logo ********************************************
    XPOS R DIFF OF HORZSIZE AN SPR_BREAKPOINT!!0
    XPOS R QUOSHUNT OF XPOS AN 2
    LINE R 0
    IM IN YR BPLOOP
      ENGINE!!CLEARBUFFER
      DONE R SPRITES!!RENDER SPR_BREAKPOINT XPOS LINE          
      ENGINE!!DRAWLINEBUFFER
      BOTH SAEM DONE AN 0
      O RLY?
        YA RLY, GTFO
        NO WAI, LINE R SUM OF LINE AN 1
      OIC
    IM OUTTA YR BPLOOP
    TIMING!!WAITTIME 6
    
    BTW ***** Clear screen and exit *******************************************
    ENGINE!!CLEARSCREEN
  IF U SAY SO
  
  HOW DUZ I RUN
    I HAS A DECISION ITZ A YARN

    BTW Finish up the preparations by initializing modules
    ROCK!!INITIALIZE
    TUNNEL!!INITIALIZE

    BTW Test the screen or run the demo?
    ENGINE!!CLEARSCREEN
    VISIBLE "O HAI! I CAN HAS DEMO? OR U JUST WANNA TEST DA SCREENZ?"
    VISIBLE "PREZZ :"1:" AN HIT ENTER TO TEST DA SCREEN OR JUST HIT ENTER TO RAN DA DEMO"
    GIMMEH DECISION
    DECISION IS NOW A NUMBR
    BOTH SAEM DECISION AN 1
    O RLY?
      YA RLY
        TEST!!SHOWTESTSCREEN
      NO WAI
        CANHASDEMO
    OIC
  IF U SAY SO
KTHX

OBTW
*******************************************************************************
Main code entry point.
This part of the code takes care of preloading arrays and starting the main
demo code.
*******************************************************************************
TLDR
HAI 1.3
  I HAS A DEMO ITZ LIEK A DEMOSEQUENCE
  I HAS A ENGINE ITZ LIEK A LINETOOLS

  VISIBLE "LOADING..."

  MAH HORZSIZE
  MAH VERTSIZE
  MAH MASTERTIMING
  MAH LINEBUFFER
  MAH SHADES
  MAH MAXSHADES
  MAH SINETABLE
  MAH SINETABLESIZE
  MAH SPR_CAT
  MAH SPR_MOON
  MAH SPR_HOUSE
  MAH SPR_TREE
  MAH SPR_SIGN
  MAH SPR_CBM
  MAH SPR_AMIGA
  MAH SPR_ATARI
  MAH SPR_CUBE
  MAH SPR_ROBISJARIG
  MAH SPR_SCENESAT
  MAH SPR_BUKKIT
  MAH SPR_FISH
  MAH SPR_BREAKPOINT
  MAH CHR_M
  MAH CHR_N
  MAH CHR_O
  
  OBTW
  ***** LOAD CONSTANTS ********************************************************
  TLDR
  
  BTW Main parameters (CONFIGURE HERE!)
  HORZSIZE R 80                                     BTW The shell is supposed to be this wide in characters
  VERTSIZE R 50                                     BTW The shell is supposed to be this tall in characters
  MASTERTIMING R 12288                              BTW 8192 for a 2.2GHz processor, 12288 for a 3.3GHz processor
  
  BTW Adjust main parameters
  VERTSIZE R DIFF OF VERTSIZE AN 1                  BTW Take into account the line where the cursor resides
  
  BTW Clean line buffer
  ENGINE!!CLEARBUFFER
  
  BTW Greyscale shades
  SHADES!!0 R " "                                   BTW Define grayscale shades and store them for later use
  SHADES!!1 R "."
  SHADES!!2 R "::"
  SHADES!!3 R "*"
  SHADES!!4 R "C"
  SHADES!!5 R "A"
  SHADES!!6 R "#"
  SHADES!!7 R "-"                                   BTW Special shade used for water
  SHADES!!8 R "O"                                   BTW Special shade used for bubbles in water
  MAXSHADES R 6                                     BTW Shades from 0 to 6 are defined
  
  BTW Sine table
  SINETABLE!!0  R 0
  SINETABLE!!1  R 0
  SINETABLE!!2  R 1
  SINETABLE!!3  R 1
  SINETABLE!!4  R 2
  SINETABLE!!5  R 3
  SINETABLE!!6  R 4
  SINETABLE!!7  R 4
  SINETABLE!!8  R 5
  SINETABLE!!9  R 5
  SINETABLE!!10 R 5
  SINETABLE!!11 R 4
  SINETABLE!!12 R 4
  SINETABLE!!13 R 3
  SINETABLE!!14 R 2
  SINETABLE!!15 R 1
  SINETABLE!!16 R 1
  SINETABLE!!17 R 0
  SINETABLESIZE R 18
  
  BTW Cat
  SPR_CAT!!0 R 23, SPR_CAT!!1 R 21, SPR_CAT!!2 R 0, SPR_CAT!!3 R 0, SPR_CAT!!4 R 0, SPR_CAT!!5 R 0, SPR_CAT!!6 R -1, SPR_CAT!!7 R -1
  SPR_CAT!!8 R -1, SPR_CAT!!9 R -1, SPR_CAT!!10 R -1, SPR_CAT!!11 R -1, SPR_CAT!!12 R -1, SPR_CAT!!13 R -1, SPR_CAT!!14 R -1, SPR_CAT!!15 R -1
  SPR_CAT!!16 R -1, SPR_CAT!!17 R -1, SPR_CAT!!18 R -1, SPR_CAT!!19 R -1, SPR_CAT!!20 R -1, SPR_CAT!!21 R 0, SPR_CAT!!22 R 0, SPR_CAT!!23 R 0
  SPR_CAT!!24 R 0, SPR_CAT!!25 R 0, SPR_CAT!!26 R 2, SPR_CAT!!27 R 3, SPR_CAT!!28 R 0, SPR_CAT!!29 R 0, SPR_CAT!!30 R 0, SPR_CAT!!31 R -1
  SPR_CAT!!32 R -1, SPR_CAT!!33 R -1, SPR_CAT!!34 R -1, SPR_CAT!!35 R -1, SPR_CAT!!36 R -1, SPR_CAT!!37 R -1, SPR_CAT!!38 R -1, SPR_CAT!!39 R -1
  SPR_CAT!!40 R -1, SPR_CAT!!41 R -1, SPR_CAT!!42 R 0, SPR_CAT!!43 R 0, SPR_CAT!!44 R 0, SPR_CAT!!45 R 2, SPR_CAT!!46 R 2, SPR_CAT!!47 R 0
  SPR_CAT!!48 R 0, SPR_CAT!!49 R 2, SPR_CAT!!50 R 3, SPR_CAT!!51 R 3, SPR_CAT!!52 R 3, SPR_CAT!!53 R 0, SPR_CAT!!54 R 0, SPR_CAT!!55 R -1
  SPR_CAT!!56 R -1, SPR_CAT!!57 R -1, SPR_CAT!!58 R -1, SPR_CAT!!59 R -1, SPR_CAT!!60 R -1, SPR_CAT!!61 R -1, SPR_CAT!!62 R -1, SPR_CAT!!63 R -1
  SPR_CAT!!64 R 0, SPR_CAT!!65 R 0, SPR_CAT!!66 R 1, SPR_CAT!!67 R 1, SPR_CAT!!68 R 3, SPR_CAT!!69 R 3, SPR_CAT!!70 R 0, SPR_CAT!!71 R 0
  SPR_CAT!!72 R 2, SPR_CAT!!73 R 3, SPR_CAT!!74 R 3, SPR_CAT!!75 R 3, SPR_CAT!!76 R 3, SPR_CAT!!77 R 0, SPR_CAT!!78 R 0, SPR_CAT!!79 R 0
  SPR_CAT!!80 R 0, SPR_CAT!!81 R 0, SPR_CAT!!82 R 0, SPR_CAT!!83 R 0, SPR_CAT!!84 R 0, SPR_CAT!!85 R 0, SPR_CAT!!86 R 0, SPR_CAT!!87 R 0
  SPR_CAT!!88 R 1, SPR_CAT!!89 R 3, SPR_CAT!!90 R 3, SPR_CAT!!91 R 3, SPR_CAT!!92 R 3, SPR_CAT!!93 R 0, SPR_CAT!!94 R 0, SPR_CAT!!95 R 2
  SPR_CAT!!96 R 2, SPR_CAT!!97 R 3, SPR_CAT!!98 R 3, SPR_CAT!!99 R 3, SPR_CAT!!100 R 3, SPR_CAT!!101 R 0, SPR_CAT!!102 R 2, SPR_CAT!!103 R 2
  SPR_CAT!!104 R 2, SPR_CAT!!105 R 2, SPR_CAT!!106 R 2, SPR_CAT!!107 R 2, SPR_CAT!!108 R 2, SPR_CAT!!109 R 0, SPR_CAT!!110 R 2, SPR_CAT!!111 R 3
  SPR_CAT!!112 R 3, SPR_CAT!!113 R 3, SPR_CAT!!114 R 3, SPR_CAT!!115 R 3, SPR_CAT!!116 R 0, SPR_CAT!!117 R 0, SPR_CAT!!118 R 0, SPR_CAT!!119 R 2
  SPR_CAT!!120 R 3, SPR_CAT!!121 R 3, SPR_CAT!!122 R 3, SPR_CAT!!123 R 3, SPR_CAT!!124 R 2, SPR_CAT!!125 R 2, SPR_CAT!!126 R 2, SPR_CAT!!127 R 2
  SPR_CAT!!128 R 2, SPR_CAT!!129 R 2, SPR_CAT!!130 R 2, SPR_CAT!!131 R 2, SPR_CAT!!132 R 2, SPR_CAT!!133 R 2, SPR_CAT!!134 R 3, SPR_CAT!!135 R 3
  SPR_CAT!!136 R 3, SPR_CAT!!137 R 3, SPR_CAT!!138 R 0, SPR_CAT!!139 R 0, SPR_CAT!!140 R -1, SPR_CAT!!141 R 0, SPR_CAT!!142 R 2, SPR_CAT!!143 R 3
  SPR_CAT!!144 R 3, SPR_CAT!!145 R 3, SPR_CAT!!146 R 2, SPR_CAT!!147 R 2, SPR_CAT!!148 R 2, SPR_CAT!!149 R 2, SPR_CAT!!150 R 2, SPR_CAT!!151 R 2
  SPR_CAT!!152 R 2, SPR_CAT!!153 R 2, SPR_CAT!!154 R 2, SPR_CAT!!155 R 2, SPR_CAT!!156 R 2, SPR_CAT!!157 R 2, SPR_CAT!!158 R 2, SPR_CAT!!159 R 3
  SPR_CAT!!160 R 3, SPR_CAT!!161 R 0, SPR_CAT!!162 R -1, SPR_CAT!!163 R -1, SPR_CAT!!164 R 0, SPR_CAT!!165 R 2, SPR_CAT!!166 R 3, SPR_CAT!!167 R 1
  SPR_CAT!!168 R 1, SPR_CAT!!169 R 2, SPR_CAT!!170 R 2, SPR_CAT!!171 R 2, SPR_CAT!!172 R 2, SPR_CAT!!173 R 2, SPR_CAT!!174 R 2, SPR_CAT!!175 R 2
  SPR_CAT!!176 R 2, SPR_CAT!!177 R 2, SPR_CAT!!178 R 2, SPR_CAT!!179 R 2, SPR_CAT!!180 R 2, SPR_CAT!!181 R 2, SPR_CAT!!182 R 2, SPR_CAT!!183 R 2
  SPR_CAT!!184 R 0, SPR_CAT!!185 R -1, SPR_CAT!!186 R -1, SPR_CAT!!187 R 0, SPR_CAT!!188 R 1, SPR_CAT!!189 R 1, SPR_CAT!!190 R 2, SPR_CAT!!191 R 2
  SPR_CAT!!192 R 0, SPR_CAT!!193 R 0, SPR_CAT!!194 R 2, SPR_CAT!!195 R 2, SPR_CAT!!196 R 2, SPR_CAT!!197 R 2, SPR_CAT!!198 R 2, SPR_CAT!!199 R 2
  SPR_CAT!!200 R 2, SPR_CAT!!201 R 0, SPR_CAT!!202 R 0, SPR_CAT!!203 R 2, SPR_CAT!!204 R 2, SPR_CAT!!205 R 2, SPR_CAT!!206 R 2, SPR_CAT!!207 R 0
  SPR_CAT!!208 R -1, SPR_CAT!!209 R -1, SPR_CAT!!210 R 0, SPR_CAT!!211 R 1, SPR_CAT!!212 R 2, SPR_CAT!!213 R 2, SPR_CAT!!214 R 2, SPR_CAT!!215 R 0
  SPR_CAT!!216 R 0, SPR_CAT!!217 R 0, SPR_CAT!!218 R 2, SPR_CAT!!219 R 2, SPR_CAT!!220 R 6, SPR_CAT!!221 R 2, SPR_CAT!!222 R 2, SPR_CAT!!223 R 0
  SPR_CAT!!224 R 0, SPR_CAT!!225 R 0, SPR_CAT!!226 R 2, SPR_CAT!!227 R 2, SPR_CAT!!228 R 2, SPR_CAT!!229 R 2, SPR_CAT!!230 R 0, SPR_CAT!!231 R -1
  SPR_CAT!!232 R -1, SPR_CAT!!233 R 0, SPR_CAT!!234 R 2, SPR_CAT!!235 R 2, SPR_CAT!!236 R 2, SPR_CAT!!237 R 2, SPR_CAT!!238 R 2, SPR_CAT!!239 R 0
  SPR_CAT!!240 R 0, SPR_CAT!!241 R 2, SPR_CAT!!242 R 2, SPR_CAT!!243 R 6, SPR_CAT!!244 R 2, SPR_CAT!!245 R 2, SPR_CAT!!246 R 0, SPR_CAT!!247 R 0
  SPR_CAT!!248 R 2, SPR_CAT!!249 R 2, SPR_CAT!!250 R 2, SPR_CAT!!251 R 2, SPR_CAT!!252 R 2, SPR_CAT!!253 R 0, SPR_CAT!!254 R -1, SPR_CAT!!255 R -1
  SPR_CAT!!256 R 0, SPR_CAT!!257 R 2, SPR_CAT!!258 R 2, SPR_CAT!!259 R 2, SPR_CAT!!260 R 2, SPR_CAT!!261 R 2, SPR_CAT!!262 R 2, SPR_CAT!!263 R 2
  SPR_CAT!!264 R 2, SPR_CAT!!265 R 6, SPR_CAT!!266 R 6, SPR_CAT!!267 R 6, SPR_CAT!!268 R 2, SPR_CAT!!269 R 2, SPR_CAT!!270 R 2, SPR_CAT!!271 R 2
  SPR_CAT!!272 R 2, SPR_CAT!!273 R 2, SPR_CAT!!274 R 2, SPR_CAT!!275 R 2, SPR_CAT!!276 R 0, SPR_CAT!!277 R -1, SPR_CAT!!278 R -1, SPR_CAT!!279 R 0
  SPR_CAT!!280 R 2, SPR_CAT!!281 R 2, SPR_CAT!!282 R 2, SPR_CAT!!283 R 2, SPR_CAT!!284 R 2, SPR_CAT!!285 R 2, SPR_CAT!!286 R 2, SPR_CAT!!287 R 6
  SPR_CAT!!288 R 6, SPR_CAT!!289 R 6, SPR_CAT!!290 R 6, SPR_CAT!!291 R 6, SPR_CAT!!292 R 2, SPR_CAT!!293 R 2, SPR_CAT!!294 R 2, SPR_CAT!!295 R 2
  SPR_CAT!!296 R 2, SPR_CAT!!297 R 2, SPR_CAT!!298 R 2, SPR_CAT!!299 R 0, SPR_CAT!!300 R -1, SPR_CAT!!301 R 0, SPR_CAT!!302 R 0, SPR_CAT!!303 R 2
  SPR_CAT!!304 R 2, SPR_CAT!!305 R 2, SPR_CAT!!306 R 2, SPR_CAT!!307 R 2, SPR_CAT!!308 R 2, SPR_CAT!!309 R 2, SPR_CAT!!310 R 3, SPR_CAT!!311 R 3
  SPR_CAT!!312 R 3, SPR_CAT!!313 R 3, SPR_CAT!!314 R 3, SPR_CAT!!315 R 2, SPR_CAT!!316 R 2, SPR_CAT!!317 R 2, SPR_CAT!!318 R 2, SPR_CAT!!319 R 2
  SPR_CAT!!320 R 2, SPR_CAT!!321 R 2, SPR_CAT!!322 R 0, SPR_CAT!!323 R 0, SPR_CAT!!324 R 0, SPR_CAT!!325 R 5, SPR_CAT!!326 R 5, SPR_CAT!!327 R 5
  SPR_CAT!!328 R 5, SPR_CAT!!329 R 5, SPR_CAT!!330 R 5, SPR_CAT!!331 R 5, SPR_CAT!!332 R 6, SPR_CAT!!333 R 6, SPR_CAT!!334 R 3, SPR_CAT!!335 R 3
  SPR_CAT!!336 R 3, SPR_CAT!!337 R 6, SPR_CAT!!338 R 6, SPR_CAT!!339 R 5, SPR_CAT!!340 R 5, SPR_CAT!!341 R 5, SPR_CAT!!342 R 5, SPR_CAT!!343 R 5
  SPR_CAT!!344 R 5, SPR_CAT!!345 R 5, SPR_CAT!!346 R 0, SPR_CAT!!347 R 0, SPR_CAT!!348 R 0, SPR_CAT!!349 R 2, SPR_CAT!!350 R 2, SPR_CAT!!351 R 2
  SPR_CAT!!352 R 5, SPR_CAT!!353 R 5, SPR_CAT!!354 R 5, SPR_CAT!!355 R 6, SPR_CAT!!356 R 6, SPR_CAT!!357 R 6, SPR_CAT!!358 R 3, SPR_CAT!!359 R 6
  SPR_CAT!!360 R 6, SPR_CAT!!361 R 6, SPR_CAT!!362 R 5, SPR_CAT!!363 R 5, SPR_CAT!!364 R 5, SPR_CAT!!365 R 2, SPR_CAT!!366 R 2, SPR_CAT!!367 R 2
  SPR_CAT!!368 R 0, SPR_CAT!!369 R 0, SPR_CAT!!370 R -1, SPR_CAT!!371 R 0, SPR_CAT!!372 R 5, SPR_CAT!!373 R 5, SPR_CAT!!374 R 5, SPR_CAT!!375 R 6
  SPR_CAT!!376 R 6, SPR_CAT!!377 R 5, SPR_CAT!!378 R 6, SPR_CAT!!379 R 3, SPR_CAT!!380 R 3, SPR_CAT!!381 R 3, SPR_CAT!!382 R 3, SPR_CAT!!383 R 3
  SPR_CAT!!384 R 6, SPR_CAT!!385 R 5, SPR_CAT!!386 R 6, SPR_CAT!!387 R 6, SPR_CAT!!388 R 5, SPR_CAT!!389 R 5, SPR_CAT!!390 R 5, SPR_CAT!!391 R 0
  SPR_CAT!!392 R -1, SPR_CAT!!393 R -1, SPR_CAT!!394 R 0, SPR_CAT!!395 R 0, SPR_CAT!!396 R 0, SPR_CAT!!397 R 6, SPR_CAT!!398 R 6, SPR_CAT!!399 R 5
  SPR_CAT!!400 R 6, SPR_CAT!!401 R 6, SPR_CAT!!402 R 6, SPR_CAT!!403 R 6, SPR_CAT!!404 R 6, SPR_CAT!!405 R 6, SPR_CAT!!406 R 6, SPR_CAT!!407 R 6
  SPR_CAT!!408 R 6, SPR_CAT!!409 R 5, SPR_CAT!!410 R 6, SPR_CAT!!411 R 6, SPR_CAT!!412 R 0, SPR_CAT!!413 R 0, SPR_CAT!!414 R 0, SPR_CAT!!415 R -1
  SPR_CAT!!416 R -1, SPR_CAT!!417 R -1, SPR_CAT!!418 R 0, SPR_CAT!!419 R 0, SPR_CAT!!420 R 5, SPR_CAT!!421 R 0, SPR_CAT!!422 R 6, SPR_CAT!!423 R 6
  SPR_CAT!!424 R 6, SPR_CAT!!425 R 6, SPR_CAT!!426 R 6, SPR_CAT!!427 R 6, SPR_CAT!!428 R 6, SPR_CAT!!429 R 6, SPR_CAT!!430 R 6, SPR_CAT!!431 R 6
  SPR_CAT!!432 R 6, SPR_CAT!!433 R 0, SPR_CAT!!434 R 5, SPR_CAT!!435 R 0, SPR_CAT!!436 R 0, SPR_CAT!!437 R -1, SPR_CAT!!438 R -1, SPR_CAT!!439 R -1
  SPR_CAT!!440 R -1, SPR_CAT!!441 R 0, SPR_CAT!!442 R 5, SPR_CAT!!443 R 0, SPR_CAT!!444 R 0, SPR_CAT!!445 R 0, SPR_CAT!!446 R 0, SPR_CAT!!447 R 6
  SPR_CAT!!448 R 6, SPR_CAT!!449 R 6, SPR_CAT!!450 R 6, SPR_CAT!!451 R 6, SPR_CAT!!452 R 6, SPR_CAT!!453 R 6, SPR_CAT!!454 R 0, SPR_CAT!!455 R 0
  SPR_CAT!!456 R 0, SPR_CAT!!457 R 0, SPR_CAT!!458 R 5, SPR_CAT!!459 R 0, SPR_CAT!!460 R -1, SPR_CAT!!461 R -1, SPR_CAT!!462 R -1, SPR_CAT!!463 R -1
  SPR_CAT!!464 R 0, SPR_CAT!!465 R 0, SPR_CAT!!466 R 0, SPR_CAT!!467 R -1, SPR_CAT!!468 R -1, SPR_CAT!!469 R 0, SPR_CAT!!470 R 0, SPR_CAT!!471 R 0
  SPR_CAT!!472 R 0, SPR_CAT!!473 R 0, SPR_CAT!!474 R 0, SPR_CAT!!475 R 0, SPR_CAT!!476 R 0, SPR_CAT!!477 R 0, SPR_CAT!!478 R -1, SPR_CAT!!479 R -1
  SPR_CAT!!480 R 0, SPR_CAT!!481 R 0, SPR_CAT!!482 R 0, SPR_CAT!!483 R -1, SPR_CAT!!484 R -1
  
  BTW Moon
  SPR_MOON!!0 R 14, SPR_MOON!!1 R 15, SPR_MOON!!2 R -1, SPR_MOON!!3 R -1, SPR_MOON!!4 R -1, SPR_MOON!!5 R -1, SPR_MOON!!6 R -1, SPR_MOON!!7 R -1
  SPR_MOON!!8 R 0, SPR_MOON!!9 R 0, SPR_MOON!!10 R 0, SPR_MOON!!11 R -1, SPR_MOON!!12 R -1, SPR_MOON!!13 R -1, SPR_MOON!!14 R -1, SPR_MOON!!15 R -1
  SPR_MOON!!16 R -1, SPR_MOON!!17 R -1, SPR_MOON!!18 R -1, SPR_MOON!!19 R -1, SPR_MOON!!20 R -1, SPR_MOON!!21 R -1, SPR_MOON!!22 R 0, SPR_MOON!!23 R 6
  SPR_MOON!!24 R 0, SPR_MOON!!25 R 0, SPR_MOON!!26 R 0, SPR_MOON!!27 R -1, SPR_MOON!!28 R -1, SPR_MOON!!29 R -1, SPR_MOON!!30 R -1, SPR_MOON!!31 R -1
  SPR_MOON!!32 R -1, SPR_MOON!!33 R -1, SPR_MOON!!34 R -1, SPR_MOON!!35 R -1, SPR_MOON!!36 R 0, SPR_MOON!!37 R 0, SPR_MOON!!38 R 6, SPR_MOON!!39 R 6
  SPR_MOON!!40 R 0, SPR_MOON!!41 R 0, SPR_MOON!!42 R -1, SPR_MOON!!43 R -1, SPR_MOON!!44 R -1, SPR_MOON!!45 R -1, SPR_MOON!!46 R -1, SPR_MOON!!47 R -1
  SPR_MOON!!48 R -1, SPR_MOON!!49 R -1, SPR_MOON!!50 R -1, SPR_MOON!!51 R 0, SPR_MOON!!52 R 0, SPR_MOON!!53 R 6, SPR_MOON!!54 R 6, SPR_MOON!!55 R 0
  SPR_MOON!!56 R 0, SPR_MOON!!57 R -1, SPR_MOON!!58 R -1, SPR_MOON!!59 R -1, SPR_MOON!!60 R -1, SPR_MOON!!61 R -1, SPR_MOON!!62 R -1, SPR_MOON!!63 R -1
  SPR_MOON!!64 R -1, SPR_MOON!!65 R -1, SPR_MOON!!66 R 0, SPR_MOON!!67 R 6, SPR_MOON!!68 R 6, SPR_MOON!!69 R 6, SPR_MOON!!70 R 0, SPR_MOON!!71 R -1
  SPR_MOON!!72 R -1, SPR_MOON!!73 R -1, SPR_MOON!!74 R -1, SPR_MOON!!75 R -1, SPR_MOON!!76 R -1, SPR_MOON!!77 R -1, SPR_MOON!!78 R -1, SPR_MOON!!79 R -1
  SPR_MOON!!80 R 0, SPR_MOON!!81 R 0, SPR_MOON!!82 R 6, SPR_MOON!!83 R 6, SPR_MOON!!84 R 0, SPR_MOON!!85 R 0, SPR_MOON!!86 R -1, SPR_MOON!!87 R -1
  SPR_MOON!!88 R -1, SPR_MOON!!89 R -1, SPR_MOON!!90 R -1, SPR_MOON!!91 R -1, SPR_MOON!!92 R -1, SPR_MOON!!93 R -1, SPR_MOON!!94 R 0, SPR_MOON!!95 R 0
  SPR_MOON!!96 R 6, SPR_MOON!!97 R 6, SPR_MOON!!98 R 6, SPR_MOON!!99 R 0, SPR_MOON!!100 R -1, SPR_MOON!!101 R -1, SPR_MOON!!102 R -1, SPR_MOON!!103 R -1
  SPR_MOON!!104 R -1, SPR_MOON!!105 R -1, SPR_MOON!!106 R -1, SPR_MOON!!107 R -1, SPR_MOON!!108 R 0, SPR_MOON!!109 R 6, SPR_MOON!!110 R 6, SPR_MOON!!111 R 6
  SPR_MOON!!112 R 6, SPR_MOON!!113 R 0, SPR_MOON!!114 R -1, SPR_MOON!!115 R -1, SPR_MOON!!116 R -1, SPR_MOON!!117 R -1, SPR_MOON!!118 R -1, SPR_MOON!!119 R -1
  SPR_MOON!!120 R -1, SPR_MOON!!121 R 0, SPR_MOON!!122 R 0, SPR_MOON!!123 R 6, SPR_MOON!!124 R 6, SPR_MOON!!125 R 6, SPR_MOON!!126 R 6, SPR_MOON!!127 R 0
  SPR_MOON!!128 R 0, SPR_MOON!!129 R 0, SPR_MOON!!130 R 0, SPR_MOON!!131 R -1, SPR_MOON!!132 R -1, SPR_MOON!!133 R -1, SPR_MOON!!134 R 0, SPR_MOON!!135 R 0
  SPR_MOON!!136 R 6, SPR_MOON!!137 R 6, SPR_MOON!!138 R 6, SPR_MOON!!139 R 6, SPR_MOON!!140 R 0, SPR_MOON!!141 R 0, SPR_MOON!!142 R 0, SPR_MOON!!143 R 6
  SPR_MOON!!144 R 0, SPR_MOON!!145 R 0, SPR_MOON!!146 R 0, SPR_MOON!!147 R 0, SPR_MOON!!148 R 0, SPR_MOON!!149 R 6, SPR_MOON!!150 R 6, SPR_MOON!!151 R 6
  SPR_MOON!!152 R 6, SPR_MOON!!153 R 6, SPR_MOON!!154 R 0, SPR_MOON!!155 R -1, SPR_MOON!!156 R 0, SPR_MOON!!157 R 0, SPR_MOON!!158 R 6, SPR_MOON!!159 R 6
  SPR_MOON!!160 R 0, SPR_MOON!!161 R 6, SPR_MOON!!162 R 6, SPR_MOON!!163 R 6, SPR_MOON!!164 R 6, SPR_MOON!!165 R 6, SPR_MOON!!166 R 6, SPR_MOON!!167 R 0
  SPR_MOON!!168 R 0, SPR_MOON!!169 R -1, SPR_MOON!!170 R -1, SPR_MOON!!171 R 0, SPR_MOON!!172 R 0, SPR_MOON!!173 R 6, SPR_MOON!!174 R 6, SPR_MOON!!175 R 6
  SPR_MOON!!176 R 6, SPR_MOON!!177 R 6, SPR_MOON!!178 R 6, SPR_MOON!!179 R 6, SPR_MOON!!180 R 0, SPR_MOON!!181 R 0, SPR_MOON!!182 R -1, SPR_MOON!!183 R -1
  SPR_MOON!!184 R -1, SPR_MOON!!185 R -1, SPR_MOON!!186 R 0, SPR_MOON!!187 R 0, SPR_MOON!!188 R 0, SPR_MOON!!189 R 6, SPR_MOON!!190 R 6, SPR_MOON!!191 R 6
  SPR_MOON!!192 R 0, SPR_MOON!!193 R 0, SPR_MOON!!194 R 0, SPR_MOON!!195 R -1, SPR_MOON!!196 R -1, SPR_MOON!!197 R -1, SPR_MOON!!198 R -1, SPR_MOON!!199 R -1
  SPR_MOON!!200 R -1, SPR_MOON!!201 R -1, SPR_MOON!!202 R 0, SPR_MOON!!203 R 0, SPR_MOON!!204 R 0, SPR_MOON!!205 R 0, SPR_MOON!!206 R 0, SPR_MOON!!207 R -1
  SPR_MOON!!208 R -1, SPR_MOON!!209 R -1, SPR_MOON!!210 R -1, SPR_MOON!!211 R -1
  
  BTW House
  SPR_HOUSE!!0 R 33, SPR_HOUSE!!1 R 24, SPR_HOUSE!!2 R -1, SPR_HOUSE!!3 R 1, SPR_HOUSE!!4 R 2, SPR_HOUSE!!5 R 1, SPR_HOUSE!!6 R 1, SPR_HOUSE!!7 R 2
  SPR_HOUSE!!8 R 1, SPR_HOUSE!!9 R -1, SPR_HOUSE!!10 R -1, SPR_HOUSE!!11 R -1, SPR_HOUSE!!12 R -1, SPR_HOUSE!!13 R -1, SPR_HOUSE!!14 R -1, SPR_HOUSE!!15 R -1
  SPR_HOUSE!!16 R -1, SPR_HOUSE!!17 R -1, SPR_HOUSE!!18 R -1, SPR_HOUSE!!19 R -1, SPR_HOUSE!!20 R -1, SPR_HOUSE!!21 R -1, SPR_HOUSE!!22 R -1, SPR_HOUSE!!23 R -1
  SPR_HOUSE!!24 R -1, SPR_HOUSE!!25 R -1, SPR_HOUSE!!26 R -1, SPR_HOUSE!!27 R -1, SPR_HOUSE!!28 R -1, SPR_HOUSE!!29 R -1, SPR_HOUSE!!30 R -1, SPR_HOUSE!!31 R -1
  SPR_HOUSE!!32 R -1, SPR_HOUSE!!33 R -1, SPR_HOUSE!!34 R -1, SPR_HOUSE!!35 R -1, SPR_HOUSE!!36 R -1, SPR_HOUSE!!37 R 2, SPR_HOUSE!!38 R 1, SPR_HOUSE!!39 R 2
  SPR_HOUSE!!40 R 2, SPR_HOUSE!!41 R -1, SPR_HOUSE!!42 R -1, SPR_HOUSE!!43 R -1, SPR_HOUSE!!44 R -1, SPR_HOUSE!!45 R -1, SPR_HOUSE!!46 R -1, SPR_HOUSE!!47 R -1
  SPR_HOUSE!!48 R -1, SPR_HOUSE!!49 R -1, SPR_HOUSE!!50 R -1, SPR_HOUSE!!51 R -1, SPR_HOUSE!!52 R -1, SPR_HOUSE!!53 R -1, SPR_HOUSE!!54 R -1, SPR_HOUSE!!55 R -1
  SPR_HOUSE!!56 R -1, SPR_HOUSE!!57 R -1, SPR_HOUSE!!58 R -1, SPR_HOUSE!!59 R -1, SPR_HOUSE!!60 R -1, SPR_HOUSE!!61 R -1, SPR_HOUSE!!62 R -1, SPR_HOUSE!!63 R -1
  SPR_HOUSE!!64 R -1, SPR_HOUSE!!65 R -1, SPR_HOUSE!!66 R -1, SPR_HOUSE!!67 R -1, SPR_HOUSE!!68 R -1, SPR_HOUSE!!69 R -1, SPR_HOUSE!!70 R -1, SPR_HOUSE!!71 R 2
  SPR_HOUSE!!72 R 1, SPR_HOUSE!!73 R 1, SPR_HOUSE!!74 R 2, SPR_HOUSE!!75 R -1, SPR_HOUSE!!76 R -1, SPR_HOUSE!!77 R -1, SPR_HOUSE!!78 R -1, SPR_HOUSE!!79 R -1
  SPR_HOUSE!!80 R -1, SPR_HOUSE!!81 R -1, SPR_HOUSE!!82 R -1, SPR_HOUSE!!83 R -1, SPR_HOUSE!!84 R -1, SPR_HOUSE!!85 R -1, SPR_HOUSE!!86 R -1, SPR_HOUSE!!87 R -1
  SPR_HOUSE!!88 R -1, SPR_HOUSE!!89 R -1, SPR_HOUSE!!90 R -1, SPR_HOUSE!!91 R -1, SPR_HOUSE!!92 R -1, SPR_HOUSE!!93 R -1, SPR_HOUSE!!94 R -1, SPR_HOUSE!!95 R -1
  SPR_HOUSE!!96 R -1, SPR_HOUSE!!97 R -1, SPR_HOUSE!!98 R -1, SPR_HOUSE!!99 R -1, SPR_HOUSE!!100 R -1, SPR_HOUSE!!101 R -1, SPR_HOUSE!!102 R -1, SPR_HOUSE!!103 R -1
  SPR_HOUSE!!104 R -1, SPR_HOUSE!!105 R 2, SPR_HOUSE!!106 R 2, SPR_HOUSE!!107 R 1, SPR_HOUSE!!108 R -1, SPR_HOUSE!!109 R -1, SPR_HOUSE!!110 R -1, SPR_HOUSE!!111 R -1
  SPR_HOUSE!!112 R -1, SPR_HOUSE!!113 R -1, SPR_HOUSE!!114 R -1, SPR_HOUSE!!115 R -1, SPR_HOUSE!!116 R -1, SPR_HOUSE!!117 R -1, SPR_HOUSE!!118 R -1, SPR_HOUSE!!119 R -1
  SPR_HOUSE!!120 R -1, SPR_HOUSE!!121 R -1, SPR_HOUSE!!122 R -1, SPR_HOUSE!!123 R -1, SPR_HOUSE!!124 R -1, SPR_HOUSE!!125 R -1, SPR_HOUSE!!126 R -1, SPR_HOUSE!!127 R -1
  SPR_HOUSE!!128 R -1, SPR_HOUSE!!129 R -1, SPR_HOUSE!!130 R -1, SPR_HOUSE!!131 R -1, SPR_HOUSE!!132 R -1, SPR_HOUSE!!133 R -1, SPR_HOUSE!!134 R -1, SPR_HOUSE!!135 R -1
  SPR_HOUSE!!136 R -1, SPR_HOUSE!!137 R -1, SPR_HOUSE!!138 R -1, SPR_HOUSE!!139 R 2, SPR_HOUSE!!140 R 2, SPR_HOUSE!!141 R 2, SPR_HOUSE!!142 R -1, SPR_HOUSE!!143 R -1
  SPR_HOUSE!!144 R -1, SPR_HOUSE!!145 R -1, SPR_HOUSE!!146 R -1, SPR_HOUSE!!147 R -1, SPR_HOUSE!!148 R -1, SPR_HOUSE!!149 R -1, SPR_HOUSE!!150 R -1, SPR_HOUSE!!151 R -1
  SPR_HOUSE!!152 R -1, SPR_HOUSE!!153 R -1, SPR_HOUSE!!154 R -1, SPR_HOUSE!!155 R -1, SPR_HOUSE!!156 R -1, SPR_HOUSE!!157 R -1, SPR_HOUSE!!158 R -1, SPR_HOUSE!!159 R -1
  SPR_HOUSE!!160 R -1, SPR_HOUSE!!161 R -1, SPR_HOUSE!!162 R -1, SPR_HOUSE!!163 R -1, SPR_HOUSE!!164 R -1, SPR_HOUSE!!165 R -1, SPR_HOUSE!!166 R -1, SPR_HOUSE!!167 R -1
  SPR_HOUSE!!168 R -1, SPR_HOUSE!!169 R -1, SPR_HOUSE!!170 R -1, SPR_HOUSE!!171 R -1, SPR_HOUSE!!172 R 1, SPR_HOUSE!!173 R 2, SPR_HOUSE!!174 R 1, SPR_HOUSE!!175 R -1
  SPR_HOUSE!!176 R -1, SPR_HOUSE!!177 R -1, SPR_HOUSE!!178 R -1, SPR_HOUSE!!179 R -1, SPR_HOUSE!!180 R -1, SPR_HOUSE!!181 R -1, SPR_HOUSE!!182 R -1, SPR_HOUSE!!183 R -1
  SPR_HOUSE!!184 R -1, SPR_HOUSE!!185 R -1, SPR_HOUSE!!186 R -1, SPR_HOUSE!!187 R -1, SPR_HOUSE!!188 R -1, SPR_HOUSE!!189 R -1, SPR_HOUSE!!190 R -1, SPR_HOUSE!!191 R -1
  SPR_HOUSE!!192 R -1, SPR_HOUSE!!193 R -1, SPR_HOUSE!!194 R -1, SPR_HOUSE!!195 R -1, SPR_HOUSE!!196 R -1, SPR_HOUSE!!197 R -1, SPR_HOUSE!!198 R -1, SPR_HOUSE!!199 R -1
  SPR_HOUSE!!200 R -1, SPR_HOUSE!!201 R -1, SPR_HOUSE!!202 R -1, SPR_HOUSE!!203 R -1, SPR_HOUSE!!204 R -1, SPR_HOUSE!!205 R -1, SPR_HOUSE!!206 R -1, SPR_HOUSE!!207 R -1
  SPR_HOUSE!!208 R -1, SPR_HOUSE!!209 R -1, SPR_HOUSE!!210 R -1, SPR_HOUSE!!211 R -1, SPR_HOUSE!!212 R -1, SPR_HOUSE!!213 R -1, SPR_HOUSE!!214 R 0, SPR_HOUSE!!215 R 0
  SPR_HOUSE!!216 R 0, SPR_HOUSE!!217 R 0, SPR_HOUSE!!218 R 0, SPR_HOUSE!!219 R -1, SPR_HOUSE!!220 R -1, SPR_HOUSE!!221 R -1, SPR_HOUSE!!222 R -1, SPR_HOUSE!!223 R -1
  SPR_HOUSE!!224 R -1, SPR_HOUSE!!225 R -1, SPR_HOUSE!!226 R -1, SPR_HOUSE!!227 R -1, SPR_HOUSE!!228 R -1, SPR_HOUSE!!229 R -1, SPR_HOUSE!!230 R -1, SPR_HOUSE!!231 R -1
  SPR_HOUSE!!232 R -1, SPR_HOUSE!!233 R -1, SPR_HOUSE!!234 R -1, SPR_HOUSE!!235 R -1, SPR_HOUSE!!236 R -1, SPR_HOUSE!!237 R -1, SPR_HOUSE!!238 R 0, SPR_HOUSE!!239 R 0
  SPR_HOUSE!!240 R 0, SPR_HOUSE!!241 R 0, SPR_HOUSE!!242 R 0, SPR_HOUSE!!243 R -1, SPR_HOUSE!!244 R -1, SPR_HOUSE!!245 R 0, SPR_HOUSE!!246 R 0, SPR_HOUSE!!247 R 0
  SPR_HOUSE!!248 R 6, SPR_HOUSE!!249 R 6, SPR_HOUSE!!250 R 6, SPR_HOUSE!!251 R 0, SPR_HOUSE!!252 R 0, SPR_HOUSE!!253 R 0, SPR_HOUSE!!254 R -1, SPR_HOUSE!!255 R -1
  SPR_HOUSE!!256 R -1, SPR_HOUSE!!257 R -1, SPR_HOUSE!!258 R -1, SPR_HOUSE!!259 R -1, SPR_HOUSE!!260 R -1, SPR_HOUSE!!261 R -1, SPR_HOUSE!!262 R -1, SPR_HOUSE!!263 R -1
  SPR_HOUSE!!264 R -1, SPR_HOUSE!!265 R -1, SPR_HOUSE!!266 R -1, SPR_HOUSE!!267 R -1, SPR_HOUSE!!268 R -1, SPR_HOUSE!!269 R -1, SPR_HOUSE!!270 R -1, SPR_HOUSE!!271 R 0
  SPR_HOUSE!!272 R 4, SPR_HOUSE!!273 R 4, SPR_HOUSE!!274 R 4, SPR_HOUSE!!275 R 0, SPR_HOUSE!!276 R 0, SPR_HOUSE!!277 R 0, SPR_HOUSE!!278 R 0, SPR_HOUSE!!279 R 6
  SPR_HOUSE!!280 R 6, SPR_HOUSE!!281 R 5, SPR_HOUSE!!282 R 5, SPR_HOUSE!!283 R 5, SPR_HOUSE!!284 R 6, SPR_HOUSE!!285 R 6, SPR_HOUSE!!286 R 0, SPR_HOUSE!!287 R 0
  SPR_HOUSE!!288 R 0, SPR_HOUSE!!289 R -1, SPR_HOUSE!!290 R -1, SPR_HOUSE!!291 R -1, SPR_HOUSE!!292 R -1, SPR_HOUSE!!293 R -1, SPR_HOUSE!!294 R -1, SPR_HOUSE!!295 R -1
  SPR_HOUSE!!296 R -1, SPR_HOUSE!!297 R -1, SPR_HOUSE!!298 R -1, SPR_HOUSE!!299 R -1, SPR_HOUSE!!300 R -1, SPR_HOUSE!!301 R -1, SPR_HOUSE!!302 R -1, SPR_HOUSE!!303 R -1
  SPR_HOUSE!!304 R 0, SPR_HOUSE!!305 R 4, SPR_HOUSE!!306 R 4, SPR_HOUSE!!307 R 4, SPR_HOUSE!!308 R 0, SPR_HOUSE!!309 R 0, SPR_HOUSE!!310 R 6, SPR_HOUSE!!311 R 6
  SPR_HOUSE!!312 R 5, SPR_HOUSE!!313 R 5, SPR_HOUSE!!314 R 5, SPR_HOUSE!!315 R 5, SPR_HOUSE!!316 R 5, SPR_HOUSE!!317 R 5, SPR_HOUSE!!318 R 5, SPR_HOUSE!!319 R 6
  SPR_HOUSE!!320 R 6, SPR_HOUSE!!321 R 0, SPR_HOUSE!!322 R 0, SPR_HOUSE!!323 R 0, SPR_HOUSE!!324 R -1, SPR_HOUSE!!325 R -1, SPR_HOUSE!!326 R -1, SPR_HOUSE!!327 R -1
  SPR_HOUSE!!328 R -1, SPR_HOUSE!!329 R -1, SPR_HOUSE!!330 R -1, SPR_HOUSE!!331 R -1, SPR_HOUSE!!332 R -1, SPR_HOUSE!!333 R -1, SPR_HOUSE!!334 R -1, SPR_HOUSE!!335 R -1
  SPR_HOUSE!!336 R -1, SPR_HOUSE!!337 R 0, SPR_HOUSE!!338 R 4, SPR_HOUSE!!339 R 4, SPR_HOUSE!!340 R 4, SPR_HOUSE!!341 R 6, SPR_HOUSE!!342 R 6, SPR_HOUSE!!343 R 5
  SPR_HOUSE!!344 R 5, SPR_HOUSE!!345 R 5, SPR_HOUSE!!346 R 5, SPR_HOUSE!!347 R 5, SPR_HOUSE!!348 R 5, SPR_HOUSE!!349 R 5, SPR_HOUSE!!350 R 5, SPR_HOUSE!!351 R 5
  SPR_HOUSE!!352 R 5, SPR_HOUSE!!353 R 5, SPR_HOUSE!!354 R 6, SPR_HOUSE!!355 R 6, SPR_HOUSE!!356 R 0, SPR_HOUSE!!357 R 0, SPR_HOUSE!!358 R 0, SPR_HOUSE!!359 R -1
  SPR_HOUSE!!360 R -1, SPR_HOUSE!!361 R -1, SPR_HOUSE!!362 R -1, SPR_HOUSE!!363 R -1, SPR_HOUSE!!364 R -1, SPR_HOUSE!!365 R -1, SPR_HOUSE!!366 R -1, SPR_HOUSE!!367 R -1
  SPR_HOUSE!!368 R -1, SPR_HOUSE!!369 R 0, SPR_HOUSE!!370 R 0, SPR_HOUSE!!371 R 4, SPR_HOUSE!!372 R 6, SPR_HOUSE!!373 R 6, SPR_HOUSE!!374 R 5, SPR_HOUSE!!375 R 5
  SPR_HOUSE!!376 R 5, SPR_HOUSE!!377 R 5, SPR_HOUSE!!378 R 5, SPR_HOUSE!!379 R 5, SPR_HOUSE!!380 R 5, SPR_HOUSE!!381 R 5, SPR_HOUSE!!382 R 5, SPR_HOUSE!!383 R 5
  SPR_HOUSE!!384 R 5, SPR_HOUSE!!385 R 5, SPR_HOUSE!!386 R 5, SPR_HOUSE!!387 R 5, SPR_HOUSE!!388 R 5, SPR_HOUSE!!389 R 6, SPR_HOUSE!!390 R 6, SPR_HOUSE!!391 R 0
  SPR_HOUSE!!392 R 0, SPR_HOUSE!!393 R 0, SPR_HOUSE!!394 R -1, SPR_HOUSE!!395 R -1, SPR_HOUSE!!396 R -1, SPR_HOUSE!!397 R -1, SPR_HOUSE!!398 R -1, SPR_HOUSE!!399 R -1
  SPR_HOUSE!!400 R 0, SPR_HOUSE!!401 R 0, SPR_HOUSE!!402 R 0, SPR_HOUSE!!403 R 6, SPR_HOUSE!!404 R 6, SPR_HOUSE!!405 R 5, SPR_HOUSE!!406 R 5, SPR_HOUSE!!407 R 5
  SPR_HOUSE!!408 R 5, SPR_HOUSE!!409 R 5, SPR_HOUSE!!410 R 5, SPR_HOUSE!!411 R 5, SPR_HOUSE!!412 R 5, SPR_HOUSE!!413 R 5, SPR_HOUSE!!414 R 5, SPR_HOUSE!!415 R 5
  SPR_HOUSE!!416 R 5, SPR_HOUSE!!417 R 5, SPR_HOUSE!!418 R 5, SPR_HOUSE!!419 R 5, SPR_HOUSE!!420 R 5, SPR_HOUSE!!421 R 5, SPR_HOUSE!!422 R 5, SPR_HOUSE!!423 R 5
  SPR_HOUSE!!424 R 6, SPR_HOUSE!!425 R 6, SPR_HOUSE!!426 R 0, SPR_HOUSE!!427 R 0, SPR_HOUSE!!428 R 0, SPR_HOUSE!!429 R -1, SPR_HOUSE!!430 R -1, SPR_HOUSE!!431 R 0
  SPR_HOUSE!!432 R 0, SPR_HOUSE!!433 R 0, SPR_HOUSE!!434 R 6, SPR_HOUSE!!435 R 6, SPR_HOUSE!!436 R 5, SPR_HOUSE!!437 R 5, SPR_HOUSE!!438 R 5, SPR_HOUSE!!439 R 5
  SPR_HOUSE!!440 R 5, SPR_HOUSE!!441 R 5, SPR_HOUSE!!442 R 5, SPR_HOUSE!!443 R 5, SPR_HOUSE!!444 R 5, SPR_HOUSE!!445 R 5, SPR_HOUSE!!446 R 5, SPR_HOUSE!!447 R 5
  SPR_HOUSE!!448 R 5, SPR_HOUSE!!449 R 5, SPR_HOUSE!!450 R 5, SPR_HOUSE!!451 R 5, SPR_HOUSE!!452 R 5, SPR_HOUSE!!453 R 5, SPR_HOUSE!!454 R 5, SPR_HOUSE!!455 R 5
  SPR_HOUSE!!456 R 5, SPR_HOUSE!!457 R 5, SPR_HOUSE!!458 R 5, SPR_HOUSE!!459 R 6, SPR_HOUSE!!460 R 6, SPR_HOUSE!!461 R 0, SPR_HOUSE!!462 R 0, SPR_HOUSE!!463 R 0
  SPR_HOUSE!!464 R 0, SPR_HOUSE!!465 R 6, SPR_HOUSE!!466 R 6, SPR_HOUSE!!467 R 0, SPR_HOUSE!!468 R 0, SPR_HOUSE!!469 R 6, SPR_HOUSE!!470 R 6, SPR_HOUSE!!471 R 6
  SPR_HOUSE!!472 R 6, SPR_HOUSE!!473 R 6, SPR_HOUSE!!474 R 6, SPR_HOUSE!!475 R 6, SPR_HOUSE!!476 R 6, SPR_HOUSE!!477 R 6, SPR_HOUSE!!478 R 6, SPR_HOUSE!!479 R 6
  SPR_HOUSE!!480 R 6, SPR_HOUSE!!481 R 6, SPR_HOUSE!!482 R 6, SPR_HOUSE!!483 R 6, SPR_HOUSE!!484 R 6, SPR_HOUSE!!485 R 6, SPR_HOUSE!!486 R 6, SPR_HOUSE!!487 R 6
  SPR_HOUSE!!488 R 6, SPR_HOUSE!!489 R 6, SPR_HOUSE!!490 R 6, SPR_HOUSE!!491 R 6, SPR_HOUSE!!492 R 0, SPR_HOUSE!!493 R 0, SPR_HOUSE!!494 R 6, SPR_HOUSE!!495 R 6
  SPR_HOUSE!!496 R 0, SPR_HOUSE!!497 R 0, SPR_HOUSE!!498 R 0, SPR_HOUSE!!499 R 0, SPR_HOUSE!!500 R 0, SPR_HOUSE!!501 R 0, SPR_HOUSE!!502 R 6, SPR_HOUSE!!503 R 6
  SPR_HOUSE!!504 R 6, SPR_HOUSE!!505 R 6, SPR_HOUSE!!506 R 6, SPR_HOUSE!!507 R 6, SPR_HOUSE!!508 R 6, SPR_HOUSE!!509 R 6, SPR_HOUSE!!510 R 6, SPR_HOUSE!!511 R 6
  SPR_HOUSE!!512 R 6, SPR_HOUSE!!513 R 6, SPR_HOUSE!!514 R 6, SPR_HOUSE!!515 R 6, SPR_HOUSE!!516 R 6, SPR_HOUSE!!517 R 6, SPR_HOUSE!!518 R 6, SPR_HOUSE!!519 R 6
  SPR_HOUSE!!520 R 6, SPR_HOUSE!!521 R 6, SPR_HOUSE!!522 R 6, SPR_HOUSE!!523 R 6, SPR_HOUSE!!524 R 6, SPR_HOUSE!!525 R 0, SPR_HOUSE!!526 R 0, SPR_HOUSE!!527 R 0
  SPR_HOUSE!!528 R 0, SPR_HOUSE!!529 R 0, SPR_HOUSE!!530 R -1, SPR_HOUSE!!531 R -1, SPR_HOUSE!!532 R -1, SPR_HOUSE!!533 R -1, SPR_HOUSE!!534 R 0, SPR_HOUSE!!535 R 6
  SPR_HOUSE!!536 R 6, SPR_HOUSE!!537 R 5, SPR_HOUSE!!538 R 5, SPR_HOUSE!!539 R 5, SPR_HOUSE!!540 R 5, SPR_HOUSE!!541 R 5, SPR_HOUSE!!542 R 5, SPR_HOUSE!!543 R 5
  SPR_HOUSE!!544 R 6, SPR_HOUSE!!545 R 6, SPR_HOUSE!!546 R 6, SPR_HOUSE!!547 R 6, SPR_HOUSE!!548 R 6, SPR_HOUSE!!549 R 6, SPR_HOUSE!!550 R 5, SPR_HOUSE!!551 R 5
  SPR_HOUSE!!552 R 5, SPR_HOUSE!!553 R 5, SPR_HOUSE!!554 R 5, SPR_HOUSE!!555 R 6, SPR_HOUSE!!556 R 6, SPR_HOUSE!!557 R 6, SPR_HOUSE!!558 R 0, SPR_HOUSE!!559 R -1
  SPR_HOUSE!!560 R -1, SPR_HOUSE!!561 R -1, SPR_HOUSE!!562 R -1, SPR_HOUSE!!563 R -1, SPR_HOUSE!!564 R -1, SPR_HOUSE!!565 R -1, SPR_HOUSE!!566 R -1, SPR_HOUSE!!567 R 0
  SPR_HOUSE!!568 R 6, SPR_HOUSE!!569 R 6, SPR_HOUSE!!570 R 5, SPR_HOUSE!!571 R 3, SPR_HOUSE!!572 R 3, SPR_HOUSE!!573 R 5, SPR_HOUSE!!574 R 3, SPR_HOUSE!!575 R 3
  SPR_HOUSE!!576 R 5, SPR_HOUSE!!577 R 6, SPR_HOUSE!!578 R 6, SPR_HOUSE!!579 R 6, SPR_HOUSE!!580 R 6, SPR_HOUSE!!581 R 6, SPR_HOUSE!!582 R 6, SPR_HOUSE!!583 R 5
  SPR_HOUSE!!584 R 3, SPR_HOUSE!!585 R 3, SPR_HOUSE!!586 R 3, SPR_HOUSE!!587 R 5, SPR_HOUSE!!588 R 6, SPR_HOUSE!!589 R 6, SPR_HOUSE!!590 R 6, SPR_HOUSE!!591 R 0
  SPR_HOUSE!!592 R -1, SPR_HOUSE!!593 R -1, SPR_HOUSE!!594 R -1, SPR_HOUSE!!595 R -1, SPR_HOUSE!!596 R -1, SPR_HOUSE!!597 R -1, SPR_HOUSE!!598 R -1, SPR_HOUSE!!599 R -1
  SPR_HOUSE!!600 R 0, SPR_HOUSE!!601 R 6, SPR_HOUSE!!602 R 6, SPR_HOUSE!!603 R 5, SPR_HOUSE!!604 R 3, SPR_HOUSE!!605 R 3, SPR_HOUSE!!606 R 5, SPR_HOUSE!!607 R 3
  SPR_HOUSE!!608 R 3, SPR_HOUSE!!609 R 5, SPR_HOUSE!!610 R 6, SPR_HOUSE!!611 R 6, SPR_HOUSE!!612 R 6, SPR_HOUSE!!613 R 6, SPR_HOUSE!!614 R 6, SPR_HOUSE!!615 R 6
  SPR_HOUSE!!616 R 5, SPR_HOUSE!!617 R 3, SPR_HOUSE!!618 R 3, SPR_HOUSE!!619 R 3, SPR_HOUSE!!620 R 5, SPR_HOUSE!!621 R 6, SPR_HOUSE!!622 R 6, SPR_HOUSE!!623 R 6
  SPR_HOUSE!!624 R 0, SPR_HOUSE!!625 R -1, SPR_HOUSE!!626 R -1, SPR_HOUSE!!627 R -1, SPR_HOUSE!!628 R -1, SPR_HOUSE!!629 R -1, SPR_HOUSE!!630 R -1, SPR_HOUSE!!631 R -1
  SPR_HOUSE!!632 R -1, SPR_HOUSE!!633 R 0, SPR_HOUSE!!634 R 6, SPR_HOUSE!!635 R 6, SPR_HOUSE!!636 R 5, SPR_HOUSE!!637 R 3, SPR_HOUSE!!638 R 3, SPR_HOUSE!!639 R 5
  SPR_HOUSE!!640 R 3, SPR_HOUSE!!641 R 3, SPR_HOUSE!!642 R 5, SPR_HOUSE!!643 R 6, SPR_HOUSE!!644 R 6, SPR_HOUSE!!645 R 6, SPR_HOUSE!!646 R 6, SPR_HOUSE!!647 R 6
  SPR_HOUSE!!648 R 6, SPR_HOUSE!!649 R 5, SPR_HOUSE!!650 R 3, SPR_HOUSE!!651 R 3, SPR_HOUSE!!652 R 3, SPR_HOUSE!!653 R 5, SPR_HOUSE!!654 R 6, SPR_HOUSE!!655 R 6
  SPR_HOUSE!!656 R 6, SPR_HOUSE!!657 R 0, SPR_HOUSE!!658 R -1, SPR_HOUSE!!659 R -1, SPR_HOUSE!!660 R -1, SPR_HOUSE!!661 R -1, SPR_HOUSE!!662 R -1, SPR_HOUSE!!663 R -1
  SPR_HOUSE!!664 R -1, SPR_HOUSE!!665 R -1, SPR_HOUSE!!666 R 0, SPR_HOUSE!!667 R 6, SPR_HOUSE!!668 R 6, SPR_HOUSE!!669 R 5, SPR_HOUSE!!670 R 5, SPR_HOUSE!!671 R 5
  SPR_HOUSE!!672 R 5, SPR_HOUSE!!673 R 5, SPR_HOUSE!!674 R 5, SPR_HOUSE!!675 R 5, SPR_HOUSE!!676 R 6, SPR_HOUSE!!677 R 6, SPR_HOUSE!!678 R 6, SPR_HOUSE!!679 R 6
  SPR_HOUSE!!680 R 6, SPR_HOUSE!!681 R 6, SPR_HOUSE!!682 R 5, SPR_HOUSE!!683 R 3, SPR_HOUSE!!684 R 3, SPR_HOUSE!!685 R 3, SPR_HOUSE!!686 R 5, SPR_HOUSE!!687 R 6
  SPR_HOUSE!!688 R 6, SPR_HOUSE!!689 R 6, SPR_HOUSE!!690 R 0, SPR_HOUSE!!691 R -1, SPR_HOUSE!!692 R -1, SPR_HOUSE!!693 R -1, SPR_HOUSE!!694 R -1, SPR_HOUSE!!695 R -1
  SPR_HOUSE!!696 R -1, SPR_HOUSE!!697 R -1, SPR_HOUSE!!698 R -1, SPR_HOUSE!!699 R 0, SPR_HOUSE!!700 R 6, SPR_HOUSE!!701 R 6, SPR_HOUSE!!702 R 6, SPR_HOUSE!!703 R 6
  SPR_HOUSE!!704 R 6, SPR_HOUSE!!705 R 6, SPR_HOUSE!!706 R 6, SPR_HOUSE!!707 R 6, SPR_HOUSE!!708 R 6, SPR_HOUSE!!709 R 6, SPR_HOUSE!!710 R 6, SPR_HOUSE!!711 R 6
  SPR_HOUSE!!712 R 6, SPR_HOUSE!!713 R 6, SPR_HOUSE!!714 R 6, SPR_HOUSE!!715 R 5, SPR_HOUSE!!716 R 3, SPR_HOUSE!!717 R 3, SPR_HOUSE!!718 R 3, SPR_HOUSE!!719 R 5
  SPR_HOUSE!!720 R 6, SPR_HOUSE!!721 R 6, SPR_HOUSE!!722 R 6, SPR_HOUSE!!723 R 0, SPR_HOUSE!!724 R -1, SPR_HOUSE!!725 R -1, SPR_HOUSE!!726 R -1, SPR_HOUSE!!727 R -1
  SPR_HOUSE!!728 R -1, SPR_HOUSE!!729 R -1, SPR_HOUSE!!730 R -1, SPR_HOUSE!!731 R -1, SPR_HOUSE!!732 R 0, SPR_HOUSE!!733 R 6, SPR_HOUSE!!734 R 6, SPR_HOUSE!!735 R 6
  SPR_HOUSE!!736 R 6, SPR_HOUSE!!737 R 6, SPR_HOUSE!!738 R 6, SPR_HOUSE!!739 R 6, SPR_HOUSE!!740 R 6, SPR_HOUSE!!741 R 6, SPR_HOUSE!!742 R 6, SPR_HOUSE!!743 R 6
  SPR_HOUSE!!744 R 6, SPR_HOUSE!!745 R 6, SPR_HOUSE!!746 R 6, SPR_HOUSE!!747 R 6, SPR_HOUSE!!748 R 5, SPR_HOUSE!!749 R 3, SPR_HOUSE!!750 R 3, SPR_HOUSE!!751 R 3
  SPR_HOUSE!!752 R 5, SPR_HOUSE!!753 R 6, SPR_HOUSE!!754 R 6, SPR_HOUSE!!755 R 6, SPR_HOUSE!!756 R 0, SPR_HOUSE!!757 R -1, SPR_HOUSE!!758 R -1, SPR_HOUSE!!759 R -1
  SPR_HOUSE!!760 R -1, SPR_HOUSE!!761 R -1, SPR_HOUSE!!762 R -1, SPR_HOUSE!!763 R -1, SPR_HOUSE!!764 R -1, SPR_HOUSE!!765 R 0, SPR_HOUSE!!766 R 6, SPR_HOUSE!!767 R 6
  SPR_HOUSE!!768 R 6, SPR_HOUSE!!769 R 6, SPR_HOUSE!!770 R 6, SPR_HOUSE!!771 R 6, SPR_HOUSE!!772 R 6, SPR_HOUSE!!773 R 6, SPR_HOUSE!!774 R 6, SPR_HOUSE!!775 R 6
  SPR_HOUSE!!776 R 6, SPR_HOUSE!!777 R 6, SPR_HOUSE!!778 R 6, SPR_HOUSE!!779 R 6, SPR_HOUSE!!780 R 6, SPR_HOUSE!!781 R 5, SPR_HOUSE!!782 R 3, SPR_HOUSE!!783 R 3
  SPR_HOUSE!!784 R 3, SPR_HOUSE!!785 R 5, SPR_HOUSE!!786 R 6, SPR_HOUSE!!787 R 6, SPR_HOUSE!!788 R 6, SPR_HOUSE!!789 R 0, SPR_HOUSE!!790 R -1, SPR_HOUSE!!791 R -1
  SPR_HOUSE!!792 R -1, SPR_HOUSE!!793 R -1
  
  BTW Tree
  SPR_TREE!!0 R 23, SPR_TREE!!1 R 24, SPR_TREE!!2 R -1, SPR_TREE!!3 R -1, SPR_TREE!!4 R -1, SPR_TREE!!5 R -1, SPR_TREE!!6 R -1, SPR_TREE!!7 R 0
  SPR_TREE!!8 R 0, SPR_TREE!!9 R 0, SPR_TREE!!10 R 0, SPR_TREE!!11 R 0, SPR_TREE!!12 R 0, SPR_TREE!!13 R 0, SPR_TREE!!14 R 0, SPR_TREE!!15 R 0
  SPR_TREE!!16 R 0, SPR_TREE!!17 R 0, SPR_TREE!!18 R -1, SPR_TREE!!19 R -1, SPR_TREE!!20 R -1, SPR_TREE!!21 R -1, SPR_TREE!!22 R -1, SPR_TREE!!23 R -1
  SPR_TREE!!24 R -1, SPR_TREE!!25 R -1, SPR_TREE!!26 R -1, SPR_TREE!!27 R -1, SPR_TREE!!28 R -1, SPR_TREE!!29 R 0, SPR_TREE!!30 R 0, SPR_TREE!!31 R 5
  SPR_TREE!!32 R 5, SPR_TREE!!33 R 5, SPR_TREE!!34 R 4, SPR_TREE!!35 R 2, SPR_TREE!!36 R 5, SPR_TREE!!37 R 3, SPR_TREE!!38 R 5, SPR_TREE!!39 R 5
  SPR_TREE!!40 R 0, SPR_TREE!!41 R 0, SPR_TREE!!42 R -1, SPR_TREE!!43 R -1, SPR_TREE!!44 R -1, SPR_TREE!!45 R -1, SPR_TREE!!46 R -1, SPR_TREE!!47 R -1
  SPR_TREE!!48 R -1, SPR_TREE!!49 R -1, SPR_TREE!!50 R 0, SPR_TREE!!51 R 0, SPR_TREE!!52 R 0, SPR_TREE!!53 R 5, SPR_TREE!!54 R 3, SPR_TREE!!55 R 1
  SPR_TREE!!56 R 5, SPR_TREE!!57 R 4, SPR_TREE!!58 R 3, SPR_TREE!!59 R 4, SPR_TREE!!60 R 4, SPR_TREE!!61 R 5, SPR_TREE!!62 R 3, SPR_TREE!!63 R 5
  SPR_TREE!!64 R 0, SPR_TREE!!65 R 0, SPR_TREE!!66 R 0, SPR_TREE!!67 R 0, SPR_TREE!!68 R -1, SPR_TREE!!69 R -1, SPR_TREE!!70 R -1, SPR_TREE!!71 R -1
  SPR_TREE!!72 R 0, SPR_TREE!!73 R 0, SPR_TREE!!74 R 5, SPR_TREE!!75 R 2, SPR_TREE!!76 R 5, SPR_TREE!!77 R 4, SPR_TREE!!78 R 1, SPR_TREE!!79 R 1
  SPR_TREE!!80 R 5, SPR_TREE!!81 R 4, SPR_TREE!!82 R 5, SPR_TREE!!83 R 3, SPR_TREE!!84 R 5, SPR_TREE!!85 R 5, SPR_TREE!!86 R 5, SPR_TREE!!87 R 4
  SPR_TREE!!88 R 5, SPR_TREE!!89 R 5, SPR_TREE!!90 R 0, SPR_TREE!!91 R 0, SPR_TREE!!92 R -1, SPR_TREE!!93 R -1, SPR_TREE!!94 R 0, SPR_TREE!!95 R 0
  SPR_TREE!!96 R 3, SPR_TREE!!97 R 5, SPR_TREE!!98 R 3, SPR_TREE!!99 R 3, SPR_TREE!!100 R 5, SPR_TREE!!101 R 5, SPR_TREE!!102 R 1, SPR_TREE!!103 R 5
  SPR_TREE!!104 R 3, SPR_TREE!!105 R 4, SPR_TREE!!106 R 5, SPR_TREE!!107 R 1, SPR_TREE!!108 R 1, SPR_TREE!!109 R 4, SPR_TREE!!110 R 4, SPR_TREE!!111 R 5
  SPR_TREE!!112 R 4, SPR_TREE!!113 R 3, SPR_TREE!!114 R 0, SPR_TREE!!115 R 0, SPR_TREE!!116 R -1, SPR_TREE!!117 R 0, SPR_TREE!!118 R 5, SPR_TREE!!119 R 4
  SPR_TREE!!120 R 4, SPR_TREE!!121 R 4, SPR_TREE!!122 R 5, SPR_TREE!!123 R 5, SPR_TREE!!124 R 4, SPR_TREE!!125 R 3, SPR_TREE!!126 R 5, SPR_TREE!!127 R 4
  SPR_TREE!!128 R 5, SPR_TREE!!129 R 1, SPR_TREE!!130 R 2, SPR_TREE!!131 R 5, SPR_TREE!!132 R 3, SPR_TREE!!133 R 5, SPR_TREE!!134 R 3, SPR_TREE!!135 R 5
  SPR_TREE!!136 R 3, SPR_TREE!!137 R 5, SPR_TREE!!138 R 0, SPR_TREE!!139 R -1, SPR_TREE!!140 R 0, SPR_TREE!!141 R 4, SPR_TREE!!142 R 3, SPR_TREE!!143 R 5
  SPR_TREE!!144 R 1, SPR_TREE!!145 R 1, SPR_TREE!!146 R 3, SPR_TREE!!147 R 3, SPR_TREE!!148 R 5, SPR_TREE!!149 R 3, SPR_TREE!!150 R 5, SPR_TREE!!151 R 1
  SPR_TREE!!152 R 1, SPR_TREE!!153 R 5, SPR_TREE!!154 R 5, SPR_TREE!!155 R 3, SPR_TREE!!156 R 4, SPR_TREE!!157 R 5, SPR_TREE!!158 R 3, SPR_TREE!!159 R 5
  SPR_TREE!!160 R 5, SPR_TREE!!161 R 0, SPR_TREE!!162 R 0, SPR_TREE!!163 R 0, SPR_TREE!!164 R 5, SPR_TREE!!165 R 5, SPR_TREE!!166 R 3, SPR_TREE!!167 R 5
  SPR_TREE!!168 R 1, SPR_TREE!!169 R 1, SPR_TREE!!170 R 5, SPR_TREE!!171 R 5, SPR_TREE!!172 R 1, SPR_TREE!!173 R 1, SPR_TREE!!174 R 5, SPR_TREE!!175 R 5
  SPR_TREE!!176 R 2, SPR_TREE!!177 R 3, SPR_TREE!!178 R 5, SPR_TREE!!179 R 5, SPR_TREE!!180 R 4, SPR_TREE!!181 R 2, SPR_TREE!!182 R 5, SPR_TREE!!183 R 4
  SPR_TREE!!184 R 5, SPR_TREE!!185 R 0, SPR_TREE!!186 R 0, SPR_TREE!!187 R 3, SPR_TREE!!188 R 4, SPR_TREE!!189 R 2, SPR_TREE!!190 R 4, SPR_TREE!!191 R 5
  SPR_TREE!!192 R 1, SPR_TREE!!193 R 1, SPR_TREE!!194 R 5, SPR_TREE!!195 R 4, SPR_TREE!!196 R 5, SPR_TREE!!197 R 4, SPR_TREE!!198 R 3, SPR_TREE!!199 R 5
  SPR_TREE!!200 R 5, SPR_TREE!!201 R 3, SPR_TREE!!202 R 4, SPR_TREE!!203 R 4, SPR_TREE!!204 R 5, SPR_TREE!!205 R 3, SPR_TREE!!206 R 2, SPR_TREE!!207 R 5
  SPR_TREE!!208 R 0, SPR_TREE!!209 R 0, SPR_TREE!!210 R 5, SPR_TREE!!211 R 5, SPR_TREE!!212 R 3, SPR_TREE!!213 R 5, SPR_TREE!!214 R 3, SPR_TREE!!215 R 5
  SPR_TREE!!216 R 1, SPR_TREE!!217 R 3, SPR_TREE!!218 R 5, SPR_TREE!!219 R 3, SPR_TREE!!220 R 5, SPR_TREE!!221 R 5, SPR_TREE!!222 R 5, SPR_TREE!!223 R 3
  SPR_TREE!!224 R 5, SPR_TREE!!225 R 1, SPR_TREE!!226 R 1, SPR_TREE!!227 R 5, SPR_TREE!!228 R 4, SPR_TREE!!229 R 5, SPR_TREE!!230 R 4, SPR_TREE!!231 R 0
  SPR_TREE!!232 R 0, SPR_TREE!!233 R 3, SPR_TREE!!234 R 4, SPR_TREE!!235 R 5, SPR_TREE!!236 R 4, SPR_TREE!!237 R 5, SPR_TREE!!238 R 4, SPR_TREE!!239 R 5
  SPR_TREE!!240 R 5, SPR_TREE!!241 R 5, SPR_TREE!!242 R 5, SPR_TREE!!243 R 2, SPR_TREE!!244 R 4, SPR_TREE!!245 R 1, SPR_TREE!!246 R 1, SPR_TREE!!247 R 1
  SPR_TREE!!248 R 1, SPR_TREE!!249 R 5, SPR_TREE!!250 R 4, SPR_TREE!!251 R 5, SPR_TREE!!252 R 4, SPR_TREE!!253 R 5, SPR_TREE!!254 R 0, SPR_TREE!!255 R 0
  SPR_TREE!!256 R 2, SPR_TREE!!257 R 5, SPR_TREE!!258 R 1, SPR_TREE!!259 R 1, SPR_TREE!!260 R 3, SPR_TREE!!261 R 5, SPR_TREE!!262 R 3, SPR_TREE!!263 R 4
  SPR_TREE!!264 R 3, SPR_TREE!!265 R 3, SPR_TREE!!266 R 3, SPR_TREE!!267 R 5, SPR_TREE!!268 R 4, SPR_TREE!!269 R 5, SPR_TREE!!270 R 5, SPR_TREE!!271 R 5
  SPR_TREE!!272 R 2, SPR_TREE!!273 R 3, SPR_TREE!!274 R 5, SPR_TREE!!275 R 4, SPR_TREE!!276 R 0, SPR_TREE!!277 R 0, SPR_TREE!!278 R 0, SPR_TREE!!279 R 0
  SPR_TREE!!280 R 3, SPR_TREE!!281 R 5, SPR_TREE!!282 R 1, SPR_TREE!!283 R 1, SPR_TREE!!284 R 1, SPR_TREE!!285 R 5, SPR_TREE!!286 R 5, SPR_TREE!!287 R 2
  SPR_TREE!!288 R 5, SPR_TREE!!289 R 5, SPR_TREE!!290 R 5, SPR_TREE!!291 R 5, SPR_TREE!!292 R 4, SPR_TREE!!293 R 3, SPR_TREE!!294 R 4, SPR_TREE!!295 R 3
  SPR_TREE!!296 R 5, SPR_TREE!!297 R 4, SPR_TREE!!298 R 0, SPR_TREE!!299 R 0, SPR_TREE!!300 R -1, SPR_TREE!!301 R -1, SPR_TREE!!302 R 0, SPR_TREE!!303 R 0
  SPR_TREE!!304 R 5, SPR_TREE!!305 R 3, SPR_TREE!!306 R 5, SPR_TREE!!307 R 5, SPR_TREE!!308 R 2, SPR_TREE!!309 R 3, SPR_TREE!!310 R 5, SPR_TREE!!311 R 3
  SPR_TREE!!312 R 4, SPR_TREE!!313 R 4, SPR_TREE!!314 R 3, SPR_TREE!!315 R 5, SPR_TREE!!316 R 5, SPR_TREE!!317 R 4, SPR_TREE!!318 R 3, SPR_TREE!!319 R 5
  SPR_TREE!!320 R 2, SPR_TREE!!321 R 0, SPR_TREE!!322 R -1, SPR_TREE!!323 R -1, SPR_TREE!!324 R -1, SPR_TREE!!325 R -1, SPR_TREE!!326 R 0, SPR_TREE!!327 R 0
  SPR_TREE!!328 R 5, SPR_TREE!!329 R 5, SPR_TREE!!330 R 3, SPR_TREE!!331 R 0, SPR_TREE!!332 R 0, SPR_TREE!!333 R 6, SPR_TREE!!334 R 6, SPR_TREE!!335 R 5
  SPR_TREE!!336 R 5, SPR_TREE!!337 R 5, SPR_TREE!!338 R 4, SPR_TREE!!339 R 3, SPR_TREE!!340 R 5, SPR_TREE!!341 R 5, SPR_TREE!!342 R 4, SPR_TREE!!343 R 4
  SPR_TREE!!344 R 0, SPR_TREE!!345 R -1, SPR_TREE!!346 R -1, SPR_TREE!!347 R -1, SPR_TREE!!348 R -1, SPR_TREE!!349 R -1, SPR_TREE!!350 R 0, SPR_TREE!!351 R 0
  SPR_TREE!!352 R 0, SPR_TREE!!353 R 0, SPR_TREE!!354 R 0, SPR_TREE!!355 R 0, SPR_TREE!!356 R 5, SPR_TREE!!357 R 6, SPR_TREE!!358 R 5, SPR_TREE!!359 R 6
  SPR_TREE!!360 R 0, SPR_TREE!!361 R 5, SPR_TREE!!362 R 5, SPR_TREE!!363 R 2, SPR_TREE!!364 R 5, SPR_TREE!!365 R 3, SPR_TREE!!366 R 0, SPR_TREE!!367 R 0
  SPR_TREE!!368 R -1, SPR_TREE!!369 R -1, SPR_TREE!!370 R -1, SPR_TREE!!371 R -1, SPR_TREE!!372 R -1, SPR_TREE!!373 R -1, SPR_TREE!!374 R -1, SPR_TREE!!375 R -1
  SPR_TREE!!376 R -1, SPR_TREE!!377 R -1, SPR_TREE!!378 R 0, SPR_TREE!!379 R 5, SPR_TREE!!380 R 6, SPR_TREE!!381 R 5, SPR_TREE!!382 R 6, SPR_TREE!!383 R 0
  SPR_TREE!!384 R 0, SPR_TREE!!385 R 0, SPR_TREE!!386 R 0, SPR_TREE!!387 R 0, SPR_TREE!!388 R 0, SPR_TREE!!389 R 0, SPR_TREE!!390 R -1, SPR_TREE!!391 R -1
  SPR_TREE!!392 R -1, SPR_TREE!!393 R -1, SPR_TREE!!394 R -1, SPR_TREE!!395 R -1, SPR_TREE!!396 R -1, SPR_TREE!!397 R -1, SPR_TREE!!398 R -1, SPR_TREE!!399 R -1
  SPR_TREE!!400 R 0, SPR_TREE!!401 R 0, SPR_TREE!!402 R 5, SPR_TREE!!403 R 6, SPR_TREE!!404 R 6, SPR_TREE!!405 R 0, SPR_TREE!!406 R 0, SPR_TREE!!407 R -1
  SPR_TREE!!408 R -1, SPR_TREE!!409 R -1, SPR_TREE!!410 R -1, SPR_TREE!!411 R -1, SPR_TREE!!412 R -1, SPR_TREE!!413 R -1, SPR_TREE!!414 R -1, SPR_TREE!!415 R -1
  SPR_TREE!!416 R -1, SPR_TREE!!417 R -1, SPR_TREE!!418 R -1, SPR_TREE!!419 R -1, SPR_TREE!!420 R -1, SPR_TREE!!421 R -1, SPR_TREE!!422 R -1, SPR_TREE!!423 R 0
  SPR_TREE!!424 R 6, SPR_TREE!!425 R 5, SPR_TREE!!426 R 6, SPR_TREE!!427 R 6, SPR_TREE!!428 R 0, SPR_TREE!!429 R -1, SPR_TREE!!430 R -1, SPR_TREE!!431 R -1
  SPR_TREE!!432 R -1, SPR_TREE!!433 R -1, SPR_TREE!!434 R -1, SPR_TREE!!435 R -1, SPR_TREE!!436 R -1, SPR_TREE!!437 R -1, SPR_TREE!!438 R -1, SPR_TREE!!439 R -1
  SPR_TREE!!440 R -1, SPR_TREE!!441 R -1, SPR_TREE!!442 R -1, SPR_TREE!!443 R -1, SPR_TREE!!444 R -1, SPR_TREE!!445 R -1, SPR_TREE!!446 R 0, SPR_TREE!!447 R 6
  SPR_TREE!!448 R 6, SPR_TREE!!449 R 6, SPR_TREE!!450 R 6, SPR_TREE!!451 R 0, SPR_TREE!!452 R -1, SPR_TREE!!453 R -1, SPR_TREE!!454 R -1, SPR_TREE!!455 R -1
  SPR_TREE!!456 R -1, SPR_TREE!!457 R -1, SPR_TREE!!458 R -1, SPR_TREE!!459 R -1, SPR_TREE!!460 R -1, SPR_TREE!!461 R -1, SPR_TREE!!462 R -1, SPR_TREE!!463 R -1
  SPR_TREE!!464 R -1, SPR_TREE!!465 R -1, SPR_TREE!!466 R -1, SPR_TREE!!467 R -1, SPR_TREE!!468 R -1, SPR_TREE!!469 R 0, SPR_TREE!!470 R 0, SPR_TREE!!471 R 6
  SPR_TREE!!472 R 5, SPR_TREE!!473 R 6, SPR_TREE!!474 R 0, SPR_TREE!!475 R -1, SPR_TREE!!476 R -1, SPR_TREE!!477 R -1, SPR_TREE!!478 R -1, SPR_TREE!!479 R -1
  SPR_TREE!!480 R -1, SPR_TREE!!481 R -1, SPR_TREE!!482 R -1, SPR_TREE!!483 R -1, SPR_TREE!!484 R -1, SPR_TREE!!485 R -1, SPR_TREE!!486 R -1, SPR_TREE!!487 R -1
  SPR_TREE!!488 R -1, SPR_TREE!!489 R -1, SPR_TREE!!490 R -1, SPR_TREE!!491 R -1, SPR_TREE!!492 R -1, SPR_TREE!!493 R 0, SPR_TREE!!494 R 6, SPR_TREE!!495 R 5
  SPR_TREE!!496 R 6, SPR_TREE!!497 R 0, SPR_TREE!!498 R -1, SPR_TREE!!499 R -1, SPR_TREE!!500 R -1, SPR_TREE!!501 R -1, SPR_TREE!!502 R -1, SPR_TREE!!503 R -1
  SPR_TREE!!504 R -1, SPR_TREE!!505 R -1, SPR_TREE!!506 R -1, SPR_TREE!!507 R -1, SPR_TREE!!508 R -1, SPR_TREE!!509 R -1, SPR_TREE!!510 R -1, SPR_TREE!!511 R -1
  SPR_TREE!!512 R -1, SPR_TREE!!513 R -1, SPR_TREE!!514 R -1, SPR_TREE!!515 R 0, SPR_TREE!!516 R 0, SPR_TREE!!517 R 6, SPR_TREE!!518 R 6, SPR_TREE!!519 R 6
  SPR_TREE!!520 R 0, SPR_TREE!!521 R 0, SPR_TREE!!522 R -1, SPR_TREE!!523 R -1, SPR_TREE!!524 R -1, SPR_TREE!!525 R -1, SPR_TREE!!526 R -1, SPR_TREE!!527 R -1
  SPR_TREE!!528 R -1, SPR_TREE!!529 R -1, SPR_TREE!!530 R -1, SPR_TREE!!531 R -1, SPR_TREE!!532 R -1, SPR_TREE!!533 R -1, SPR_TREE!!534 R -1, SPR_TREE!!535 R -1
  SPR_TREE!!536 R -1, SPR_TREE!!537 R -1, SPR_TREE!!538 R 0, SPR_TREE!!539 R 5, SPR_TREE!!540 R 6, SPR_TREE!!541 R 6, SPR_TREE!!542 R 6, SPR_TREE!!543 R 5
  SPR_TREE!!544 R 0, SPR_TREE!!545 R -1, SPR_TREE!!546 R -1, SPR_TREE!!547 R -1, SPR_TREE!!548 R -1, SPR_TREE!!549 R -1, SPR_TREE!!550 R -1, SPR_TREE!!551 R -1
  SPR_TREE!!552 R -1, SPR_TREE!!553 R -1
  
  BTW Sign
  SPR_SIGN!!0 R 17, SPR_SIGN!!1 R 9, SPR_SIGN!!2 R 0, SPR_SIGN!!3 R 1, SPR_SIGN!!4 R 1, SPR_SIGN!!5 R 1, SPR_SIGN!!6 R 0, SPR_SIGN!!7 R -1
  SPR_SIGN!!8 R -1, SPR_SIGN!!9 R -1, SPR_SIGN!!10 R -1, SPR_SIGN!!11 R -1, SPR_SIGN!!12 R -1, SPR_SIGN!!13 R -1, SPR_SIGN!!14 R 0, SPR_SIGN!!15 R 1
  SPR_SIGN!!16 R 1, SPR_SIGN!!17 R 1, SPR_SIGN!!18 R 0, SPR_SIGN!!19 R 0, SPR_SIGN!!20 R 1, SPR_SIGN!!21 R 6, SPR_SIGN!!22 R 1, SPR_SIGN!!23 R 0
  SPR_SIGN!!24 R -1, SPR_SIGN!!25 R -1, SPR_SIGN!!26 R -1, SPR_SIGN!!27 R -1, SPR_SIGN!!28 R -1, SPR_SIGN!!29 R -1, SPR_SIGN!!30 R -1, SPR_SIGN!!31 R 0
  SPR_SIGN!!32 R 1, SPR_SIGN!!33 R 6, SPR_SIGN!!34 R 1, SPR_SIGN!!35 R 0, SPR_SIGN!!36 R 0, SPR_SIGN!!37 R 1, SPR_SIGN!!38 R 1, SPR_SIGN!!39 R 1
  SPR_SIGN!!40 R 0, SPR_SIGN!!41 R 0, SPR_SIGN!!42 R 0, SPR_SIGN!!43 R 0, SPR_SIGN!!44 R 0, SPR_SIGN!!45 R 0, SPR_SIGN!!46 R 0, SPR_SIGN!!47 R 0
  SPR_SIGN!!48 R 0, SPR_SIGN!!49 R 1, SPR_SIGN!!50 R 1, SPR_SIGN!!51 R 1, SPR_SIGN!!52 R 0, SPR_SIGN!!53 R 0, SPR_SIGN!!54 R 0, SPR_SIGN!!55 R 6
  SPR_SIGN!!56 R 6, SPR_SIGN!!57 R 3, SPR_SIGN!!58 R 3, SPR_SIGN!!59 R 6, SPR_SIGN!!60 R 6, SPR_SIGN!!61 R 3, SPR_SIGN!!62 R 3, SPR_SIGN!!63 R 6
  SPR_SIGN!!64 R 6, SPR_SIGN!!65 R 3, SPR_SIGN!!66 R 3, SPR_SIGN!!67 R 6, SPR_SIGN!!68 R 0, SPR_SIGN!!69 R 0, SPR_SIGN!!70 R -1, SPR_SIGN!!71 R 0
  SPR_SIGN!!72 R 6, SPR_SIGN!!73 R 3, SPR_SIGN!!74 R 3, SPR_SIGN!!75 R 6, SPR_SIGN!!76 R 6, SPR_SIGN!!77 R 3, SPR_SIGN!!78 R 3, SPR_SIGN!!79 R 6
  SPR_SIGN!!80 R 6, SPR_SIGN!!81 R 3, SPR_SIGN!!82 R 3, SPR_SIGN!!83 R 6, SPR_SIGN!!84 R 6, SPR_SIGN!!85 R 0, SPR_SIGN!!86 R -1, SPR_SIGN!!87 R -1
  SPR_SIGN!!88 R 0, SPR_SIGN!!89 R 3, SPR_SIGN!!90 R 3, SPR_SIGN!!91 R 6, SPR_SIGN!!92 R 6, SPR_SIGN!!93 R 3, SPR_SIGN!!94 R 3, SPR_SIGN!!95 R 6
  SPR_SIGN!!96 R 6, SPR_SIGN!!97 R 3, SPR_SIGN!!98 R 3, SPR_SIGN!!99 R 6, SPR_SIGN!!100 R 6, SPR_SIGN!!101 R 3, SPR_SIGN!!102 R 0, SPR_SIGN!!103 R -1
  SPR_SIGN!!104 R -1, SPR_SIGN!!105 R 0, SPR_SIGN!!106 R 2, SPR_SIGN!!107 R 0, SPR_SIGN!!108 R 0, SPR_SIGN!!109 R 0, SPR_SIGN!!110 R 0, SPR_SIGN!!111 R 0
  SPR_SIGN!!112 R 0, SPR_SIGN!!113 R 0, SPR_SIGN!!114 R 0, SPR_SIGN!!115 R 0, SPR_SIGN!!116 R 0, SPR_SIGN!!117 R 0, SPR_SIGN!!118 R 2, SPR_SIGN!!119 R 0
  SPR_SIGN!!120 R -1, SPR_SIGN!!121 R -1, SPR_SIGN!!122 R 0, SPR_SIGN!!123 R 2, SPR_SIGN!!124 R 0, SPR_SIGN!!125 R -1, SPR_SIGN!!126 R -1, SPR_SIGN!!127 R -1
  SPR_SIGN!!128 R -1, SPR_SIGN!!129 R -1, SPR_SIGN!!130 R -1, SPR_SIGN!!131 R -1, SPR_SIGN!!132 R -1, SPR_SIGN!!133 R -1, SPR_SIGN!!134 R 0, SPR_SIGN!!135 R 2
  SPR_SIGN!!136 R 0, SPR_SIGN!!137 R -1, SPR_SIGN!!138 R -1, SPR_SIGN!!139 R 0, SPR_SIGN!!140 R 2, SPR_SIGN!!141 R 0, SPR_SIGN!!142 R -1, SPR_SIGN!!143 R -1
  SPR_SIGN!!144 R -1, SPR_SIGN!!145 R -1, SPR_SIGN!!146 R -1, SPR_SIGN!!147 R -1, SPR_SIGN!!148 R -1, SPR_SIGN!!149 R -1, SPR_SIGN!!150 R -1, SPR_SIGN!!151 R 0
  SPR_SIGN!!152 R 2, SPR_SIGN!!153 R 0, SPR_SIGN!!154 R -1
  
  BTW Commodore logo
  SPR_CBM!!0 R 24, SPR_CBM!!1 R 21, SPR_CBM!!2 R -1, SPR_CBM!!3 R -1, SPR_CBM!!4 R -1, SPR_CBM!!5 R -1, SPR_CBM!!6 R -1, SPR_CBM!!7 R -1
  SPR_CBM!!8 R -1, SPR_CBM!!9 R 0, SPR_CBM!!10 R 0, SPR_CBM!!11 R 0, SPR_CBM!!12 R 0, SPR_CBM!!13 R 0, SPR_CBM!!14 R 0, SPR_CBM!!15 R 0
  SPR_CBM!!16 R -1, SPR_CBM!!17 R -1, SPR_CBM!!18 R -1, SPR_CBM!!19 R -1, SPR_CBM!!20 R -1, SPR_CBM!!21 R -1, SPR_CBM!!22 R -1, SPR_CBM!!23 R -1
  SPR_CBM!!24 R -1, SPR_CBM!!25 R -1, SPR_CBM!!26 R -1, SPR_CBM!!27 R -1, SPR_CBM!!28 R -1, SPR_CBM!!29 R -1, SPR_CBM!!30 R -1, SPR_CBM!!31 R 0
  SPR_CBM!!32 R 0, SPR_CBM!!33 R 0, SPR_CBM!!34 R 6, SPR_CBM!!35 R 6, SPR_CBM!!36 R 6, SPR_CBM!!37 R 6, SPR_CBM!!38 R 6, SPR_CBM!!39 R 0
  SPR_CBM!!40 R 0, SPR_CBM!!41 R 0, SPR_CBM!!42 R -1, SPR_CBM!!43 R -1, SPR_CBM!!44 R -1, SPR_CBM!!45 R -1, SPR_CBM!!46 R -1, SPR_CBM!!47 R -1
  SPR_CBM!!48 R -1, SPR_CBM!!49 R -1, SPR_CBM!!50 R -1, SPR_CBM!!51 R -1, SPR_CBM!!52 R -1, SPR_CBM!!53 R 0, SPR_CBM!!54 R 0, SPR_CBM!!55 R 0
  SPR_CBM!!56 R 6, SPR_CBM!!57 R 6, SPR_CBM!!58 R 6, SPR_CBM!!59 R 6, SPR_CBM!!60 R 6, SPR_CBM!!61 R 6, SPR_CBM!!62 R 6, SPR_CBM!!63 R 6
  SPR_CBM!!64 R 6, SPR_CBM!!65 R 0, SPR_CBM!!66 R -1, SPR_CBM!!67 R -1, SPR_CBM!!68 R -1, SPR_CBM!!69 R -1, SPR_CBM!!70 R -1, SPR_CBM!!71 R -1
  SPR_CBM!!72 R -1, SPR_CBM!!73 R -1, SPR_CBM!!74 R -1, SPR_CBM!!75 R -1, SPR_CBM!!76 R 0, SPR_CBM!!77 R 0, SPR_CBM!!78 R 6, SPR_CBM!!79 R 6
  SPR_CBM!!80 R 6, SPR_CBM!!81 R 6, SPR_CBM!!82 R 6, SPR_CBM!!83 R 6, SPR_CBM!!84 R 6, SPR_CBM!!85 R 6, SPR_CBM!!86 R 6, SPR_CBM!!87 R 6
  SPR_CBM!!88 R 6, SPR_CBM!!89 R 0, SPR_CBM!!90 R -1, SPR_CBM!!91 R -1, SPR_CBM!!92 R -1, SPR_CBM!!93 R -1, SPR_CBM!!94 R -1, SPR_CBM!!95 R -1
  SPR_CBM!!96 R -1, SPR_CBM!!97 R -1, SPR_CBM!!98 R -1, SPR_CBM!!99 R -1, SPR_CBM!!100 R 0, SPR_CBM!!101 R 6, SPR_CBM!!102 R 6, SPR_CBM!!103 R 6
  SPR_CBM!!104 R 6, SPR_CBM!!105 R 6, SPR_CBM!!106 R 6, SPR_CBM!!107 R 6, SPR_CBM!!108 R 6, SPR_CBM!!109 R 6, SPR_CBM!!110 R 6, SPR_CBM!!111 R 6
  SPR_CBM!!112 R 6, SPR_CBM!!113 R 0, SPR_CBM!!114 R -1, SPR_CBM!!115 R -1, SPR_CBM!!116 R -1, SPR_CBM!!117 R -1, SPR_CBM!!118 R -1, SPR_CBM!!119 R -1
  SPR_CBM!!120 R -1, SPR_CBM!!121 R -1, SPR_CBM!!122 R -1, SPR_CBM!!123 R 0, SPR_CBM!!124 R 0, SPR_CBM!!125 R 6, SPR_CBM!!126 R 6, SPR_CBM!!127 R 6
  SPR_CBM!!128 R 6, SPR_CBM!!129 R 6, SPR_CBM!!130 R 6, SPR_CBM!!131 R 6, SPR_CBM!!132 R 6, SPR_CBM!!133 R 6, SPR_CBM!!134 R 6, SPR_CBM!!135 R 6
  SPR_CBM!!136 R 6, SPR_CBM!!137 R 0, SPR_CBM!!138 R 0, SPR_CBM!!139 R 0, SPR_CBM!!140 R 0, SPR_CBM!!141 R 0, SPR_CBM!!142 R 0, SPR_CBM!!143 R 0
  SPR_CBM!!144 R 0, SPR_CBM!!145 R 0, SPR_CBM!!146 R -1, SPR_CBM!!147 R 0, SPR_CBM!!148 R 6, SPR_CBM!!149 R 6, SPR_CBM!!150 R 6, SPR_CBM!!151 R 6
  SPR_CBM!!152 R 6, SPR_CBM!!153 R 6, SPR_CBM!!154 R 0, SPR_CBM!!155 R 0, SPR_CBM!!156 R 0, SPR_CBM!!157 R 0, SPR_CBM!!158 R 0, SPR_CBM!!159 R 6
  SPR_CBM!!160 R 6, SPR_CBM!!161 R 6, SPR_CBM!!162 R 6, SPR_CBM!!163 R 6, SPR_CBM!!164 R 6, SPR_CBM!!165 R 6, SPR_CBM!!166 R 6, SPR_CBM!!167 R 6
  SPR_CBM!!168 R 6, SPR_CBM!!169 R 0, SPR_CBM!!170 R 0, SPR_CBM!!171 R 0, SPR_CBM!!172 R 6, SPR_CBM!!173 R 6, SPR_CBM!!174 R 6, SPR_CBM!!175 R 6
  SPR_CBM!!176 R 6, SPR_CBM!!177 R 0, SPR_CBM!!178 R 0, SPR_CBM!!179 R -1, SPR_CBM!!180 R -1, SPR_CBM!!181 R -1, SPR_CBM!!182 R 0, SPR_CBM!!183 R 0
  SPR_CBM!!184 R 0, SPR_CBM!!185 R 6, SPR_CBM!!186 R 6, SPR_CBM!!187 R 6, SPR_CBM!!188 R 6, SPR_CBM!!189 R 6, SPR_CBM!!190 R 6, SPR_CBM!!191 R 6
  SPR_CBM!!192 R 0, SPR_CBM!!193 R 0, SPR_CBM!!194 R 0, SPR_CBM!!195 R 6, SPR_CBM!!196 R 6, SPR_CBM!!197 R 6, SPR_CBM!!198 R 6, SPR_CBM!!199 R 6
  SPR_CBM!!200 R 0, SPR_CBM!!201 R 0, SPR_CBM!!202 R -1, SPR_CBM!!203 R -1, SPR_CBM!!204 R -1, SPR_CBM!!205 R -1, SPR_CBM!!206 R -1, SPR_CBM!!207 R -1
  SPR_CBM!!208 R 0, SPR_CBM!!209 R 6, SPR_CBM!!210 R 6, SPR_CBM!!211 R 6, SPR_CBM!!212 R 6, SPR_CBM!!213 R 6, SPR_CBM!!214 R 6, SPR_CBM!!215 R 0
  SPR_CBM!!216 R 0, SPR_CBM!!217 R -1, SPR_CBM!!218 R 0, SPR_CBM!!219 R 6, SPR_CBM!!220 R 6, SPR_CBM!!221 R 6, SPR_CBM!!222 R 6, SPR_CBM!!223 R 6
  SPR_CBM!!224 R 0, SPR_CBM!!225 R -1, SPR_CBM!!226 R -1, SPR_CBM!!227 R -1, SPR_CBM!!228 R -1, SPR_CBM!!229 R -1, SPR_CBM!!230 R -1, SPR_CBM!!231 R -1
  SPR_CBM!!232 R 0, SPR_CBM!!233 R 6, SPR_CBM!!234 R 6, SPR_CBM!!235 R 6, SPR_CBM!!236 R 6, SPR_CBM!!237 R 6, SPR_CBM!!238 R 0, SPR_CBM!!239 R 0
  SPR_CBM!!240 R -1, SPR_CBM!!241 R -1, SPR_CBM!!242 R 0, SPR_CBM!!243 R 6, SPR_CBM!!244 R 6, SPR_CBM!!245 R 6, SPR_CBM!!246 R 6, SPR_CBM!!247 R 6
  SPR_CBM!!248 R 0, SPR_CBM!!249 R -1, SPR_CBM!!250 R -1, SPR_CBM!!251 R -1, SPR_CBM!!252 R -1, SPR_CBM!!253 R -1, SPR_CBM!!254 R -1, SPR_CBM!!255 R -1
  SPR_CBM!!256 R 0, SPR_CBM!!257 R 0, SPR_CBM!!258 R 0, SPR_CBM!!259 R 0, SPR_CBM!!260 R 0, SPR_CBM!!261 R 0, SPR_CBM!!262 R 0, SPR_CBM!!263 R -1
  SPR_CBM!!264 R -1, SPR_CBM!!265 R -1, SPR_CBM!!266 R 0, SPR_CBM!!267 R 6, SPR_CBM!!268 R 6, SPR_CBM!!269 R 6, SPR_CBM!!270 R 6, SPR_CBM!!271 R 6
  SPR_CBM!!272 R 0, SPR_CBM!!273 R -1, SPR_CBM!!274 R -1, SPR_CBM!!275 R -1, SPR_CBM!!276 R -1, SPR_CBM!!277 R -1, SPR_CBM!!278 R -1, SPR_CBM!!279 R -1
  SPR_CBM!!280 R 0, SPR_CBM!!281 R 2, SPR_CBM!!282 R 2, SPR_CBM!!283 R 2, SPR_CBM!!284 R 2, SPR_CBM!!285 R 2, SPR_CBM!!286 R 0, SPR_CBM!!287 R 0
  SPR_CBM!!288 R -1, SPR_CBM!!289 R -1, SPR_CBM!!290 R 0, SPR_CBM!!291 R 6, SPR_CBM!!292 R 6, SPR_CBM!!293 R 6, SPR_CBM!!294 R 6, SPR_CBM!!295 R 6
  SPR_CBM!!296 R 0, SPR_CBM!!297 R 0, SPR_CBM!!298 R -1, SPR_CBM!!299 R -1, SPR_CBM!!300 R -1, SPR_CBM!!301 R -1, SPR_CBM!!302 R -1, SPR_CBM!!303 R -1
  SPR_CBM!!304 R 0, SPR_CBM!!305 R 2, SPR_CBM!!306 R 2, SPR_CBM!!307 R 2, SPR_CBM!!308 R 2, SPR_CBM!!309 R 2, SPR_CBM!!310 R 2, SPR_CBM!!311 R 0
  SPR_CBM!!312 R 0, SPR_CBM!!313 R -1, SPR_CBM!!314 R 0, SPR_CBM!!315 R 0, SPR_CBM!!316 R 6, SPR_CBM!!317 R 6, SPR_CBM!!318 R 6, SPR_CBM!!319 R 6
  SPR_CBM!!320 R 6, SPR_CBM!!321 R 0, SPR_CBM!!322 R 0, SPR_CBM!!323 R -1, SPR_CBM!!324 R -1, SPR_CBM!!325 R -1, SPR_CBM!!326 R 0, SPR_CBM!!327 R 0
  SPR_CBM!!328 R 0, SPR_CBM!!329 R 2, SPR_CBM!!330 R 2, SPR_CBM!!331 R 2, SPR_CBM!!332 R 2, SPR_CBM!!333 R 2, SPR_CBM!!334 R 2, SPR_CBM!!335 R 2
  SPR_CBM!!336 R 0, SPR_CBM!!337 R 0, SPR_CBM!!338 R -1, SPR_CBM!!339 R 0, SPR_CBM!!340 R 6, SPR_CBM!!341 R 6, SPR_CBM!!342 R 6, SPR_CBM!!343 R 6
  SPR_CBM!!344 R 6, SPR_CBM!!345 R 6, SPR_CBM!!346 R 0, SPR_CBM!!347 R 0, SPR_CBM!!348 R 0, SPR_CBM!!349 R 0, SPR_CBM!!350 R 0, SPR_CBM!!351 R 6
  SPR_CBM!!352 R 6, SPR_CBM!!353 R 2, SPR_CBM!!354 R 2, SPR_CBM!!355 R 2, SPR_CBM!!356 R 2, SPR_CBM!!357 R 2, SPR_CBM!!358 R 2, SPR_CBM!!359 R 2
  SPR_CBM!!360 R 2, SPR_CBM!!361 R 0, SPR_CBM!!362 R -1, SPR_CBM!!363 R 0, SPR_CBM!!364 R 0, SPR_CBM!!365 R 6, SPR_CBM!!366 R 6, SPR_CBM!!367 R 6
  SPR_CBM!!368 R 6, SPR_CBM!!369 R 6, SPR_CBM!!370 R 6, SPR_CBM!!371 R 6, SPR_CBM!!372 R 6, SPR_CBM!!373 R 6, SPR_CBM!!374 R 6, SPR_CBM!!375 R 6
  SPR_CBM!!376 R 6, SPR_CBM!!377 R 0, SPR_CBM!!378 R 0, SPR_CBM!!379 R 0, SPR_CBM!!380 R 0, SPR_CBM!!381 R 0, SPR_CBM!!382 R 0, SPR_CBM!!383 R 0
  SPR_CBM!!384 R 0, SPR_CBM!!385 R 0, SPR_CBM!!386 R -1, SPR_CBM!!387 R -1, SPR_CBM!!388 R 0, SPR_CBM!!389 R 6, SPR_CBM!!390 R 6, SPR_CBM!!391 R 6
  SPR_CBM!!392 R 6, SPR_CBM!!393 R 6, SPR_CBM!!394 R 6, SPR_CBM!!395 R 6, SPR_CBM!!396 R 6, SPR_CBM!!397 R 6, SPR_CBM!!398 R 6, SPR_CBM!!399 R 6
  SPR_CBM!!400 R 6, SPR_CBM!!401 R 0, SPR_CBM!!402 R -1, SPR_CBM!!403 R -1, SPR_CBM!!404 R -1, SPR_CBM!!405 R -1, SPR_CBM!!406 R -1, SPR_CBM!!407 R -1
  SPR_CBM!!408 R -1, SPR_CBM!!409 R -1, SPR_CBM!!410 R -1, SPR_CBM!!411 R -1, SPR_CBM!!412 R 0, SPR_CBM!!413 R 0, SPR_CBM!!414 R 6, SPR_CBM!!415 R 6
  SPR_CBM!!416 R 6, SPR_CBM!!417 R 6, SPR_CBM!!418 R 6, SPR_CBM!!419 R 6, SPR_CBM!!420 R 6, SPR_CBM!!421 R 6, SPR_CBM!!422 R 6, SPR_CBM!!423 R 6
  SPR_CBM!!424 R 6, SPR_CBM!!425 R 0, SPR_CBM!!426 R -1, SPR_CBM!!427 R -1, SPR_CBM!!428 R -1, SPR_CBM!!429 R -1, SPR_CBM!!430 R -1, SPR_CBM!!431 R -1
  SPR_CBM!!432 R -1, SPR_CBM!!433 R -1, SPR_CBM!!434 R -1, SPR_CBM!!435 R -1, SPR_CBM!!436 R -1, SPR_CBM!!437 R 0, SPR_CBM!!438 R 0, SPR_CBM!!439 R 0
  SPR_CBM!!440 R 6, SPR_CBM!!441 R 6, SPR_CBM!!442 R 6, SPR_CBM!!443 R 6, SPR_CBM!!444 R 6, SPR_CBM!!445 R 6, SPR_CBM!!446 R 6, SPR_CBM!!447 R 6
  SPR_CBM!!448 R 6, SPR_CBM!!449 R 0, SPR_CBM!!450 R -1, SPR_CBM!!451 R -1, SPR_CBM!!452 R -1, SPR_CBM!!453 R -1, SPR_CBM!!454 R -1, SPR_CBM!!455 R -1
  SPR_CBM!!456 R -1, SPR_CBM!!457 R -1, SPR_CBM!!458 R -1, SPR_CBM!!459 R -1, SPR_CBM!!460 R -1, SPR_CBM!!461 R -1, SPR_CBM!!462 R -1, SPR_CBM!!463 R 0
  SPR_CBM!!464 R 0, SPR_CBM!!465 R 0, SPR_CBM!!466 R 6, SPR_CBM!!467 R 6, SPR_CBM!!468 R 6, SPR_CBM!!469 R 6, SPR_CBM!!470 R 6, SPR_CBM!!471 R 0
  SPR_CBM!!472 R 0, SPR_CBM!!473 R 0, SPR_CBM!!474 R -1, SPR_CBM!!475 R -1, SPR_CBM!!476 R -1, SPR_CBM!!477 R -1, SPR_CBM!!478 R -1, SPR_CBM!!479 R -1
  SPR_CBM!!480 R -1, SPR_CBM!!481 R -1, SPR_CBM!!482 R -1, SPR_CBM!!483 R -1, SPR_CBM!!484 R -1, SPR_CBM!!485 R -1, SPR_CBM!!486 R -1, SPR_CBM!!487 R -1
  SPR_CBM!!488 R -1, SPR_CBM!!489 R 0, SPR_CBM!!490 R 0, SPR_CBM!!491 R 0, SPR_CBM!!492 R 0, SPR_CBM!!493 R 0, SPR_CBM!!494 R 0, SPR_CBM!!495 R 0
  SPR_CBM!!496 R -1, SPR_CBM!!497 R -1, SPR_CBM!!498 R -1, SPR_CBM!!499 R -1, SPR_CBM!!500 R -1, SPR_CBM!!501 R -1, SPR_CBM!!502 R -1, SPR_CBM!!503 R -1
  SPR_CBM!!504 R -1, SPR_CBM!!505 R -1
  
  BTW Amiga logo
  SPR_AMIGA!!0 R 25, SPR_AMIGA!!1 R 24, SPR_AMIGA!!2 R -1, SPR_AMIGA!!3 R -1, SPR_AMIGA!!4 R -1, SPR_AMIGA!!5 R -1, SPR_AMIGA!!6 R -1, SPR_AMIGA!!7 R -1
  SPR_AMIGA!!8 R -1, SPR_AMIGA!!9 R -1, SPR_AMIGA!!10 R -1, SPR_AMIGA!!11 R -1, SPR_AMIGA!!12 R -1, SPR_AMIGA!!13 R -1, SPR_AMIGA!!14 R -1, SPR_AMIGA!!15 R -1
  SPR_AMIGA!!16 R -1, SPR_AMIGA!!17 R 0, SPR_AMIGA!!18 R 0, SPR_AMIGA!!19 R 0, SPR_AMIGA!!20 R 0, SPR_AMIGA!!21 R 0, SPR_AMIGA!!22 R 0, SPR_AMIGA!!23 R 0
  SPR_AMIGA!!24 R 0, SPR_AMIGA!!25 R 0, SPR_AMIGA!!26 R 0, SPR_AMIGA!!27 R -1, SPR_AMIGA!!28 R -1, SPR_AMIGA!!29 R -1, SPR_AMIGA!!30 R -1, SPR_AMIGA!!31 R -1
  SPR_AMIGA!!32 R -1, SPR_AMIGA!!33 R -1, SPR_AMIGA!!34 R -1, SPR_AMIGA!!35 R -1, SPR_AMIGA!!36 R -1, SPR_AMIGA!!37 R -1, SPR_AMIGA!!38 R -1, SPR_AMIGA!!39 R -1
  SPR_AMIGA!!40 R -1, SPR_AMIGA!!41 R -1, SPR_AMIGA!!42 R 0, SPR_AMIGA!!43 R 6, SPR_AMIGA!!44 R 6, SPR_AMIGA!!45 R 6, SPR_AMIGA!!46 R 0, SPR_AMIGA!!47 R 0
  SPR_AMIGA!!48 R 3, SPR_AMIGA!!49 R 3, SPR_AMIGA!!50 R 3, SPR_AMIGA!!51 R 0, SPR_AMIGA!!52 R -1, SPR_AMIGA!!53 R -1, SPR_AMIGA!!54 R -1, SPR_AMIGA!!55 R -1
  SPR_AMIGA!!56 R -1, SPR_AMIGA!!57 R -1, SPR_AMIGA!!58 R -1, SPR_AMIGA!!59 R -1, SPR_AMIGA!!60 R -1, SPR_AMIGA!!61 R -1, SPR_AMIGA!!62 R -1, SPR_AMIGA!!63 R -1
  SPR_AMIGA!!64 R -1, SPR_AMIGA!!65 R -1, SPR_AMIGA!!66 R 0, SPR_AMIGA!!67 R 0, SPR_AMIGA!!68 R 6, SPR_AMIGA!!69 R 6, SPR_AMIGA!!70 R 6, SPR_AMIGA!!71 R 0
  SPR_AMIGA!!72 R 0, SPR_AMIGA!!73 R 3, SPR_AMIGA!!74 R 3, SPR_AMIGA!!75 R 3, SPR_AMIGA!!76 R 0, SPR_AMIGA!!77 R -1, SPR_AMIGA!!78 R -1, SPR_AMIGA!!79 R -1
  SPR_AMIGA!!80 R -1, SPR_AMIGA!!81 R -1, SPR_AMIGA!!82 R -1, SPR_AMIGA!!83 R -1, SPR_AMIGA!!84 R -1, SPR_AMIGA!!85 R -1, SPR_AMIGA!!86 R -1, SPR_AMIGA!!87 R -1
  SPR_AMIGA!!88 R -1, SPR_AMIGA!!89 R -1, SPR_AMIGA!!90 R -1, SPR_AMIGA!!91 R 0, SPR_AMIGA!!92 R 6, SPR_AMIGA!!93 R 6, SPR_AMIGA!!94 R 6, SPR_AMIGA!!95 R 0
  SPR_AMIGA!!96 R 0, SPR_AMIGA!!97 R 3, SPR_AMIGA!!98 R 3, SPR_AMIGA!!99 R 3, SPR_AMIGA!!100 R 0, SPR_AMIGA!!101 R 0, SPR_AMIGA!!102 R -1, SPR_AMIGA!!103 R -1
  SPR_AMIGA!!104 R -1, SPR_AMIGA!!105 R -1, SPR_AMIGA!!106 R -1, SPR_AMIGA!!107 R -1, SPR_AMIGA!!108 R -1, SPR_AMIGA!!109 R -1, SPR_AMIGA!!110 R -1, SPR_AMIGA!!111 R -1
  SPR_AMIGA!!112 R -1, SPR_AMIGA!!113 R -1, SPR_AMIGA!!114 R -1, SPR_AMIGA!!115 R 0, SPR_AMIGA!!116 R 0, SPR_AMIGA!!117 R 6, SPR_AMIGA!!118 R 6, SPR_AMIGA!!119 R 6
  SPR_AMIGA!!120 R 0, SPR_AMIGA!!121 R 0, SPR_AMIGA!!122 R 3, SPR_AMIGA!!123 R 3, SPR_AMIGA!!124 R 3, SPR_AMIGA!!125 R 0, SPR_AMIGA!!126 R -1, SPR_AMIGA!!127 R -1
  SPR_AMIGA!!128 R -1, SPR_AMIGA!!129 R -1, SPR_AMIGA!!130 R -1, SPR_AMIGA!!131 R -1, SPR_AMIGA!!132 R -1, SPR_AMIGA!!133 R -1, SPR_AMIGA!!134 R -1, SPR_AMIGA!!135 R -1
  SPR_AMIGA!!136 R -1, SPR_AMIGA!!137 R -1, SPR_AMIGA!!138 R -1, SPR_AMIGA!!139 R -1, SPR_AMIGA!!140 R 0, SPR_AMIGA!!141 R 6, SPR_AMIGA!!142 R 6, SPR_AMIGA!!143 R 6
  SPR_AMIGA!!144 R 0, SPR_AMIGA!!145 R 0, SPR_AMIGA!!146 R 3, SPR_AMIGA!!147 R 3, SPR_AMIGA!!148 R 3, SPR_AMIGA!!149 R 0, SPR_AMIGA!!150 R 0, SPR_AMIGA!!151 R -1
  SPR_AMIGA!!152 R -1, SPR_AMIGA!!153 R -1, SPR_AMIGA!!154 R -1, SPR_AMIGA!!155 R -1, SPR_AMIGA!!156 R -1, SPR_AMIGA!!157 R -1, SPR_AMIGA!!158 R -1, SPR_AMIGA!!159 R -1
  SPR_AMIGA!!160 R -1, SPR_AMIGA!!161 R -1, SPR_AMIGA!!162 R -1, SPR_AMIGA!!163 R -1, SPR_AMIGA!!164 R 0, SPR_AMIGA!!165 R 0, SPR_AMIGA!!166 R 6, SPR_AMIGA!!167 R 6
  SPR_AMIGA!!168 R 6, SPR_AMIGA!!169 R 0, SPR_AMIGA!!170 R 0, SPR_AMIGA!!171 R 3, SPR_AMIGA!!172 R 3, SPR_AMIGA!!173 R 3, SPR_AMIGA!!174 R 0, SPR_AMIGA!!175 R -1
  SPR_AMIGA!!176 R -1, SPR_AMIGA!!177 R -1, SPR_AMIGA!!178 R -1, SPR_AMIGA!!179 R -1, SPR_AMIGA!!180 R -1, SPR_AMIGA!!181 R -1, SPR_AMIGA!!182 R -1, SPR_AMIGA!!183 R -1
  SPR_AMIGA!!184 R -1, SPR_AMIGA!!185 R -1, SPR_AMIGA!!186 R -1, SPR_AMIGA!!187 R -1, SPR_AMIGA!!188 R -1, SPR_AMIGA!!189 R 0, SPR_AMIGA!!190 R 6, SPR_AMIGA!!191 R 6
  SPR_AMIGA!!192 R 6, SPR_AMIGA!!193 R 0, SPR_AMIGA!!194 R 0, SPR_AMIGA!!195 R 3, SPR_AMIGA!!196 R 3, SPR_AMIGA!!197 R 3, SPR_AMIGA!!198 R 0, SPR_AMIGA!!199 R 0
  SPR_AMIGA!!200 R -1, SPR_AMIGA!!201 R -1, SPR_AMIGA!!202 R -1, SPR_AMIGA!!203 R -1, SPR_AMIGA!!204 R -1, SPR_AMIGA!!205 R -1, SPR_AMIGA!!206 R -1, SPR_AMIGA!!207 R -1
  SPR_AMIGA!!208 R -1, SPR_AMIGA!!209 R -1, SPR_AMIGA!!210 R -1, SPR_AMIGA!!211 R -1, SPR_AMIGA!!212 R -1, SPR_AMIGA!!213 R 0, SPR_AMIGA!!214 R 0, SPR_AMIGA!!215 R 6
  SPR_AMIGA!!216 R 6, SPR_AMIGA!!217 R 6, SPR_AMIGA!!218 R 0, SPR_AMIGA!!219 R 0, SPR_AMIGA!!220 R 3, SPR_AMIGA!!221 R 3, SPR_AMIGA!!222 R 3, SPR_AMIGA!!223 R 0
  SPR_AMIGA!!224 R -1, SPR_AMIGA!!225 R -1, SPR_AMIGA!!226 R -1, SPR_AMIGA!!227 R -1, SPR_AMIGA!!228 R -1, SPR_AMIGA!!229 R -1, SPR_AMIGA!!230 R -1, SPR_AMIGA!!231 R -1
  SPR_AMIGA!!232 R -1, SPR_AMIGA!!233 R -1, SPR_AMIGA!!234 R -1, SPR_AMIGA!!235 R -1, SPR_AMIGA!!236 R -1, SPR_AMIGA!!237 R -1, SPR_AMIGA!!238 R 0, SPR_AMIGA!!239 R 6
  SPR_AMIGA!!240 R 6, SPR_AMIGA!!241 R 6, SPR_AMIGA!!242 R 0, SPR_AMIGA!!243 R 0, SPR_AMIGA!!244 R 3, SPR_AMIGA!!245 R 3, SPR_AMIGA!!246 R 3, SPR_AMIGA!!247 R 0
  SPR_AMIGA!!248 R 0, SPR_AMIGA!!249 R -1, SPR_AMIGA!!250 R -1, SPR_AMIGA!!251 R -1, SPR_AMIGA!!252 R 0, SPR_AMIGA!!253 R 0, SPR_AMIGA!!254 R 0, SPR_AMIGA!!255 R 0
  SPR_AMIGA!!256 R 0, SPR_AMIGA!!257 R 0, SPR_AMIGA!!258 R 0, SPR_AMIGA!!259 R 0, SPR_AMIGA!!260 R 0, SPR_AMIGA!!261 R 0, SPR_AMIGA!!262 R 0, SPR_AMIGA!!263 R 0
  SPR_AMIGA!!264 R 6, SPR_AMIGA!!265 R 6, SPR_AMIGA!!266 R 6, SPR_AMIGA!!267 R 0, SPR_AMIGA!!268 R 0, SPR_AMIGA!!269 R 3, SPR_AMIGA!!270 R 3, SPR_AMIGA!!271 R 3
  SPR_AMIGA!!272 R 0, SPR_AMIGA!!273 R -1, SPR_AMIGA!!274 R -1, SPR_AMIGA!!275 R -1, SPR_AMIGA!!276 R -1, SPR_AMIGA!!277 R 0, SPR_AMIGA!!278 R 6, SPR_AMIGA!!279 R 6
  SPR_AMIGA!!280 R 6, SPR_AMIGA!!281 R 0, SPR_AMIGA!!282 R 0, SPR_AMIGA!!283 R 3, SPR_AMIGA!!284 R 3, SPR_AMIGA!!285 R 3, SPR_AMIGA!!286 R 0, SPR_AMIGA!!287 R 0
  SPR_AMIGA!!288 R 6, SPR_AMIGA!!289 R 6, SPR_AMIGA!!290 R 6, SPR_AMIGA!!291 R 0, SPR_AMIGA!!292 R 0, SPR_AMIGA!!293 R 3, SPR_AMIGA!!294 R 3, SPR_AMIGA!!295 R 3
  SPR_AMIGA!!296 R 0, SPR_AMIGA!!297 R 0, SPR_AMIGA!!298 R -1, SPR_AMIGA!!299 R -1, SPR_AMIGA!!300 R -1, SPR_AMIGA!!301 R -1, SPR_AMIGA!!302 R 0, SPR_AMIGA!!303 R 6
  SPR_AMIGA!!304 R 6, SPR_AMIGA!!305 R 6, SPR_AMIGA!!306 R 0, SPR_AMIGA!!307 R 0, SPR_AMIGA!!308 R 3, SPR_AMIGA!!309 R 3, SPR_AMIGA!!310 R 3, SPR_AMIGA!!311 R 0
  SPR_AMIGA!!312 R 0, SPR_AMIGA!!313 R 6, SPR_AMIGA!!314 R 6, SPR_AMIGA!!315 R 6, SPR_AMIGA!!316 R 0, SPR_AMIGA!!317 R 0, SPR_AMIGA!!318 R 3, SPR_AMIGA!!319 R 3
  SPR_AMIGA!!320 R 3, SPR_AMIGA!!321 R 0, SPR_AMIGA!!322 R -1, SPR_AMIGA!!323 R -1, SPR_AMIGA!!324 R -1, SPR_AMIGA!!325 R -1, SPR_AMIGA!!326 R -1, SPR_AMIGA!!327 R 0
  SPR_AMIGA!!328 R 0, SPR_AMIGA!!329 R 6, SPR_AMIGA!!330 R 6, SPR_AMIGA!!331 R 6, SPR_AMIGA!!332 R 0, SPR_AMIGA!!333 R 0, SPR_AMIGA!!334 R 3, SPR_AMIGA!!335 R 3
  SPR_AMIGA!!336 R 3, SPR_AMIGA!!337 R 6, SPR_AMIGA!!338 R 6, SPR_AMIGA!!339 R 6, SPR_AMIGA!!340 R 0, SPR_AMIGA!!341 R 0, SPR_AMIGA!!342 R 3, SPR_AMIGA!!343 R 3
  SPR_AMIGA!!344 R 3, SPR_AMIGA!!345 R 0, SPR_AMIGA!!346 R 0, SPR_AMIGA!!347 R -1, SPR_AMIGA!!348 R -1, SPR_AMIGA!!349 R -1, SPR_AMIGA!!350 R -1, SPR_AMIGA!!351 R -1
  SPR_AMIGA!!352 R -1, SPR_AMIGA!!353 R 0, SPR_AMIGA!!354 R 6, SPR_AMIGA!!355 R 6, SPR_AMIGA!!356 R 6, SPR_AMIGA!!357 R 0, SPR_AMIGA!!358 R 0, SPR_AMIGA!!359 R 3
  SPR_AMIGA!!360 R 3, SPR_AMIGA!!361 R 3, SPR_AMIGA!!362 R 6, SPR_AMIGA!!363 R 6, SPR_AMIGA!!364 R 6, SPR_AMIGA!!365 R 0, SPR_AMIGA!!366 R 0, SPR_AMIGA!!367 R 3
  SPR_AMIGA!!368 R 3, SPR_AMIGA!!369 R 3, SPR_AMIGA!!370 R 0, SPR_AMIGA!!371 R -1, SPR_AMIGA!!372 R -1, SPR_AMIGA!!373 R -1, SPR_AMIGA!!374 R -1, SPR_AMIGA!!375 R -1
  SPR_AMIGA!!376 R -1, SPR_AMIGA!!377 R -1, SPR_AMIGA!!378 R 0, SPR_AMIGA!!379 R 0, SPR_AMIGA!!380 R 6, SPR_AMIGA!!381 R 6, SPR_AMIGA!!382 R 6, SPR_AMIGA!!383 R 0
  SPR_AMIGA!!384 R 0, SPR_AMIGA!!385 R 3, SPR_AMIGA!!386 R 6, SPR_AMIGA!!387 R 6, SPR_AMIGA!!388 R 6, SPR_AMIGA!!389 R 0, SPR_AMIGA!!390 R 0, SPR_AMIGA!!391 R 3
  SPR_AMIGA!!392 R 3, SPR_AMIGA!!393 R 3, SPR_AMIGA!!394 R 0, SPR_AMIGA!!395 R 0, SPR_AMIGA!!396 R -1, SPR_AMIGA!!397 R -1, SPR_AMIGA!!398 R -1, SPR_AMIGA!!399 R -1
  SPR_AMIGA!!400 R -1, SPR_AMIGA!!401 R -1, SPR_AMIGA!!402 R -1, SPR_AMIGA!!403 R -1, SPR_AMIGA!!404 R 0, SPR_AMIGA!!405 R 6, SPR_AMIGA!!406 R 6, SPR_AMIGA!!407 R 6
  SPR_AMIGA!!408 R 0, SPR_AMIGA!!409 R 0, SPR_AMIGA!!410 R 3, SPR_AMIGA!!411 R 6, SPR_AMIGA!!412 R 6, SPR_AMIGA!!413 R 6, SPR_AMIGA!!414 R 0, SPR_AMIGA!!415 R 0
  SPR_AMIGA!!416 R 3, SPR_AMIGA!!417 R 3, SPR_AMIGA!!418 R 3, SPR_AMIGA!!419 R 0, SPR_AMIGA!!420 R -1, SPR_AMIGA!!421 R -1, SPR_AMIGA!!422 R -1, SPR_AMIGA!!423 R -1
  SPR_AMIGA!!424 R -1, SPR_AMIGA!!425 R -1, SPR_AMIGA!!426 R -1, SPR_AMIGA!!427 R -1, SPR_AMIGA!!428 R -1, SPR_AMIGA!!429 R 0, SPR_AMIGA!!430 R 0, SPR_AMIGA!!431 R 6
  SPR_AMIGA!!432 R 6, SPR_AMIGA!!433 R 6, SPR_AMIGA!!434 R 0, SPR_AMIGA!!435 R 6, SPR_AMIGA!!436 R 6, SPR_AMIGA!!437 R 6, SPR_AMIGA!!438 R 3, SPR_AMIGA!!439 R 0
  SPR_AMIGA!!440 R 3, SPR_AMIGA!!441 R 3, SPR_AMIGA!!442 R 3, SPR_AMIGA!!443 R 0, SPR_AMIGA!!444 R 0, SPR_AMIGA!!445 R -1, SPR_AMIGA!!446 R -1, SPR_AMIGA!!447 R -1
  SPR_AMIGA!!448 R -1, SPR_AMIGA!!449 R -1, SPR_AMIGA!!450 R -1, SPR_AMIGA!!451 R -1, SPR_AMIGA!!452 R -1, SPR_AMIGA!!453 R -1, SPR_AMIGA!!454 R -1, SPR_AMIGA!!455 R 0
  SPR_AMIGA!!456 R 6, SPR_AMIGA!!457 R 6, SPR_AMIGA!!458 R 6, SPR_AMIGA!!459 R 0, SPR_AMIGA!!460 R 6, SPR_AMIGA!!461 R 6, SPR_AMIGA!!462 R 6, SPR_AMIGA!!463 R 3
  SPR_AMIGA!!464 R 0, SPR_AMIGA!!465 R 3, SPR_AMIGA!!466 R 3, SPR_AMIGA!!467 R 3, SPR_AMIGA!!468 R 0, SPR_AMIGA!!469 R -1, SPR_AMIGA!!470 R -1, SPR_AMIGA!!471 R -1
  SPR_AMIGA!!472 R -1, SPR_AMIGA!!473 R -1, SPR_AMIGA!!474 R -1, SPR_AMIGA!!475 R -1, SPR_AMIGA!!476 R -1, SPR_AMIGA!!477 R -1, SPR_AMIGA!!478 R -1, SPR_AMIGA!!479 R -1
  SPR_AMIGA!!480 R 0, SPR_AMIGA!!481 R 0, SPR_AMIGA!!482 R 6, SPR_AMIGA!!483 R 6, SPR_AMIGA!!484 R 6, SPR_AMIGA!!485 R 6, SPR_AMIGA!!486 R 6, SPR_AMIGA!!487 R 3
  SPR_AMIGA!!488 R 3, SPR_AMIGA!!489 R 3, SPR_AMIGA!!490 R 3, SPR_AMIGA!!491 R 3, SPR_AMIGA!!492 R 0, SPR_AMIGA!!493 R 0, SPR_AMIGA!!494 R -1, SPR_AMIGA!!495 R -1
  SPR_AMIGA!!496 R -1, SPR_AMIGA!!497 R -1, SPR_AMIGA!!498 R -1, SPR_AMIGA!!499 R -1, SPR_AMIGA!!500 R -1, SPR_AMIGA!!501 R -1, SPR_AMIGA!!502 R -1, SPR_AMIGA!!503 R -1
  SPR_AMIGA!!504 R -1, SPR_AMIGA!!505 R -1, SPR_AMIGA!!506 R 0, SPR_AMIGA!!507 R 6, SPR_AMIGA!!508 R 6, SPR_AMIGA!!509 R 6, SPR_AMIGA!!510 R 6, SPR_AMIGA!!511 R 6
  SPR_AMIGA!!512 R 3, SPR_AMIGA!!513 R 3, SPR_AMIGA!!514 R 3, SPR_AMIGA!!515 R 3, SPR_AMIGA!!516 R 3, SPR_AMIGA!!517 R 0, SPR_AMIGA!!518 R -1, SPR_AMIGA!!519 R -1
  SPR_AMIGA!!520 R -1, SPR_AMIGA!!521 R -1, SPR_AMIGA!!522 R -1, SPR_AMIGA!!523 R -1, SPR_AMIGA!!524 R -1, SPR_AMIGA!!525 R -1, SPR_AMIGA!!526 R -1, SPR_AMIGA!!527 R -1
  SPR_AMIGA!!528 R -1, SPR_AMIGA!!529 R -1, SPR_AMIGA!!530 R -1, SPR_AMIGA!!531 R 0, SPR_AMIGA!!532 R 0, SPR_AMIGA!!533 R 6, SPR_AMIGA!!534 R 6, SPR_AMIGA!!535 R 6
  SPR_AMIGA!!536 R 0, SPR_AMIGA!!537 R 0, SPR_AMIGA!!538 R 3, SPR_AMIGA!!539 R 3, SPR_AMIGA!!540 R 3, SPR_AMIGA!!541 R 0, SPR_AMIGA!!542 R 0, SPR_AMIGA!!543 R -1
  SPR_AMIGA!!544 R -1, SPR_AMIGA!!545 R -1, SPR_AMIGA!!546 R -1, SPR_AMIGA!!547 R -1, SPR_AMIGA!!548 R -1, SPR_AMIGA!!549 R -1, SPR_AMIGA!!550 R -1, SPR_AMIGA!!551 R -1
  SPR_AMIGA!!552 R -1, SPR_AMIGA!!553 R -1, SPR_AMIGA!!554 R -1, SPR_AMIGA!!555 R -1, SPR_AMIGA!!556 R -1, SPR_AMIGA!!557 R 0, SPR_AMIGA!!558 R 6, SPR_AMIGA!!559 R 6
  SPR_AMIGA!!560 R 6, SPR_AMIGA!!561 R 0, SPR_AMIGA!!562 R 0, SPR_AMIGA!!563 R 3, SPR_AMIGA!!564 R 3, SPR_AMIGA!!565 R 3, SPR_AMIGA!!566 R 0, SPR_AMIGA!!567 R -1
  SPR_AMIGA!!568 R -1, SPR_AMIGA!!569 R -1, SPR_AMIGA!!570 R -1, SPR_AMIGA!!571 R -1, SPR_AMIGA!!572 R -1, SPR_AMIGA!!573 R -1, SPR_AMIGA!!574 R -1, SPR_AMIGA!!575 R -1
  SPR_AMIGA!!576 R -1, SPR_AMIGA!!577 R -1, SPR_AMIGA!!578 R -1, SPR_AMIGA!!579 R -1, SPR_AMIGA!!580 R -1, SPR_AMIGA!!581 R -1, SPR_AMIGA!!582 R 0, SPR_AMIGA!!583 R 0
  SPR_AMIGA!!584 R 0, SPR_AMIGA!!585 R 0, SPR_AMIGA!!586 R 0, SPR_AMIGA!!587 R 0, SPR_AMIGA!!588 R 0, SPR_AMIGA!!589 R 0, SPR_AMIGA!!590 R 0, SPR_AMIGA!!591 R 0
  SPR_AMIGA!!592 R -1, SPR_AMIGA!!593 R -1, SPR_AMIGA!!594 R -1, SPR_AMIGA!!595 R -1, SPR_AMIGA!!596 R -1, SPR_AMIGA!!597 R -1, SPR_AMIGA!!598 R -1, SPR_AMIGA!!599 R -1
  SPR_AMIGA!!600 R -1, SPR_AMIGA!!601 R -1
  
  BTW Atari logo
  SPR_ATARI!!0 R 29, SPR_ATARI!!1 R 24, SPR_ATARI!!2 R -1, SPR_ATARI!!3 R -1, SPR_ATARI!!4 R -1, SPR_ATARI!!5 R -1, SPR_ATARI!!6 R -1, SPR_ATARI!!7 R -1
  SPR_ATARI!!8 R -1, SPR_ATARI!!9 R -1, SPR_ATARI!!10 R 0, SPR_ATARI!!11 R 0, SPR_ATARI!!12 R 0, SPR_ATARI!!13 R 0, SPR_ATARI!!14 R 0, SPR_ATARI!!15 R 0
  SPR_ATARI!!16 R 0, SPR_ATARI!!17 R 0, SPR_ATARI!!18 R 0, SPR_ATARI!!19 R 0, SPR_ATARI!!20 R 0, SPR_ATARI!!21 R 0, SPR_ATARI!!22 R 0, SPR_ATARI!!23 R -1
  SPR_ATARI!!24 R -1, SPR_ATARI!!25 R -1, SPR_ATARI!!26 R -1, SPR_ATARI!!27 R -1, SPR_ATARI!!28 R -1, SPR_ATARI!!29 R -1, SPR_ATARI!!30 R -1, SPR_ATARI!!31 R -1
  SPR_ATARI!!32 R -1, SPR_ATARI!!33 R -1, SPR_ATARI!!34 R -1, SPR_ATARI!!35 R -1, SPR_ATARI!!36 R -1, SPR_ATARI!!37 R -1, SPR_ATARI!!38 R -1, SPR_ATARI!!39 R 0
  SPR_ATARI!!40 R 6, SPR_ATARI!!41 R 6, SPR_ATARI!!42 R 6, SPR_ATARI!!43 R 0, SPR_ATARI!!44 R 6, SPR_ATARI!!45 R 6, SPR_ATARI!!46 R 6, SPR_ATARI!!47 R 0
  SPR_ATARI!!48 R 6, SPR_ATARI!!49 R 6, SPR_ATARI!!50 R 6, SPR_ATARI!!51 R 0, SPR_ATARI!!52 R -1, SPR_ATARI!!53 R -1, SPR_ATARI!!54 R -1, SPR_ATARI!!55 R -1
  SPR_ATARI!!56 R -1, SPR_ATARI!!57 R -1, SPR_ATARI!!58 R -1, SPR_ATARI!!59 R -1, SPR_ATARI!!60 R -1, SPR_ATARI!!61 R -1, SPR_ATARI!!62 R -1, SPR_ATARI!!63 R -1
  SPR_ATARI!!64 R -1, SPR_ATARI!!65 R -1, SPR_ATARI!!66 R -1, SPR_ATARI!!67 R -1, SPR_ATARI!!68 R 0, SPR_ATARI!!69 R 6, SPR_ATARI!!70 R 6, SPR_ATARI!!71 R 6
  SPR_ATARI!!72 R 0, SPR_ATARI!!73 R 6, SPR_ATARI!!74 R 6, SPR_ATARI!!75 R 6, SPR_ATARI!!76 R 0, SPR_ATARI!!77 R 6, SPR_ATARI!!78 R 6, SPR_ATARI!!79 R 6
  SPR_ATARI!!80 R 0, SPR_ATARI!!81 R -1, SPR_ATARI!!82 R -1, SPR_ATARI!!83 R -1, SPR_ATARI!!84 R -1, SPR_ATARI!!85 R -1, SPR_ATARI!!86 R -1, SPR_ATARI!!87 R -1
  SPR_ATARI!!88 R -1, SPR_ATARI!!89 R -1, SPR_ATARI!!90 R -1, SPR_ATARI!!91 R -1, SPR_ATARI!!92 R -1, SPR_ATARI!!93 R -1, SPR_ATARI!!94 R -1, SPR_ATARI!!95 R -1
  SPR_ATARI!!96 R -1, SPR_ATARI!!97 R 0, SPR_ATARI!!98 R 6, SPR_ATARI!!99 R 6, SPR_ATARI!!100 R 6, SPR_ATARI!!101 R 0, SPR_ATARI!!102 R 6, SPR_ATARI!!103 R 6
  SPR_ATARI!!104 R 6, SPR_ATARI!!105 R 0, SPR_ATARI!!106 R 6, SPR_ATARI!!107 R 6, SPR_ATARI!!108 R 6, SPR_ATARI!!109 R 0, SPR_ATARI!!110 R -1, SPR_ATARI!!111 R -1
  SPR_ATARI!!112 R -1, SPR_ATARI!!113 R -1, SPR_ATARI!!114 R -1, SPR_ATARI!!115 R -1, SPR_ATARI!!116 R -1, SPR_ATARI!!117 R -1, SPR_ATARI!!118 R -1, SPR_ATARI!!119 R -1
  SPR_ATARI!!120 R -1, SPR_ATARI!!121 R -1, SPR_ATARI!!122 R -1, SPR_ATARI!!123 R -1, SPR_ATARI!!124 R -1, SPR_ATARI!!125 R -1, SPR_ATARI!!126 R 0, SPR_ATARI!!127 R 6
  SPR_ATARI!!128 R 6, SPR_ATARI!!129 R 6, SPR_ATARI!!130 R 0, SPR_ATARI!!131 R 6, SPR_ATARI!!132 R 6, SPR_ATARI!!133 R 6, SPR_ATARI!!134 R 0, SPR_ATARI!!135 R 6
  SPR_ATARI!!136 R 6, SPR_ATARI!!137 R 6, SPR_ATARI!!138 R 0, SPR_ATARI!!139 R -1, SPR_ATARI!!140 R -1, SPR_ATARI!!141 R -1, SPR_ATARI!!142 R -1, SPR_ATARI!!143 R -1
  SPR_ATARI!!144 R -1, SPR_ATARI!!145 R -1, SPR_ATARI!!146 R -1, SPR_ATARI!!147 R -1, SPR_ATARI!!148 R -1, SPR_ATARI!!149 R -1, SPR_ATARI!!150 R -1, SPR_ATARI!!151 R -1
  SPR_ATARI!!152 R -1, SPR_ATARI!!153 R -1, SPR_ATARI!!154 R -1, SPR_ATARI!!155 R 0, SPR_ATARI!!156 R 6, SPR_ATARI!!157 R 6, SPR_ATARI!!158 R 6, SPR_ATARI!!159 R 0
  SPR_ATARI!!160 R 6, SPR_ATARI!!161 R 6, SPR_ATARI!!162 R 6, SPR_ATARI!!163 R 0, SPR_ATARI!!164 R 6, SPR_ATARI!!165 R 6, SPR_ATARI!!166 R 6, SPR_ATARI!!167 R 0
  SPR_ATARI!!168 R -1, SPR_ATARI!!169 R -1, SPR_ATARI!!170 R -1, SPR_ATARI!!171 R -1, SPR_ATARI!!172 R -1, SPR_ATARI!!173 R -1, SPR_ATARI!!174 R -1, SPR_ATARI!!175 R -1
  SPR_ATARI!!176 R -1, SPR_ATARI!!177 R -1, SPR_ATARI!!178 R -1, SPR_ATARI!!179 R -1, SPR_ATARI!!180 R -1, SPR_ATARI!!181 R -1, SPR_ATARI!!182 R -1, SPR_ATARI!!183 R -1
  SPR_ATARI!!184 R 0, SPR_ATARI!!185 R 6, SPR_ATARI!!186 R 6, SPR_ATARI!!187 R 6, SPR_ATARI!!188 R 0, SPR_ATARI!!189 R 6, SPR_ATARI!!190 R 6, SPR_ATARI!!191 R 6
  SPR_ATARI!!192 R 0, SPR_ATARI!!193 R 6, SPR_ATARI!!194 R 6, SPR_ATARI!!195 R 6, SPR_ATARI!!196 R 0, SPR_ATARI!!197 R -1, SPR_ATARI!!198 R -1, SPR_ATARI!!199 R -1
  SPR_ATARI!!200 R -1, SPR_ATARI!!201 R -1, SPR_ATARI!!202 R -1, SPR_ATARI!!203 R -1, SPR_ATARI!!204 R -1, SPR_ATARI!!205 R -1, SPR_ATARI!!206 R -1, SPR_ATARI!!207 R -1
  SPR_ATARI!!208 R -1, SPR_ATARI!!209 R -1, SPR_ATARI!!210 R -1, SPR_ATARI!!211 R -1, SPR_ATARI!!212 R -1, SPR_ATARI!!213 R 0, SPR_ATARI!!214 R 6, SPR_ATARI!!215 R 6
  SPR_ATARI!!216 R 6, SPR_ATARI!!217 R 0, SPR_ATARI!!218 R 6, SPR_ATARI!!219 R 6, SPR_ATARI!!220 R 6, SPR_ATARI!!221 R 0, SPR_ATARI!!222 R 6, SPR_ATARI!!223 R 6
  SPR_ATARI!!224 R 6, SPR_ATARI!!225 R 0, SPR_ATARI!!226 R -1, SPR_ATARI!!227 R -1, SPR_ATARI!!228 R -1, SPR_ATARI!!229 R -1, SPR_ATARI!!230 R -1, SPR_ATARI!!231 R -1
  SPR_ATARI!!232 R -1, SPR_ATARI!!233 R -1, SPR_ATARI!!234 R -1, SPR_ATARI!!235 R -1, SPR_ATARI!!236 R -1, SPR_ATARI!!237 R -1, SPR_ATARI!!238 R -1, SPR_ATARI!!239 R -1
  SPR_ATARI!!240 R -1, SPR_ATARI!!241 R -1, SPR_ATARI!!242 R 0, SPR_ATARI!!243 R 6, SPR_ATARI!!244 R 6, SPR_ATARI!!245 R 6, SPR_ATARI!!246 R 0, SPR_ATARI!!247 R 6
  SPR_ATARI!!248 R 6, SPR_ATARI!!249 R 6, SPR_ATARI!!250 R 0, SPR_ATARI!!251 R 6, SPR_ATARI!!252 R 6, SPR_ATARI!!253 R 6, SPR_ATARI!!254 R 0, SPR_ATARI!!255 R -1
  SPR_ATARI!!256 R -1, SPR_ATARI!!257 R -1, SPR_ATARI!!258 R -1, SPR_ATARI!!259 R -1, SPR_ATARI!!260 R -1, SPR_ATARI!!261 R -1, SPR_ATARI!!262 R -1, SPR_ATARI!!263 R -1
  SPR_ATARI!!264 R -1, SPR_ATARI!!265 R -1, SPR_ATARI!!266 R -1, SPR_ATARI!!267 R -1, SPR_ATARI!!268 R -1, SPR_ATARI!!269 R -1, SPR_ATARI!!270 R 0, SPR_ATARI!!271 R 0
  SPR_ATARI!!272 R 6, SPR_ATARI!!273 R 6, SPR_ATARI!!274 R 6, SPR_ATARI!!275 R 0, SPR_ATARI!!276 R 6, SPR_ATARI!!277 R 6, SPR_ATARI!!278 R 6, SPR_ATARI!!279 R 0
  SPR_ATARI!!280 R 6, SPR_ATARI!!281 R 6, SPR_ATARI!!282 R 6, SPR_ATARI!!283 R 0, SPR_ATARI!!284 R 0, SPR_ATARI!!285 R -1, SPR_ATARI!!286 R -1, SPR_ATARI!!287 R -1
  SPR_ATARI!!288 R -1, SPR_ATARI!!289 R -1, SPR_ATARI!!290 R -1, SPR_ATARI!!291 R -1, SPR_ATARI!!292 R -1, SPR_ATARI!!293 R -1, SPR_ATARI!!294 R -1, SPR_ATARI!!295 R -1
  SPR_ATARI!!296 R -1, SPR_ATARI!!297 R -1, SPR_ATARI!!298 R -1, SPR_ATARI!!299 R 0, SPR_ATARI!!300 R 6, SPR_ATARI!!301 R 6, SPR_ATARI!!302 R 6, SPR_ATARI!!303 R 0
  SPR_ATARI!!304 R 0, SPR_ATARI!!305 R 6, SPR_ATARI!!306 R 6, SPR_ATARI!!307 R 6, SPR_ATARI!!308 R 0, SPR_ATARI!!309 R 0, SPR_ATARI!!310 R 6, SPR_ATARI!!311 R 6
  SPR_ATARI!!312 R 6, SPR_ATARI!!313 R 0, SPR_ATARI!!314 R -1, SPR_ATARI!!315 R -1, SPR_ATARI!!316 R -1, SPR_ATARI!!317 R -1, SPR_ATARI!!318 R -1, SPR_ATARI!!319 R -1
  SPR_ATARI!!320 R -1, SPR_ATARI!!321 R -1, SPR_ATARI!!322 R -1, SPR_ATARI!!323 R -1, SPR_ATARI!!324 R -1, SPR_ATARI!!325 R -1, SPR_ATARI!!326 R -1, SPR_ATARI!!327 R -1
  SPR_ATARI!!328 R 0, SPR_ATARI!!329 R 6, SPR_ATARI!!330 R 6, SPR_ATARI!!331 R 6, SPR_ATARI!!332 R 0, SPR_ATARI!!333 R 0, SPR_ATARI!!334 R 6, SPR_ATARI!!335 R 6
  SPR_ATARI!!336 R 6, SPR_ATARI!!337 R 0, SPR_ATARI!!338 R 0, SPR_ATARI!!339 R 6, SPR_ATARI!!340 R 6, SPR_ATARI!!341 R 6, SPR_ATARI!!342 R 0, SPR_ATARI!!343 R -1
  SPR_ATARI!!344 R -1, SPR_ATARI!!345 R -1, SPR_ATARI!!346 R -1, SPR_ATARI!!347 R -1, SPR_ATARI!!348 R -1, SPR_ATARI!!349 R -1, SPR_ATARI!!350 R -1, SPR_ATARI!!351 R -1
  SPR_ATARI!!352 R -1, SPR_ATARI!!353 R -1, SPR_ATARI!!354 R -1, SPR_ATARI!!355 R -1, SPR_ATARI!!356 R -1, SPR_ATARI!!357 R 0, SPR_ATARI!!358 R 6, SPR_ATARI!!359 R 6
  SPR_ATARI!!360 R 6, SPR_ATARI!!361 R 0, SPR_ATARI!!362 R 0, SPR_ATARI!!363 R 6, SPR_ATARI!!364 R 6, SPR_ATARI!!365 R 6, SPR_ATARI!!366 R 0, SPR_ATARI!!367 R 0
  SPR_ATARI!!368 R 6, SPR_ATARI!!369 R 6, SPR_ATARI!!370 R 6, SPR_ATARI!!371 R 0, SPR_ATARI!!372 R -1, SPR_ATARI!!373 R -1, SPR_ATARI!!374 R -1, SPR_ATARI!!375 R -1
  SPR_ATARI!!376 R -1, SPR_ATARI!!377 R -1, SPR_ATARI!!378 R -1, SPR_ATARI!!379 R -1, SPR_ATARI!!380 R -1, SPR_ATARI!!381 R -1, SPR_ATARI!!382 R -1, SPR_ATARI!!383 R -1
  SPR_ATARI!!384 R -1, SPR_ATARI!!385 R -1, SPR_ATARI!!386 R 0, SPR_ATARI!!387 R 6, SPR_ATARI!!388 R 6, SPR_ATARI!!389 R 6, SPR_ATARI!!390 R 0, SPR_ATARI!!391 R 0
  SPR_ATARI!!392 R 6, SPR_ATARI!!393 R 6, SPR_ATARI!!394 R 6, SPR_ATARI!!395 R 0, SPR_ATARI!!396 R 0, SPR_ATARI!!397 R 6, SPR_ATARI!!398 R 6, SPR_ATARI!!399 R 6
  SPR_ATARI!!400 R 0, SPR_ATARI!!401 R -1, SPR_ATARI!!402 R -1, SPR_ATARI!!403 R -1, SPR_ATARI!!404 R -1, SPR_ATARI!!405 R -1, SPR_ATARI!!406 R -1, SPR_ATARI!!407 R -1
  SPR_ATARI!!408 R -1, SPR_ATARI!!409 R -1, SPR_ATARI!!410 R -1, SPR_ATARI!!411 R -1, SPR_ATARI!!412 R -1, SPR_ATARI!!413 R -1, SPR_ATARI!!414 R 0, SPR_ATARI!!415 R 0
  SPR_ATARI!!416 R 6, SPR_ATARI!!417 R 6, SPR_ATARI!!418 R 6, SPR_ATARI!!419 R 0, SPR_ATARI!!420 R 0, SPR_ATARI!!421 R 6, SPR_ATARI!!422 R 6, SPR_ATARI!!423 R 6
  SPR_ATARI!!424 R 0, SPR_ATARI!!425 R 0, SPR_ATARI!!426 R 6, SPR_ATARI!!427 R 6, SPR_ATARI!!428 R 6, SPR_ATARI!!429 R 0, SPR_ATARI!!430 R 0, SPR_ATARI!!431 R -1
  SPR_ATARI!!432 R -1, SPR_ATARI!!433 R -1, SPR_ATARI!!434 R -1, SPR_ATARI!!435 R -1, SPR_ATARI!!436 R -1, SPR_ATARI!!437 R -1, SPR_ATARI!!438 R -1, SPR_ATARI!!439 R -1
  SPR_ATARI!!440 R -1, SPR_ATARI!!441 R -1, SPR_ATARI!!442 R -1, SPR_ATARI!!443 R 0, SPR_ATARI!!444 R 6, SPR_ATARI!!445 R 6, SPR_ATARI!!446 R 6, SPR_ATARI!!447 R 0
  SPR_ATARI!!448 R 0, SPR_ATARI!!449 R 0, SPR_ATARI!!450 R 6, SPR_ATARI!!451 R 6, SPR_ATARI!!452 R 6, SPR_ATARI!!453 R 0, SPR_ATARI!!454 R 0, SPR_ATARI!!455 R 0
  SPR_ATARI!!456 R 6, SPR_ATARI!!457 R 6, SPR_ATARI!!458 R 6, SPR_ATARI!!459 R 0, SPR_ATARI!!460 R -1, SPR_ATARI!!461 R -1, SPR_ATARI!!462 R -1, SPR_ATARI!!463 R -1
  SPR_ATARI!!464 R -1, SPR_ATARI!!465 R -1, SPR_ATARI!!466 R -1, SPR_ATARI!!467 R -1, SPR_ATARI!!468 R -1, SPR_ATARI!!469 R -1, SPR_ATARI!!470 R -1, SPR_ATARI!!471 R -1
  SPR_ATARI!!472 R 0, SPR_ATARI!!473 R 6, SPR_ATARI!!474 R 6, SPR_ATARI!!475 R 6, SPR_ATARI!!476 R 0, SPR_ATARI!!477 R -1, SPR_ATARI!!478 R 0, SPR_ATARI!!479 R 6
  SPR_ATARI!!480 R 6, SPR_ATARI!!481 R 6, SPR_ATARI!!482 R 0, SPR_ATARI!!483 R -1, SPR_ATARI!!484 R 0, SPR_ATARI!!485 R 6, SPR_ATARI!!486 R 6, SPR_ATARI!!487 R 6
  SPR_ATARI!!488 R 0, SPR_ATARI!!489 R -1, SPR_ATARI!!490 R -1, SPR_ATARI!!491 R -1, SPR_ATARI!!492 R -1, SPR_ATARI!!493 R -1, SPR_ATARI!!494 R -1, SPR_ATARI!!495 R -1
  SPR_ATARI!!496 R -1, SPR_ATARI!!497 R -1, SPR_ATARI!!498 R -1, SPR_ATARI!!499 R -1, SPR_ATARI!!500 R 0, SPR_ATARI!!501 R 0, SPR_ATARI!!502 R 6, SPR_ATARI!!503 R 6
  SPR_ATARI!!504 R 6, SPR_ATARI!!505 R 0, SPR_ATARI!!506 R -1, SPR_ATARI!!507 R 0, SPR_ATARI!!508 R 6, SPR_ATARI!!509 R 6, SPR_ATARI!!510 R 6, SPR_ATARI!!511 R 0
  SPR_ATARI!!512 R -1, SPR_ATARI!!513 R 0, SPR_ATARI!!514 R 6, SPR_ATARI!!515 R 6, SPR_ATARI!!516 R 6, SPR_ATARI!!517 R 0, SPR_ATARI!!518 R 0, SPR_ATARI!!519 R -1
  SPR_ATARI!!520 R -1, SPR_ATARI!!521 R -1, SPR_ATARI!!522 R -1, SPR_ATARI!!523 R -1, SPR_ATARI!!524 R -1, SPR_ATARI!!525 R -1, SPR_ATARI!!526 R -1, SPR_ATARI!!527 R -1
  SPR_ATARI!!528 R 0, SPR_ATARI!!529 R 0, SPR_ATARI!!530 R 6, SPR_ATARI!!531 R 6, SPR_ATARI!!532 R 6, SPR_ATARI!!533 R 0, SPR_ATARI!!534 R 0, SPR_ATARI!!535 R -1
  SPR_ATARI!!536 R 0, SPR_ATARI!!537 R 6, SPR_ATARI!!538 R 6, SPR_ATARI!!539 R 6, SPR_ATARI!!540 R 0, SPR_ATARI!!541 R -1, SPR_ATARI!!542 R 0, SPR_ATARI!!543 R 0
  SPR_ATARI!!544 R 6, SPR_ATARI!!545 R 6, SPR_ATARI!!546 R 6, SPR_ATARI!!547 R 0, SPR_ATARI!!548 R 0, SPR_ATARI!!549 R -1, SPR_ATARI!!550 R -1, SPR_ATARI!!551 R -1
  SPR_ATARI!!552 R -1, SPR_ATARI!!553 R 0, SPR_ATARI!!554 R 0, SPR_ATARI!!555 R 0, SPR_ATARI!!556 R 0, SPR_ATARI!!557 R 0, SPR_ATARI!!558 R 6, SPR_ATARI!!559 R 6
  SPR_ATARI!!560 R 6, SPR_ATARI!!561 R 6, SPR_ATARI!!562 R 0, SPR_ATARI!!563 R -1, SPR_ATARI!!564 R -1, SPR_ATARI!!565 R 0, SPR_ATARI!!566 R 6, SPR_ATARI!!567 R 6
  SPR_ATARI!!568 R 6, SPR_ATARI!!569 R 0, SPR_ATARI!!570 R -1, SPR_ATARI!!571 R -1, SPR_ATARI!!572 R 0, SPR_ATARI!!573 R 6, SPR_ATARI!!574 R 6, SPR_ATARI!!575 R 6
  SPR_ATARI!!576 R 6, SPR_ATARI!!577 R 0, SPR_ATARI!!578 R 0, SPR_ATARI!!579 R 0, SPR_ATARI!!580 R 0, SPR_ATARI!!581 R 0, SPR_ATARI!!582 R 0, SPR_ATARI!!583 R 6
  SPR_ATARI!!584 R 6, SPR_ATARI!!585 R 6, SPR_ATARI!!586 R 6, SPR_ATARI!!587 R 6, SPR_ATARI!!588 R 6, SPR_ATARI!!589 R 6, SPR_ATARI!!590 R 0, SPR_ATARI!!591 R 0
  SPR_ATARI!!592 R -1, SPR_ATARI!!593 R -1, SPR_ATARI!!594 R 0, SPR_ATARI!!595 R 6, SPR_ATARI!!596 R 6, SPR_ATARI!!597 R 6, SPR_ATARI!!598 R 0, SPR_ATARI!!599 R -1
  SPR_ATARI!!600 R -1, SPR_ATARI!!601 R 0, SPR_ATARI!!602 R 0, SPR_ATARI!!603 R 6, SPR_ATARI!!604 R 6, SPR_ATARI!!605 R 6, SPR_ATARI!!606 R 6, SPR_ATARI!!607 R 6
  SPR_ATARI!!608 R 6, SPR_ATARI!!609 R 6, SPR_ATARI!!610 R 0, SPR_ATARI!!611 R 0, SPR_ATARI!!612 R 6, SPR_ATARI!!613 R 6, SPR_ATARI!!614 R 6, SPR_ATARI!!615 R 6
  SPR_ATARI!!616 R 6, SPR_ATARI!!617 R 6, SPR_ATARI!!618 R 0, SPR_ATARI!!619 R 0, SPR_ATARI!!620 R -1, SPR_ATARI!!621 R -1, SPR_ATARI!!622 R -1, SPR_ATARI!!623 R 0
  SPR_ATARI!!624 R 6, SPR_ATARI!!625 R 6, SPR_ATARI!!626 R 6, SPR_ATARI!!627 R 0, SPR_ATARI!!628 R -1, SPR_ATARI!!629 R -1, SPR_ATARI!!630 R -1, SPR_ATARI!!631 R 0
  SPR_ATARI!!632 R 0, SPR_ATARI!!633 R 6, SPR_ATARI!!634 R 6, SPR_ATARI!!635 R 6, SPR_ATARI!!636 R 6, SPR_ATARI!!637 R 6, SPR_ATARI!!638 R 6, SPR_ATARI!!639 R 0
  SPR_ATARI!!640 R 0, SPR_ATARI!!641 R 6, SPR_ATARI!!642 R 6, SPR_ATARI!!643 R 6, SPR_ATARI!!644 R 6, SPR_ATARI!!645 R 0, SPR_ATARI!!646 R 0, SPR_ATARI!!647 R 0
  SPR_ATARI!!648 R -1, SPR_ATARI!!649 R -1, SPR_ATARI!!650 R -1, SPR_ATARI!!651 R -1, SPR_ATARI!!652 R 0, SPR_ATARI!!653 R 6, SPR_ATARI!!654 R 6, SPR_ATARI!!655 R 6
  SPR_ATARI!!656 R 0, SPR_ATARI!!657 R -1, SPR_ATARI!!658 R -1, SPR_ATARI!!659 R -1, SPR_ATARI!!660 R -1, SPR_ATARI!!661 R 0, SPR_ATARI!!662 R 0, SPR_ATARI!!663 R 0
  SPR_ATARI!!664 R 6, SPR_ATARI!!665 R 6, SPR_ATARI!!666 R 6, SPR_ATARI!!667 R 6, SPR_ATARI!!668 R 0, SPR_ATARI!!669 R 0, SPR_ATARI!!670 R 0, SPR_ATARI!!671 R 0
  SPR_ATARI!!672 R 0, SPR_ATARI!!673 R 0, SPR_ATARI!!674 R 0, SPR_ATARI!!675 R -1, SPR_ATARI!!676 R -1, SPR_ATARI!!677 R -1, SPR_ATARI!!678 R -1, SPR_ATARI!!679 R -1
  SPR_ATARI!!680 R -1, SPR_ATARI!!681 R 0, SPR_ATARI!!682 R 0, SPR_ATARI!!683 R 0, SPR_ATARI!!684 R 0, SPR_ATARI!!685 R 0, SPR_ATARI!!686 R -1, SPR_ATARI!!687 R -1
  SPR_ATARI!!688 R -1, SPR_ATARI!!689 R -1, SPR_ATARI!!690 R -1, SPR_ATARI!!691 R -1, SPR_ATARI!!692 R 0, SPR_ATARI!!693 R 0, SPR_ATARI!!694 R 0, SPR_ATARI!!695 R 0
  SPR_ATARI!!696 R 0, SPR_ATARI!!697 R 0
  
  BTW Cube
  SPR_CUBE!!0 R 23, SPR_CUBE!!1 R 24, SPR_CUBE!!2 R -1, SPR_CUBE!!3 R -1, SPR_CUBE!!4 R -1, SPR_CUBE!!5 R -1, SPR_CUBE!!6 R -1, SPR_CUBE!!7 R -1
  SPR_CUBE!!8 R 0, SPR_CUBE!!9 R 0, SPR_CUBE!!10 R -1, SPR_CUBE!!11 R -1, SPR_CUBE!!12 R -1, SPR_CUBE!!13 R -1, SPR_CUBE!!14 R -1, SPR_CUBE!!15 R -1
  SPR_CUBE!!16 R -1, SPR_CUBE!!17 R -1, SPR_CUBE!!18 R -1, SPR_CUBE!!19 R -1, SPR_CUBE!!20 R -1, SPR_CUBE!!21 R -1, SPR_CUBE!!22 R -1, SPR_CUBE!!23 R -1
  SPR_CUBE!!24 R -1, SPR_CUBE!!25 R -1, SPR_CUBE!!26 R -1, SPR_CUBE!!27 R -1, SPR_CUBE!!28 R -1, SPR_CUBE!!29 R -1, SPR_CUBE!!30 R 0, SPR_CUBE!!31 R 6
  SPR_CUBE!!32 R 6, SPR_CUBE!!33 R 0, SPR_CUBE!!34 R 0, SPR_CUBE!!35 R -1, SPR_CUBE!!36 R -1, SPR_CUBE!!37 R -1, SPR_CUBE!!38 R -1, SPR_CUBE!!39 R -1
  SPR_CUBE!!40 R -1, SPR_CUBE!!41 R -1, SPR_CUBE!!42 R -1, SPR_CUBE!!43 R -1, SPR_CUBE!!44 R -1, SPR_CUBE!!45 R -1, SPR_CUBE!!46 R -1, SPR_CUBE!!47 R -1
  SPR_CUBE!!48 R -1, SPR_CUBE!!49 R -1, SPR_CUBE!!50 R -1, SPR_CUBE!!51 R -1, SPR_CUBE!!52 R -1, SPR_CUBE!!53 R 0, SPR_CUBE!!54 R 6, SPR_CUBE!!55 R 6
  SPR_CUBE!!56 R 6, SPR_CUBE!!57 R 6, SPR_CUBE!!58 R 0, SPR_CUBE!!59 R 0, SPR_CUBE!!60 R -1, SPR_CUBE!!61 R -1, SPR_CUBE!!62 R -1, SPR_CUBE!!63 R -1
  SPR_CUBE!!64 R -1, SPR_CUBE!!65 R -1, SPR_CUBE!!66 R -1, SPR_CUBE!!67 R -1, SPR_CUBE!!68 R -1, SPR_CUBE!!69 R -1, SPR_CUBE!!70 R -1, SPR_CUBE!!71 R -1
  SPR_CUBE!!72 R -1, SPR_CUBE!!73 R -1, SPR_CUBE!!74 R -1, SPR_CUBE!!75 R 0, SPR_CUBE!!76 R 6, SPR_CUBE!!77 R 6, SPR_CUBE!!78 R 6, SPR_CUBE!!79 R 6
  SPR_CUBE!!80 R 6, SPR_CUBE!!81 R 6, SPR_CUBE!!82 R 6, SPR_CUBE!!83 R 0, SPR_CUBE!!84 R 0, SPR_CUBE!!85 R -1, SPR_CUBE!!86 R -1, SPR_CUBE!!87 R -1
  SPR_CUBE!!88 R -1, SPR_CUBE!!89 R -1, SPR_CUBE!!90 R -1, SPR_CUBE!!91 R -1, SPR_CUBE!!92 R -1, SPR_CUBE!!93 R -1, SPR_CUBE!!94 R -1, SPR_CUBE!!95 R -1
  SPR_CUBE!!96 R -1, SPR_CUBE!!97 R -1, SPR_CUBE!!98 R 0, SPR_CUBE!!99 R 6, SPR_CUBE!!100 R 6, SPR_CUBE!!101 R 6, SPR_CUBE!!102 R 6, SPR_CUBE!!103 R 6
  SPR_CUBE!!104 R 6, SPR_CUBE!!105 R 6, SPR_CUBE!!106 R 6, SPR_CUBE!!107 R 6, SPR_CUBE!!108 R 0, SPR_CUBE!!109 R 0, SPR_CUBE!!110 R -1, SPR_CUBE!!111 R -1
  SPR_CUBE!!112 R -1, SPR_CUBE!!113 R -1, SPR_CUBE!!114 R -1, SPR_CUBE!!115 R -1, SPR_CUBE!!116 R -1, SPR_CUBE!!117 R -1, SPR_CUBE!!118 R -1, SPR_CUBE!!119 R -1
  SPR_CUBE!!120 R 0, SPR_CUBE!!121 R 6, SPR_CUBE!!122 R 6, SPR_CUBE!!123 R 6, SPR_CUBE!!124 R 6, SPR_CUBE!!125 R 6, SPR_CUBE!!126 R 6, SPR_CUBE!!127 R 6
  SPR_CUBE!!128 R 6, SPR_CUBE!!129 R 6, SPR_CUBE!!130 R 6, SPR_CUBE!!131 R 6, SPR_CUBE!!132 R 6, SPR_CUBE!!133 R 0, SPR_CUBE!!134 R 0, SPR_CUBE!!135 R -1
  SPR_CUBE!!136 R -1, SPR_CUBE!!137 R -1, SPR_CUBE!!138 R -1, SPR_CUBE!!139 R -1, SPR_CUBE!!140 R -1, SPR_CUBE!!141 R -1, SPR_CUBE!!142 R -1, SPR_CUBE!!143 R 0
  SPR_CUBE!!144 R 6, SPR_CUBE!!145 R 6, SPR_CUBE!!146 R 6, SPR_CUBE!!147 R 6, SPR_CUBE!!148 R 6, SPR_CUBE!!149 R 6, SPR_CUBE!!150 R 6, SPR_CUBE!!151 R 6
  SPR_CUBE!!152 R 6, SPR_CUBE!!153 R 6, SPR_CUBE!!154 R 6, SPR_CUBE!!155 R 6, SPR_CUBE!!156 R 6, SPR_CUBE!!157 R 6, SPR_CUBE!!158 R 0, SPR_CUBE!!159 R 0
  SPR_CUBE!!160 R -1, SPR_CUBE!!161 R -1, SPR_CUBE!!162 R -1, SPR_CUBE!!163 R -1, SPR_CUBE!!164 R -1, SPR_CUBE!!165 R 0, SPR_CUBE!!166 R 6, SPR_CUBE!!167 R 6
  SPR_CUBE!!168 R 6, SPR_CUBE!!169 R 6, SPR_CUBE!!170 R 6, SPR_CUBE!!171 R 6, SPR_CUBE!!172 R 6, SPR_CUBE!!173 R 6, SPR_CUBE!!174 R 6, SPR_CUBE!!175 R 6
  SPR_CUBE!!176 R 6, SPR_CUBE!!177 R 6, SPR_CUBE!!178 R 6, SPR_CUBE!!179 R 6, SPR_CUBE!!180 R 6, SPR_CUBE!!181 R 0, SPR_CUBE!!182 R 4, SPR_CUBE!!183 R 0
  SPR_CUBE!!184 R -1, SPR_CUBE!!185 R -1, SPR_CUBE!!186 R -1, SPR_CUBE!!187 R -1, SPR_CUBE!!188 R 0, SPR_CUBE!!189 R 6, SPR_CUBE!!190 R 6, SPR_CUBE!!191 R 6
  SPR_CUBE!!192 R 6, SPR_CUBE!!193 R 6, SPR_CUBE!!194 R 6, SPR_CUBE!!195 R 6, SPR_CUBE!!196 R 6, SPR_CUBE!!197 R 6, SPR_CUBE!!198 R 6, SPR_CUBE!!199 R 6
  SPR_CUBE!!200 R 6, SPR_CUBE!!201 R 6, SPR_CUBE!!202 R 6, SPR_CUBE!!203 R 6, SPR_CUBE!!204 R 0, SPR_CUBE!!205 R 4, SPR_CUBE!!206 R 0, SPR_CUBE!!207 R -1
  SPR_CUBE!!208 R -1, SPR_CUBE!!209 R -1, SPR_CUBE!!210 R 0, SPR_CUBE!!211 R 6, SPR_CUBE!!212 R 6, SPR_CUBE!!213 R 6, SPR_CUBE!!214 R 6, SPR_CUBE!!215 R 6
  SPR_CUBE!!216 R 6, SPR_CUBE!!217 R 6, SPR_CUBE!!218 R 6, SPR_CUBE!!219 R 6, SPR_CUBE!!220 R 6, SPR_CUBE!!221 R 6, SPR_CUBE!!222 R 6, SPR_CUBE!!223 R 6
  SPR_CUBE!!224 R 6, SPR_CUBE!!225 R 6, SPR_CUBE!!226 R 0, SPR_CUBE!!227 R 4, SPR_CUBE!!228 R 4, SPR_CUBE!!229 R 4, SPR_CUBE!!230 R 0, SPR_CUBE!!231 R -1
  SPR_CUBE!!232 R -1, SPR_CUBE!!233 R 0, SPR_CUBE!!234 R 6, SPR_CUBE!!235 R 6, SPR_CUBE!!236 R 6, SPR_CUBE!!237 R 6, SPR_CUBE!!238 R 6, SPR_CUBE!!239 R 6
  SPR_CUBE!!240 R 6, SPR_CUBE!!241 R 6, SPR_CUBE!!242 R 6, SPR_CUBE!!243 R 6, SPR_CUBE!!244 R 6, SPR_CUBE!!245 R 6, SPR_CUBE!!246 R 6, SPR_CUBE!!247 R 6
  SPR_CUBE!!248 R 6, SPR_CUBE!!249 R 0, SPR_CUBE!!250 R 4, SPR_CUBE!!251 R 4, SPR_CUBE!!252 R 4, SPR_CUBE!!253 R 0, SPR_CUBE!!254 R -1, SPR_CUBE!!255 R 0
  SPR_CUBE!!256 R 6, SPR_CUBE!!257 R 6, SPR_CUBE!!258 R 6, SPR_CUBE!!259 R 6, SPR_CUBE!!260 R 6, SPR_CUBE!!261 R 6, SPR_CUBE!!262 R 6, SPR_CUBE!!263 R 6
  SPR_CUBE!!264 R 6, SPR_CUBE!!265 R 6, SPR_CUBE!!266 R 6, SPR_CUBE!!267 R 6, SPR_CUBE!!268 R 6, SPR_CUBE!!269 R 6, SPR_CUBE!!270 R 6, SPR_CUBE!!271 R 0
  SPR_CUBE!!272 R 4, SPR_CUBE!!273 R 4, SPR_CUBE!!274 R 4, SPR_CUBE!!275 R 4, SPR_CUBE!!276 R 4, SPR_CUBE!!277 R 0, SPR_CUBE!!278 R 0, SPR_CUBE!!279 R 0
  SPR_CUBE!!280 R 0, SPR_CUBE!!281 R 6, SPR_CUBE!!282 R 6, SPR_CUBE!!283 R 6, SPR_CUBE!!284 R 6, SPR_CUBE!!285 R 6, SPR_CUBE!!286 R 6, SPR_CUBE!!287 R 6
  SPR_CUBE!!288 R 6, SPR_CUBE!!289 R 6, SPR_CUBE!!290 R 6, SPR_CUBE!!291 R 6, SPR_CUBE!!292 R 6, SPR_CUBE!!293 R 6, SPR_CUBE!!294 R 0, SPR_CUBE!!295 R 4
  SPR_CUBE!!296 R 4, SPR_CUBE!!297 R 4, SPR_CUBE!!298 R 4, SPR_CUBE!!299 R 4, SPR_CUBE!!300 R 0, SPR_CUBE!!301 R 0, SPR_CUBE!!302 R 2, SPR_CUBE!!303 R 2
  SPR_CUBE!!304 R 0, SPR_CUBE!!305 R 0, SPR_CUBE!!306 R 6, SPR_CUBE!!307 R 6, SPR_CUBE!!308 R 6, SPR_CUBE!!309 R 6, SPR_CUBE!!310 R 6, SPR_CUBE!!311 R 6
  SPR_CUBE!!312 R 6, SPR_CUBE!!313 R 6, SPR_CUBE!!314 R 6, SPR_CUBE!!315 R 6, SPR_CUBE!!316 R 0, SPR_CUBE!!317 R 4, SPR_CUBE!!318 R 4, SPR_CUBE!!319 R 4
  SPR_CUBE!!320 R 4, SPR_CUBE!!321 R 4, SPR_CUBE!!322 R 0, SPR_CUBE!!323 R -1, SPR_CUBE!!324 R 0, SPR_CUBE!!325 R 0, SPR_CUBE!!326 R 2, SPR_CUBE!!327 R 2
  SPR_CUBE!!328 R 2, SPR_CUBE!!329 R 0, SPR_CUBE!!330 R 0, SPR_CUBE!!331 R 6, SPR_CUBE!!332 R 6, SPR_CUBE!!333 R 6, SPR_CUBE!!334 R 6, SPR_CUBE!!335 R 6
  SPR_CUBE!!336 R 6, SPR_CUBE!!337 R 6, SPR_CUBE!!338 R 6, SPR_CUBE!!339 R 0, SPR_CUBE!!340 R 4, SPR_CUBE!!341 R 4, SPR_CUBE!!342 R 4, SPR_CUBE!!343 R 4
  SPR_CUBE!!344 R 4, SPR_CUBE!!345 R 0, SPR_CUBE!!346 R -1, SPR_CUBE!!347 R -1, SPR_CUBE!!348 R 0, SPR_CUBE!!349 R 2, SPR_CUBE!!350 R 2, SPR_CUBE!!351 R 2
  SPR_CUBE!!352 R 2, SPR_CUBE!!353 R 2, SPR_CUBE!!354 R 0, SPR_CUBE!!355 R 0, SPR_CUBE!!356 R 6, SPR_CUBE!!357 R 6, SPR_CUBE!!358 R 6, SPR_CUBE!!359 R 6
  SPR_CUBE!!360 R 6, SPR_CUBE!!361 R 0, SPR_CUBE!!362 R 4, SPR_CUBE!!363 R 4, SPR_CUBE!!364 R 4, SPR_CUBE!!365 R 4, SPR_CUBE!!366 R 4, SPR_CUBE!!367 R 0
  SPR_CUBE!!368 R -1, SPR_CUBE!!369 R -1, SPR_CUBE!!370 R -1, SPR_CUBE!!371 R 0, SPR_CUBE!!372 R 0, SPR_CUBE!!373 R 2, SPR_CUBE!!374 R 2, SPR_CUBE!!375 R 2
  SPR_CUBE!!376 R 2, SPR_CUBE!!377 R 2, SPR_CUBE!!378 R 2, SPR_CUBE!!379 R 0, SPR_CUBE!!380 R 0, SPR_CUBE!!381 R 6, SPR_CUBE!!382 R 6, SPR_CUBE!!383 R 6
  SPR_CUBE!!384 R 0, SPR_CUBE!!385 R 4, SPR_CUBE!!386 R 4, SPR_CUBE!!387 R 4, SPR_CUBE!!388 R 4, SPR_CUBE!!389 R 4, SPR_CUBE!!390 R 0, SPR_CUBE!!391 R -1
  SPR_CUBE!!392 R -1, SPR_CUBE!!393 R -1, SPR_CUBE!!394 R -1, SPR_CUBE!!395 R 0, SPR_CUBE!!396 R 0, SPR_CUBE!!397 R 2, SPR_CUBE!!398 R 2, SPR_CUBE!!399 R 2
  SPR_CUBE!!400 R 2, SPR_CUBE!!401 R 2, SPR_CUBE!!402 R 2, SPR_CUBE!!403 R 2, SPR_CUBE!!404 R 0, SPR_CUBE!!405 R 0, SPR_CUBE!!406 R 0, SPR_CUBE!!407 R 4
  SPR_CUBE!!408 R 4, SPR_CUBE!!409 R 4, SPR_CUBE!!410 R 4, SPR_CUBE!!411 R 4, SPR_CUBE!!412 R 0, SPR_CUBE!!413 R -1, SPR_CUBE!!414 R -1, SPR_CUBE!!415 R -1
  SPR_CUBE!!416 R -1, SPR_CUBE!!417 R -1, SPR_CUBE!!418 R -1, SPR_CUBE!!419 R -1, SPR_CUBE!!420 R 0, SPR_CUBE!!421 R 0, SPR_CUBE!!422 R 2, SPR_CUBE!!423 R 2
  SPR_CUBE!!424 R 2, SPR_CUBE!!425 R 2, SPR_CUBE!!426 R 2, SPR_CUBE!!427 R 2, SPR_CUBE!!428 R 2, SPR_CUBE!!429 R 0, SPR_CUBE!!430 R 4, SPR_CUBE!!431 R 4
  SPR_CUBE!!432 R 4, SPR_CUBE!!433 R 4, SPR_CUBE!!434 R 4, SPR_CUBE!!435 R 0, SPR_CUBE!!436 R -1, SPR_CUBE!!437 R -1, SPR_CUBE!!438 R -1, SPR_CUBE!!439 R -1
  SPR_CUBE!!440 R -1, SPR_CUBE!!441 R -1, SPR_CUBE!!442 R -1, SPR_CUBE!!443 R -1, SPR_CUBE!!444 R -1, SPR_CUBE!!445 R 0, SPR_CUBE!!446 R 0, SPR_CUBE!!447 R 2
  SPR_CUBE!!448 R 2, SPR_CUBE!!449 R 2, SPR_CUBE!!450 R 2, SPR_CUBE!!451 R 2, SPR_CUBE!!452 R 0, SPR_CUBE!!453 R 4, SPR_CUBE!!454 R 4, SPR_CUBE!!455 R 4
  SPR_CUBE!!456 R 4, SPR_CUBE!!457 R 0, SPR_CUBE!!458 R -1, SPR_CUBE!!459 R -1, SPR_CUBE!!460 R -1, SPR_CUBE!!461 R -1, SPR_CUBE!!462 R -1, SPR_CUBE!!463 R -1
  SPR_CUBE!!464 R -1, SPR_CUBE!!465 R -1, SPR_CUBE!!466 R -1, SPR_CUBE!!467 R -1, SPR_CUBE!!468 R -1, SPR_CUBE!!469 R -1, SPR_CUBE!!470 R 0, SPR_CUBE!!471 R 0
  SPR_CUBE!!472 R 2, SPR_CUBE!!473 R 2, SPR_CUBE!!474 R 2, SPR_CUBE!!475 R 2, SPR_CUBE!!476 R 0, SPR_CUBE!!477 R 4, SPR_CUBE!!478 R 4, SPR_CUBE!!479 R 4
  SPR_CUBE!!480 R 0, SPR_CUBE!!481 R -1, SPR_CUBE!!482 R -1, SPR_CUBE!!483 R -1, SPR_CUBE!!484 R -1, SPR_CUBE!!485 R -1, SPR_CUBE!!486 R -1, SPR_CUBE!!487 R -1
  SPR_CUBE!!488 R -1, SPR_CUBE!!489 R -1, SPR_CUBE!!490 R -1, SPR_CUBE!!491 R -1, SPR_CUBE!!492 R -1, SPR_CUBE!!493 R -1, SPR_CUBE!!494 R -1, SPR_CUBE!!495 R 0
  SPR_CUBE!!496 R 0, SPR_CUBE!!497 R 2, SPR_CUBE!!498 R 2, SPR_CUBE!!499 R 0, SPR_CUBE!!500 R 4, SPR_CUBE!!501 R 4, SPR_CUBE!!502 R 0, SPR_CUBE!!503 R -1
  SPR_CUBE!!504 R -1, SPR_CUBE!!505 R -1, SPR_CUBE!!506 R -1, SPR_CUBE!!507 R -1, SPR_CUBE!!508 R -1, SPR_CUBE!!509 R -1, SPR_CUBE!!510 R -1, SPR_CUBE!!511 R -1
  SPR_CUBE!!512 R -1, SPR_CUBE!!513 R -1, SPR_CUBE!!514 R -1, SPR_CUBE!!515 R -1, SPR_CUBE!!516 R -1, SPR_CUBE!!517 R -1, SPR_CUBE!!518 R -1, SPR_CUBE!!519 R -1
  SPR_CUBE!!520 R 0, SPR_CUBE!!521 R 0, SPR_CUBE!!522 R 2, SPR_CUBE!!523 R 0, SPR_CUBE!!524 R 4, SPR_CUBE!!525 R 0, SPR_CUBE!!526 R -1, SPR_CUBE!!527 R -1
  SPR_CUBE!!528 R -1, SPR_CUBE!!529 R -1, SPR_CUBE!!530 R -1, SPR_CUBE!!531 R -1, SPR_CUBE!!532 R -1, SPR_CUBE!!533 R -1, SPR_CUBE!!534 R -1, SPR_CUBE!!535 R -1
  SPR_CUBE!!536 R -1, SPR_CUBE!!537 R -1, SPR_CUBE!!538 R -1, SPR_CUBE!!539 R -1, SPR_CUBE!!540 R -1, SPR_CUBE!!541 R -1, SPR_CUBE!!542 R -1, SPR_CUBE!!543 R -1
  SPR_CUBE!!544 R -1, SPR_CUBE!!545 R 0, SPR_CUBE!!546 R 0, SPR_CUBE!!547 R 0, SPR_CUBE!!548 R -1, SPR_CUBE!!549 R -1, SPR_CUBE!!550 R -1, SPR_CUBE!!551 R -1
  SPR_CUBE!!552 R -1, SPR_CUBE!!553 R -1
  
  BTW Onze lieve Rob/Aardbei iz Jarig
  SPR_ROBISJARIG!!0 R 21, SPR_ROBISJARIG!!1 R 25, SPR_ROBISJARIG!!2 R -1, SPR_ROBISJARIG!!3 R -1, SPR_ROBISJARIG!!4 R -1, SPR_ROBISJARIG!!5 R -1, SPR_ROBISJARIG!!6 R -1, SPR_ROBISJARIG!!7 R -1
  SPR_ROBISJARIG!!8 R -1, SPR_ROBISJARIG!!9 R 0, SPR_ROBISJARIG!!10 R 0, SPR_ROBISJARIG!!11 R 0, SPR_ROBISJARIG!!12 R 0, SPR_ROBISJARIG!!13 R 0, SPR_ROBISJARIG!!14 R 0, SPR_ROBISJARIG!!15 R 0
  SPR_ROBISJARIG!!16 R -1, SPR_ROBISJARIG!!17 R -1, SPR_ROBISJARIG!!18 R -1, SPR_ROBISJARIG!!19 R -1, SPR_ROBISJARIG!!20 R -1, SPR_ROBISJARIG!!21 R -1, SPR_ROBISJARIG!!22 R -1, SPR_ROBISJARIG!!23 R -1
  SPR_ROBISJARIG!!24 R 0, SPR_ROBISJARIG!!25 R 0, SPR_ROBISJARIG!!26 R 0, SPR_ROBISJARIG!!27 R -1, SPR_ROBISJARIG!!28 R -1, SPR_ROBISJARIG!!29 R 0, SPR_ROBISJARIG!!30 R 0, SPR_ROBISJARIG!!31 R 2
  SPR_ROBISJARIG!!32 R 2, SPR_ROBISJARIG!!33 R 2, SPR_ROBISJARIG!!34 R 2, SPR_ROBISJARIG!!35 R 2, SPR_ROBISJARIG!!36 R 0, SPR_ROBISJARIG!!37 R 0, SPR_ROBISJARIG!!38 R -1, SPR_ROBISJARIG!!39 R -1
  SPR_ROBISJARIG!!40 R -1, SPR_ROBISJARIG!!41 R -1, SPR_ROBISJARIG!!42 R -1, SPR_ROBISJARIG!!43 R -1, SPR_ROBISJARIG!!44 R 0, SPR_ROBISJARIG!!45 R 0, SPR_ROBISJARIG!!46 R 6, SPR_ROBISJARIG!!47 R 0
  SPR_ROBISJARIG!!48 R 0, SPR_ROBISJARIG!!49 R -1, SPR_ROBISJARIG!!50 R 0, SPR_ROBISJARIG!!51 R 2, SPR_ROBISJARIG!!52 R 2, SPR_ROBISJARIG!!53 R 2, SPR_ROBISJARIG!!54 R 2, SPR_ROBISJARIG!!55 R 2
  SPR_ROBISJARIG!!56 R 2, SPR_ROBISJARIG!!57 R 2, SPR_ROBISJARIG!!58 R 0, SPR_ROBISJARIG!!59 R -1, SPR_ROBISJARIG!!60 R -1, SPR_ROBISJARIG!!61 R -1, SPR_ROBISJARIG!!62 R -1, SPR_ROBISJARIG!!63 R -1
  SPR_ROBISJARIG!!64 R -1, SPR_ROBISJARIG!!65 R 0, SPR_ROBISJARIG!!66 R 6, SPR_ROBISJARIG!!67 R 6, SPR_ROBISJARIG!!68 R 6, SPR_ROBISJARIG!!69 R 0, SPR_ROBISJARIG!!70 R -1, SPR_ROBISJARIG!!71 R 0
  SPR_ROBISJARIG!!72 R 2, SPR_ROBISJARIG!!73 R 6, SPR_ROBISJARIG!!74 R 6, SPR_ROBISJARIG!!75 R 6, SPR_ROBISJARIG!!76 R 6, SPR_ROBISJARIG!!77 R 6, SPR_ROBISJARIG!!78 R 2, SPR_ROBISJARIG!!79 R 0
  SPR_ROBISJARIG!!80 R -1, SPR_ROBISJARIG!!81 R -1, SPR_ROBISJARIG!!82 R -1, SPR_ROBISJARIG!!83 R -1, SPR_ROBISJARIG!!84 R -1, SPR_ROBISJARIG!!85 R -1, SPR_ROBISJARIG!!86 R 0, SPR_ROBISJARIG!!87 R 6
  SPR_ROBISJARIG!!88 R 6, SPR_ROBISJARIG!!89 R 6, SPR_ROBISJARIG!!90 R 0, SPR_ROBISJARIG!!91 R -1, SPR_ROBISJARIG!!92 R 0, SPR_ROBISJARIG!!93 R 6, SPR_ROBISJARIG!!94 R 6, SPR_ROBISJARIG!!95 R 4
  SPR_ROBISJARIG!!96 R 6, SPR_ROBISJARIG!!97 R 4, SPR_ROBISJARIG!!98 R 6, SPR_ROBISJARIG!!99 R 6, SPR_ROBISJARIG!!100 R 0, SPR_ROBISJARIG!!101 R -1, SPR_ROBISJARIG!!102 R -1, SPR_ROBISJARIG!!103 R -1
  SPR_ROBISJARIG!!104 R -1, SPR_ROBISJARIG!!105 R -1, SPR_ROBISJARIG!!106 R -1, SPR_ROBISJARIG!!107 R 0, SPR_ROBISJARIG!!108 R 6, SPR_ROBISJARIG!!109 R 6, SPR_ROBISJARIG!!110 R 6, SPR_ROBISJARIG!!111 R 0
  SPR_ROBISJARIG!!112 R -1, SPR_ROBISJARIG!!113 R 0, SPR_ROBISJARIG!!114 R 6, SPR_ROBISJARIG!!115 R 6, SPR_ROBISJARIG!!116 R 6, SPR_ROBISJARIG!!117 R 6, SPR_ROBISJARIG!!118 R 6, SPR_ROBISJARIG!!119 R 6
  SPR_ROBISJARIG!!120 R 6, SPR_ROBISJARIG!!121 R 0, SPR_ROBISJARIG!!122 R -1, SPR_ROBISJARIG!!123 R -1, SPR_ROBISJARIG!!124 R -1, SPR_ROBISJARIG!!125 R -1, SPR_ROBISJARIG!!126 R -1, SPR_ROBISJARIG!!127 R -1
  SPR_ROBISJARIG!!128 R 0, SPR_ROBISJARIG!!129 R 6, SPR_ROBISJARIG!!130 R 6, SPR_ROBISJARIG!!131 R 6, SPR_ROBISJARIG!!132 R 0, SPR_ROBISJARIG!!133 R -1, SPR_ROBISJARIG!!134 R 0, SPR_ROBISJARIG!!135 R 0
  SPR_ROBISJARIG!!136 R 6, SPR_ROBISJARIG!!137 R 4, SPR_ROBISJARIG!!138 R 4, SPR_ROBISJARIG!!139 R 4, SPR_ROBISJARIG!!140 R 6, SPR_ROBISJARIG!!141 R 0, SPR_ROBISJARIG!!142 R 0, SPR_ROBISJARIG!!143 R -1
  SPR_ROBISJARIG!!144 R -1, SPR_ROBISJARIG!!145 R -1, SPR_ROBISJARIG!!146 R -1, SPR_ROBISJARIG!!147 R -1, SPR_ROBISJARIG!!148 R -1, SPR_ROBISJARIG!!149 R 0, SPR_ROBISJARIG!!150 R 6, SPR_ROBISJARIG!!151 R 6
  SPR_ROBISJARIG!!152 R 6, SPR_ROBISJARIG!!153 R 0, SPR_ROBISJARIG!!154 R 0, SPR_ROBISJARIG!!155 R 0, SPR_ROBISJARIG!!156 R 0, SPR_ROBISJARIG!!157 R 0, SPR_ROBISJARIG!!158 R 6, SPR_ROBISJARIG!!159 R 6
  SPR_ROBISJARIG!!160 R 6, SPR_ROBISJARIG!!161 R 0, SPR_ROBISJARIG!!162 R 0, SPR_ROBISJARIG!!163 R 0, SPR_ROBISJARIG!!164 R 0, SPR_ROBISJARIG!!165 R 0, SPR_ROBISJARIG!!166 R 0, SPR_ROBISJARIG!!167 R 0
  SPR_ROBISJARIG!!168 R 0, SPR_ROBISJARIG!!169 R 0, SPR_ROBISJARIG!!170 R 0, SPR_ROBISJARIG!!171 R 6, SPR_ROBISJARIG!!172 R 6, SPR_ROBISJARIG!!173 R 6, SPR_ROBISJARIG!!174 R 6, SPR_ROBISJARIG!!175 R 6
  SPR_ROBISJARIG!!176 R 6, SPR_ROBISJARIG!!177 R 6, SPR_ROBISJARIG!!178 R 6, SPR_ROBISJARIG!!179 R 6, SPR_ROBISJARIG!!180 R 6, SPR_ROBISJARIG!!181 R 6, SPR_ROBISJARIG!!182 R 6, SPR_ROBISJARIG!!183 R 6
  SPR_ROBISJARIG!!184 R 6, SPR_ROBISJARIG!!185 R 6, SPR_ROBISJARIG!!186 R 6, SPR_ROBISJARIG!!187 R 6, SPR_ROBISJARIG!!188 R 6, SPR_ROBISJARIG!!189 R 6, SPR_ROBISJARIG!!190 R 0, SPR_ROBISJARIG!!191 R 0
  SPR_ROBISJARIG!!192 R 6, SPR_ROBISJARIG!!193 R 6, SPR_ROBISJARIG!!194 R 6, SPR_ROBISJARIG!!195 R 6, SPR_ROBISJARIG!!196 R 6, SPR_ROBISJARIG!!197 R 6, SPR_ROBISJARIG!!198 R 6, SPR_ROBISJARIG!!199 R 6
  SPR_ROBISJARIG!!200 R 6, SPR_ROBISJARIG!!201 R 6, SPR_ROBISJARIG!!202 R 6, SPR_ROBISJARIG!!203 R 6, SPR_ROBISJARIG!!204 R 6, SPR_ROBISJARIG!!205 R 6, SPR_ROBISJARIG!!206 R 6, SPR_ROBISJARIG!!207 R 6
  SPR_ROBISJARIG!!208 R 6, SPR_ROBISJARIG!!209 R 6, SPR_ROBISJARIG!!210 R 6, SPR_ROBISJARIG!!211 R 0, SPR_ROBISJARIG!!212 R 0, SPR_ROBISJARIG!!213 R 6, SPR_ROBISJARIG!!214 R 6, SPR_ROBISJARIG!!215 R 6
  SPR_ROBISJARIG!!216 R 6, SPR_ROBISJARIG!!217 R 6, SPR_ROBISJARIG!!218 R 6, SPR_ROBISJARIG!!219 R 6, SPR_ROBISJARIG!!220 R 6, SPR_ROBISJARIG!!221 R 6, SPR_ROBISJARIG!!222 R 6, SPR_ROBISJARIG!!223 R 6
  SPR_ROBISJARIG!!224 R 6, SPR_ROBISJARIG!!225 R 6, SPR_ROBISJARIG!!226 R 6, SPR_ROBISJARIG!!227 R 6, SPR_ROBISJARIG!!228 R 6, SPR_ROBISJARIG!!229 R 6, SPR_ROBISJARIG!!230 R 6, SPR_ROBISJARIG!!231 R 6
  SPR_ROBISJARIG!!232 R 0, SPR_ROBISJARIG!!233 R 0, SPR_ROBISJARIG!!234 R 0, SPR_ROBISJARIG!!235 R 0, SPR_ROBISJARIG!!236 R 0, SPR_ROBISJARIG!!237 R 0, SPR_ROBISJARIG!!238 R 0, SPR_ROBISJARIG!!239 R 0
  SPR_ROBISJARIG!!240 R 6, SPR_ROBISJARIG!!241 R 5, SPR_ROBISJARIG!!242 R 3, SPR_ROBISJARIG!!243 R 5, SPR_ROBISJARIG!!244 R 3, SPR_ROBISJARIG!!245 R 5, SPR_ROBISJARIG!!246 R 6, SPR_ROBISJARIG!!247 R 0
  SPR_ROBISJARIG!!248 R 0, SPR_ROBISJARIG!!249 R 0, SPR_ROBISJARIG!!250 R 6, SPR_ROBISJARIG!!251 R 6, SPR_ROBISJARIG!!252 R 6, SPR_ROBISJARIG!!253 R 0, SPR_ROBISJARIG!!254 R -1, SPR_ROBISJARIG!!255 R -1
  SPR_ROBISJARIG!!256 R -1, SPR_ROBISJARIG!!257 R -1, SPR_ROBISJARIG!!258 R -1, SPR_ROBISJARIG!!259 R -1, SPR_ROBISJARIG!!260 R 0, SPR_ROBISJARIG!!261 R 6, SPR_ROBISJARIG!!262 R 3, SPR_ROBISJARIG!!263 R 3
  SPR_ROBISJARIG!!264 R 3, SPR_ROBISJARIG!!265 R 3, SPR_ROBISJARIG!!266 R 3, SPR_ROBISJARIG!!267 R 6, SPR_ROBISJARIG!!268 R 0, SPR_ROBISJARIG!!269 R -1, SPR_ROBISJARIG!!270 R 0, SPR_ROBISJARIG!!271 R 6
  SPR_ROBISJARIG!!272 R 6, SPR_ROBISJARIG!!273 R 6, SPR_ROBISJARIG!!274 R 0, SPR_ROBISJARIG!!275 R -1, SPR_ROBISJARIG!!276 R -1, SPR_ROBISJARIG!!277 R -1, SPR_ROBISJARIG!!278 R -1, SPR_ROBISJARIG!!279 R -1
  SPR_ROBISJARIG!!280 R -1, SPR_ROBISJARIG!!281 R 0, SPR_ROBISJARIG!!282 R 6, SPR_ROBISJARIG!!283 R 6, SPR_ROBISJARIG!!284 R 3, SPR_ROBISJARIG!!285 R 3, SPR_ROBISJARIG!!286 R 3, SPR_ROBISJARIG!!287 R 6
  SPR_ROBISJARIG!!288 R 6, SPR_ROBISJARIG!!289 R 0, SPR_ROBISJARIG!!290 R -1, SPR_ROBISJARIG!!291 R 0, SPR_ROBISJARIG!!292 R 6, SPR_ROBISJARIG!!293 R 6, SPR_ROBISJARIG!!294 R 6, SPR_ROBISJARIG!!295 R 0
  SPR_ROBISJARIG!!296 R -1, SPR_ROBISJARIG!!297 R -1, SPR_ROBISJARIG!!298 R -1, SPR_ROBISJARIG!!299 R -1, SPR_ROBISJARIG!!300 R -1, SPR_ROBISJARIG!!301 R -1, SPR_ROBISJARIG!!302 R 0, SPR_ROBISJARIG!!303 R 6
  SPR_ROBISJARIG!!304 R 6, SPR_ROBISJARIG!!305 R 6, SPR_ROBISJARIG!!306 R 3, SPR_ROBISJARIG!!307 R 6, SPR_ROBISJARIG!!308 R 6, SPR_ROBISJARIG!!309 R 6, SPR_ROBISJARIG!!310 R 0, SPR_ROBISJARIG!!311 R -1
  SPR_ROBISJARIG!!312 R 0, SPR_ROBISJARIG!!313 R 6, SPR_ROBISJARIG!!314 R 6, SPR_ROBISJARIG!!315 R 6, SPR_ROBISJARIG!!316 R 0, SPR_ROBISJARIG!!317 R -1, SPR_ROBISJARIG!!318 R -1, SPR_ROBISJARIG!!319 R -1
  SPR_ROBISJARIG!!320 R -1, SPR_ROBISJARIG!!321 R -1, SPR_ROBISJARIG!!322 R -1, SPR_ROBISJARIG!!323 R 0, SPR_ROBISJARIG!!324 R 6, SPR_ROBISJARIG!!325 R 6, SPR_ROBISJARIG!!326 R 6, SPR_ROBISJARIG!!327 R 6
  SPR_ROBISJARIG!!328 R 6, SPR_ROBISJARIG!!329 R 6, SPR_ROBISJARIG!!330 R 6, SPR_ROBISJARIG!!331 R 0, SPR_ROBISJARIG!!332 R -1, SPR_ROBISJARIG!!333 R 0, SPR_ROBISJARIG!!334 R 6, SPR_ROBISJARIG!!335 R 6
  SPR_ROBISJARIG!!336 R 6, SPR_ROBISJARIG!!337 R 0, SPR_ROBISJARIG!!338 R -1, SPR_ROBISJARIG!!339 R -1, SPR_ROBISJARIG!!340 R -1, SPR_ROBISJARIG!!341 R -1, SPR_ROBISJARIG!!342 R -1, SPR_ROBISJARIG!!343 R 0
  SPR_ROBISJARIG!!344 R 0, SPR_ROBISJARIG!!345 R 6, SPR_ROBISJARIG!!346 R 6, SPR_ROBISJARIG!!347 R 6, SPR_ROBISJARIG!!348 R 6, SPR_ROBISJARIG!!349 R 6, SPR_ROBISJARIG!!350 R 6, SPR_ROBISJARIG!!351 R 6
  SPR_ROBISJARIG!!352 R 0, SPR_ROBISJARIG!!353 R 0, SPR_ROBISJARIG!!354 R 0, SPR_ROBISJARIG!!355 R 0, SPR_ROBISJARIG!!356 R 6, SPR_ROBISJARIG!!357 R 0, SPR_ROBISJARIG!!358 R 0, SPR_ROBISJARIG!!359 R -1
  SPR_ROBISJARIG!!360 R -1, SPR_ROBISJARIG!!361 R -1, SPR_ROBISJARIG!!362 R -1, SPR_ROBISJARIG!!363 R -1, SPR_ROBISJARIG!!364 R 0, SPR_ROBISJARIG!!365 R 6, SPR_ROBISJARIG!!366 R 6, SPR_ROBISJARIG!!367 R 6
  SPR_ROBISJARIG!!368 R 6, SPR_ROBISJARIG!!369 R 6, SPR_ROBISJARIG!!370 R 6, SPR_ROBISJARIG!!371 R 6, SPR_ROBISJARIG!!372 R 6, SPR_ROBISJARIG!!373 R 6, SPR_ROBISJARIG!!374 R 0, SPR_ROBISJARIG!!375 R -1
  SPR_ROBISJARIG!!376 R 0, SPR_ROBISJARIG!!377 R 0, SPR_ROBISJARIG!!378 R 0, SPR_ROBISJARIG!!379 R -1, SPR_ROBISJARIG!!380 R -1, SPR_ROBISJARIG!!381 R -1, SPR_ROBISJARIG!!382 R -1, SPR_ROBISJARIG!!383 R -1
  SPR_ROBISJARIG!!384 R 0, SPR_ROBISJARIG!!385 R 0, SPR_ROBISJARIG!!386 R 6, SPR_ROBISJARIG!!387 R 6, SPR_ROBISJARIG!!388 R 6, SPR_ROBISJARIG!!389 R 6, SPR_ROBISJARIG!!390 R 0, SPR_ROBISJARIG!!391 R 6
  SPR_ROBISJARIG!!392 R 6, SPR_ROBISJARIG!!393 R 6, SPR_ROBISJARIG!!394 R 6, SPR_ROBISJARIG!!395 R 0, SPR_ROBISJARIG!!396 R 0, SPR_ROBISJARIG!!397 R -1, SPR_ROBISJARIG!!398 R -1, SPR_ROBISJARIG!!399 R -1
  SPR_ROBISJARIG!!400 R -1, SPR_ROBISJARIG!!401 R -1, SPR_ROBISJARIG!!402 R -1, SPR_ROBISJARIG!!403 R -1, SPR_ROBISJARIG!!404 R -1, SPR_ROBISJARIG!!405 R 0, SPR_ROBISJARIG!!406 R 6, SPR_ROBISJARIG!!407 R 6
  SPR_ROBISJARIG!!408 R 6, SPR_ROBISJARIG!!409 R 6, SPR_ROBISJARIG!!410 R 0, SPR_ROBISJARIG!!411 R 0, SPR_ROBISJARIG!!412 R 0, SPR_ROBISJARIG!!413 R 6, SPR_ROBISJARIG!!414 R 6, SPR_ROBISJARIG!!415 R 6
  SPR_ROBISJARIG!!416 R 6, SPR_ROBISJARIG!!417 R 0, SPR_ROBISJARIG!!418 R -1, SPR_ROBISJARIG!!419 R -1, SPR_ROBISJARIG!!420 R -1, SPR_ROBISJARIG!!421 R -1, SPR_ROBISJARIG!!422 R -1, SPR_ROBISJARIG!!423 R -1
  SPR_ROBISJARIG!!424 R -1, SPR_ROBISJARIG!!425 R 0, SPR_ROBISJARIG!!426 R 0, SPR_ROBISJARIG!!427 R 6, SPR_ROBISJARIG!!428 R 6, SPR_ROBISJARIG!!429 R 6, SPR_ROBISJARIG!!430 R 6, SPR_ROBISJARIG!!431 R 0
  SPR_ROBISJARIG!!432 R -1, SPR_ROBISJARIG!!433 R 0, SPR_ROBISJARIG!!434 R 6, SPR_ROBISJARIG!!435 R 6, SPR_ROBISJARIG!!436 R 6, SPR_ROBISJARIG!!437 R 6, SPR_ROBISJARIG!!438 R 0, SPR_ROBISJARIG!!439 R 0
  SPR_ROBISJARIG!!440 R -1, SPR_ROBISJARIG!!441 R -1, SPR_ROBISJARIG!!442 R -1, SPR_ROBISJARIG!!443 R -1, SPR_ROBISJARIG!!444 R -1, SPR_ROBISJARIG!!445 R -1, SPR_ROBISJARIG!!446 R 0, SPR_ROBISJARIG!!447 R 6
  SPR_ROBISJARIG!!448 R 6, SPR_ROBISJARIG!!449 R 6, SPR_ROBISJARIG!!450 R 6, SPR_ROBISJARIG!!451 R 0, SPR_ROBISJARIG!!452 R 0, SPR_ROBISJARIG!!453 R -1, SPR_ROBISJARIG!!454 R 0, SPR_ROBISJARIG!!455 R 0
  SPR_ROBISJARIG!!456 R 6, SPR_ROBISJARIG!!457 R 6, SPR_ROBISJARIG!!458 R 6, SPR_ROBISJARIG!!459 R 6, SPR_ROBISJARIG!!460 R 0, SPR_ROBISJARIG!!461 R -1, SPR_ROBISJARIG!!462 R -1, SPR_ROBISJARIG!!463 R -1
  SPR_ROBISJARIG!!464 R -1, SPR_ROBISJARIG!!465 R -1, SPR_ROBISJARIG!!466 R 0, SPR_ROBISJARIG!!467 R 0, SPR_ROBISJARIG!!468 R 6, SPR_ROBISJARIG!!469 R 6, SPR_ROBISJARIG!!470 R 6, SPR_ROBISJARIG!!471 R 0
  SPR_ROBISJARIG!!472 R 0, SPR_ROBISJARIG!!473 R -1, SPR_ROBISJARIG!!474 R -1, SPR_ROBISJARIG!!475 R -1, SPR_ROBISJARIG!!476 R 0, SPR_ROBISJARIG!!477 R 0, SPR_ROBISJARIG!!478 R 6, SPR_ROBISJARIG!!479 R 6
  SPR_ROBISJARIG!!480 R 6, SPR_ROBISJARIG!!481 R 0, SPR_ROBISJARIG!!482 R 0, SPR_ROBISJARIG!!483 R -1, SPR_ROBISJARIG!!484 R -1, SPR_ROBISJARIG!!485 R -1, SPR_ROBISJARIG!!486 R -1, SPR_ROBISJARIG!!487 R 0
  SPR_ROBISJARIG!!488 R 6, SPR_ROBISJARIG!!489 R 6, SPR_ROBISJARIG!!490 R 6, SPR_ROBISJARIG!!491 R 6, SPR_ROBISJARIG!!492 R 0, SPR_ROBISJARIG!!493 R -1, SPR_ROBISJARIG!!494 R -1, SPR_ROBISJARIG!!495 R -1
  SPR_ROBISJARIG!!496 R -1, SPR_ROBISJARIG!!497 R -1, SPR_ROBISJARIG!!498 R 0, SPR_ROBISJARIG!!499 R 6, SPR_ROBISJARIG!!500 R 6, SPR_ROBISJARIG!!501 R 6, SPR_ROBISJARIG!!502 R 6, SPR_ROBISJARIG!!503 R 0
  SPR_ROBISJARIG!!504 R -1, SPR_ROBISJARIG!!505 R -1, SPR_ROBISJARIG!!506 R -1, SPR_ROBISJARIG!!507 R -1, SPR_ROBISJARIG!!508 R 0, SPR_ROBISJARIG!!509 R 0, SPR_ROBISJARIG!!510 R 0, SPR_ROBISJARIG!!511 R 0
  SPR_ROBISJARIG!!512 R 0, SPR_ROBISJARIG!!513 R 0, SPR_ROBISJARIG!!514 R -1, SPR_ROBISJARIG!!515 R -1, SPR_ROBISJARIG!!516 R -1, SPR_ROBISJARIG!!517 R -1, SPR_ROBISJARIG!!518 R -1, SPR_ROBISJARIG!!519 R 0
  SPR_ROBISJARIG!!520 R 0, SPR_ROBISJARIG!!521 R 0, SPR_ROBISJARIG!!522 R 0, SPR_ROBISJARIG!!523 R 0, SPR_ROBISJARIG!!524 R 0, SPR_ROBISJARIG!!525 R -1, SPR_ROBISJARIG!!526 R -1
  
  BTW Scenesat logo
  SPR_SCENESAT!!0 R 23, SPR_SCENESAT!!1 R 19, SPR_SCENESAT!!2 R -1, SPR_SCENESAT!!3 R -1, SPR_SCENESAT!!4 R -1, SPR_SCENESAT!!5 R -1, SPR_SCENESAT!!6 R -1, SPR_SCENESAT!!7 R -1
  SPR_SCENESAT!!8 R -1, SPR_SCENESAT!!9 R -1, SPR_SCENESAT!!10 R -1, SPR_SCENESAT!!11 R -1, SPR_SCENESAT!!12 R -1, SPR_SCENESAT!!13 R -1, SPR_SCENESAT!!14 R -1, SPR_SCENESAT!!15 R -1
  SPR_SCENESAT!!16 R -1, SPR_SCENESAT!!17 R -1, SPR_SCENESAT!!18 R -1, SPR_SCENESAT!!19 R -1, SPR_SCENESAT!!20 R -1, SPR_SCENESAT!!21 R -1, SPR_SCENESAT!!22 R -1, SPR_SCENESAT!!23 R -1
  SPR_SCENESAT!!24 R -1, SPR_SCENESAT!!25 R -1, SPR_SCENESAT!!26 R -1, SPR_SCENESAT!!27 R -1, SPR_SCENESAT!!28 R -1, SPR_SCENESAT!!29 R -1, SPR_SCENESAT!!30 R -1, SPR_SCENESAT!!31 R -1
  SPR_SCENESAT!!32 R -1, SPR_SCENESAT!!33 R -1, SPR_SCENESAT!!34 R -1, SPR_SCENESAT!!35 R -1, SPR_SCENESAT!!36 R -1, SPR_SCENESAT!!37 R -1, SPR_SCENESAT!!38 R -1, SPR_SCENESAT!!39 R 0
  SPR_SCENESAT!!40 R 0, SPR_SCENESAT!!41 R 0, SPR_SCENESAT!!42 R 0, SPR_SCENESAT!!43 R 0, SPR_SCENESAT!!44 R 0, SPR_SCENESAT!!45 R 0, SPR_SCENESAT!!46 R 0, SPR_SCENESAT!!47 R -1
  SPR_SCENESAT!!48 R -1, SPR_SCENESAT!!49 R -1, SPR_SCENESAT!!50 R -1, SPR_SCENESAT!!51 R -1, SPR_SCENESAT!!52 R -1, SPR_SCENESAT!!53 R -1, SPR_SCENESAT!!54 R 0, SPR_SCENESAT!!55 R 0
  SPR_SCENESAT!!56 R 0, SPR_SCENESAT!!57 R 0, SPR_SCENESAT!!58 R 0, SPR_SCENESAT!!59 R 0, SPR_SCENESAT!!60 R 0, SPR_SCENESAT!!61 R 0, SPR_SCENESAT!!62 R 0, SPR_SCENESAT!!63 R 6
  SPR_SCENESAT!!64 R 6, SPR_SCENESAT!!65 R 6, SPR_SCENESAT!!66 R 0, SPR_SCENESAT!!67 R 0, SPR_SCENESAT!!68 R 6, SPR_SCENESAT!!69 R 0, SPR_SCENESAT!!70 R -1, SPR_SCENESAT!!71 R 0
  SPR_SCENESAT!!72 R 0, SPR_SCENESAT!!73 R 0, SPR_SCENESAT!!74 R 0, SPR_SCENESAT!!75 R 0, SPR_SCENESAT!!76 R 0, SPR_SCENESAT!!77 R 0, SPR_SCENESAT!!78 R 1, SPR_SCENESAT!!79 R 1
  SPR_SCENESAT!!80 R 1, SPR_SCENESAT!!81 R 1, SPR_SCENESAT!!82 R 1, SPR_SCENESAT!!83 R 1, SPR_SCENESAT!!84 R 1, SPR_SCENESAT!!85 R 1, SPR_SCENESAT!!86 R 6, SPR_SCENESAT!!87 R 6
  SPR_SCENESAT!!88 R 6, SPR_SCENESAT!!89 R 6, SPR_SCENESAT!!90 R 6, SPR_SCENESAT!!91 R 0, SPR_SCENESAT!!92 R 0, SPR_SCENESAT!!93 R -1, SPR_SCENESAT!!94 R 0, SPR_SCENESAT!!95 R 1
  SPR_SCENESAT!!96 R 1, SPR_SCENESAT!!97 R 1, SPR_SCENESAT!!98 R 1, SPR_SCENESAT!!99 R 1, SPR_SCENESAT!!100 R 1, SPR_SCENESAT!!101 R 0, SPR_SCENESAT!!102 R 0, SPR_SCENESAT!!103 R 2
  SPR_SCENESAT!!104 R 2, SPR_SCENESAT!!105 R 0, SPR_SCENESAT!!106 R 2, SPR_SCENESAT!!107 R 6, SPR_SCENESAT!!108 R 6, SPR_SCENESAT!!109 R 6, SPR_SCENESAT!!110 R 6, SPR_SCENESAT!!111 R 6
  SPR_SCENESAT!!112 R 6, SPR_SCENESAT!!113 R 6, SPR_SCENESAT!!114 R 6, SPR_SCENESAT!!115 R 0, SPR_SCENESAT!!116 R -1, SPR_SCENESAT!!117 R 0, SPR_SCENESAT!!118 R 0, SPR_SCENESAT!!119 R 0
  SPR_SCENESAT!!120 R 0, SPR_SCENESAT!!121 R 0, SPR_SCENESAT!!122 R 0, SPR_SCENESAT!!123 R 0, SPR_SCENESAT!!124 R 0, SPR_SCENESAT!!125 R 0, SPR_SCENESAT!!126 R 0, SPR_SCENESAT!!127 R 0
  SPR_SCENESAT!!128 R 6, SPR_SCENESAT!!129 R 6, SPR_SCENESAT!!130 R 6, SPR_SCENESAT!!131 R 6, SPR_SCENESAT!!132 R 6, SPR_SCENESAT!!133 R 6, SPR_SCENESAT!!134 R 6, SPR_SCENESAT!!135 R 6
  SPR_SCENESAT!!136 R 6, SPR_SCENESAT!!137 R 6, SPR_SCENESAT!!138 R 0, SPR_SCENESAT!!139 R 0, SPR_SCENESAT!!140 R -1, SPR_SCENESAT!!141 R -1, SPR_SCENESAT!!142 R -1, SPR_SCENESAT!!143 R -1
  SPR_SCENESAT!!144 R -1, SPR_SCENESAT!!145 R -1, SPR_SCENESAT!!146 R -1, SPR_SCENESAT!!147 R -1, SPR_SCENESAT!!148 R -1, SPR_SCENESAT!!149 R -1, SPR_SCENESAT!!150 R 0, SPR_SCENESAT!!151 R 6
  SPR_SCENESAT!!152 R 6, SPR_SCENESAT!!153 R 6, SPR_SCENESAT!!154 R 6, SPR_SCENESAT!!155 R 6, SPR_SCENESAT!!156 R 6, SPR_SCENESAT!!157 R 6, SPR_SCENESAT!!158 R 6, SPR_SCENESAT!!159 R 6
  SPR_SCENESAT!!160 R 6, SPR_SCENESAT!!161 R 6, SPR_SCENESAT!!162 R 0, SPR_SCENESAT!!163 R -1, SPR_SCENESAT!!164 R -1, SPR_SCENESAT!!165 R -1, SPR_SCENESAT!!166 R -1, SPR_SCENESAT!!167 R -1
  SPR_SCENESAT!!168 R -1, SPR_SCENESAT!!169 R -1, SPR_SCENESAT!!170 R -1, SPR_SCENESAT!!171 R -1, SPR_SCENESAT!!172 R -1, SPR_SCENESAT!!173 R 0, SPR_SCENESAT!!174 R 2, SPR_SCENESAT!!175 R 6
  SPR_SCENESAT!!176 R 6, SPR_SCENESAT!!177 R 6, SPR_SCENESAT!!178 R 6, SPR_SCENESAT!!179 R 6, SPR_SCENESAT!!180 R 6, SPR_SCENESAT!!181 R 6, SPR_SCENESAT!!182 R 6, SPR_SCENESAT!!183 R 6
  SPR_SCENESAT!!184 R 2, SPR_SCENESAT!!185 R 0, SPR_SCENESAT!!186 R -1, SPR_SCENESAT!!187 R -1, SPR_SCENESAT!!188 R -1, SPR_SCENESAT!!189 R -1, SPR_SCENESAT!!190 R -1, SPR_SCENESAT!!191 R -1
  SPR_SCENESAT!!192 R -1, SPR_SCENESAT!!193 R -1, SPR_SCENESAT!!194 R -1, SPR_SCENESAT!!195 R -1, SPR_SCENESAT!!196 R 0, SPR_SCENESAT!!197 R 2, SPR_SCENESAT!!198 R 2, SPR_SCENESAT!!199 R 2
  SPR_SCENESAT!!200 R 2, SPR_SCENESAT!!201 R 6, SPR_SCENESAT!!202 R 6, SPR_SCENESAT!!203 R 6, SPR_SCENESAT!!204 R 2, SPR_SCENESAT!!205 R 2, SPR_SCENESAT!!206 R 2, SPR_SCENESAT!!207 R 2
  SPR_SCENESAT!!208 R 0, SPR_SCENESAT!!209 R -1, SPR_SCENESAT!!210 R -1, SPR_SCENESAT!!211 R -1, SPR_SCENESAT!!212 R -1, SPR_SCENESAT!!213 R -1, SPR_SCENESAT!!214 R -1, SPR_SCENESAT!!215 R -1
  SPR_SCENESAT!!216 R -1, SPR_SCENESAT!!217 R -1, SPR_SCENESAT!!218 R -1, SPR_SCENESAT!!219 R 0, SPR_SCENESAT!!220 R 0, SPR_SCENESAT!!221 R 2, SPR_SCENESAT!!222 R 2, SPR_SCENESAT!!223 R 1
  SPR_SCENESAT!!224 R 1, SPR_SCENESAT!!225 R 2, SPR_SCENESAT!!226 R 2, SPR_SCENESAT!!227 R 2, SPR_SCENESAT!!228 R 2, SPR_SCENESAT!!229 R 2, SPR_SCENESAT!!230 R 6, SPR_SCENESAT!!231 R 0
  SPR_SCENESAT!!232 R -1, SPR_SCENESAT!!233 R -1, SPR_SCENESAT!!234 R -1, SPR_SCENESAT!!235 R -1, SPR_SCENESAT!!236 R -1, SPR_SCENESAT!!237 R -1, SPR_SCENESAT!!238 R -1, SPR_SCENESAT!!239 R -1
  SPR_SCENESAT!!240 R -1, SPR_SCENESAT!!241 R -1, SPR_SCENESAT!!242 R 0, SPR_SCENESAT!!243 R 0, SPR_SCENESAT!!244 R 2, SPR_SCENESAT!!245 R 1, SPR_SCENESAT!!246 R 2, SPR_SCENESAT!!247 R 2
  SPR_SCENESAT!!248 R 2, SPR_SCENESAT!!249 R 2, SPR_SCENESAT!!250 R 2, SPR_SCENESAT!!251 R 2, SPR_SCENESAT!!252 R 2, SPR_SCENESAT!!253 R 2, SPR_SCENESAT!!254 R 0, SPR_SCENESAT!!255 R -1
  SPR_SCENESAT!!256 R -1, SPR_SCENESAT!!257 R -1, SPR_SCENESAT!!258 R -1, SPR_SCENESAT!!259 R -1, SPR_SCENESAT!!260 R -1, SPR_SCENESAT!!261 R -1, SPR_SCENESAT!!262 R -1, SPR_SCENESAT!!263 R 0
  SPR_SCENESAT!!264 R 0, SPR_SCENESAT!!265 R 0, SPR_SCENESAT!!266 R 1, SPR_SCENESAT!!267 R 1, SPR_SCENESAT!!268 R 2, SPR_SCENESAT!!269 R 2, SPR_SCENESAT!!270 R 2, SPR_SCENESAT!!271 R 2
  SPR_SCENESAT!!272 R 2, SPR_SCENESAT!!273 R 2, SPR_SCENESAT!!274 R 1, SPR_SCENESAT!!275 R 0, SPR_SCENESAT!!276 R 0, SPR_SCENESAT!!277 R 0, SPR_SCENESAT!!278 R -1, SPR_SCENESAT!!279 R -1
  SPR_SCENESAT!!280 R -1, SPR_SCENESAT!!281 R -1, SPR_SCENESAT!!282 R -1, SPR_SCENESAT!!283 R -1, SPR_SCENESAT!!284 R -1, SPR_SCENESAT!!285 R 0, SPR_SCENESAT!!286 R 0, SPR_SCENESAT!!287 R 1
  SPR_SCENESAT!!288 R 1, SPR_SCENESAT!!289 R 0, SPR_SCENESAT!!290 R 0, SPR_SCENESAT!!291 R 0, SPR_SCENESAT!!292 R 0, SPR_SCENESAT!!293 R 2, SPR_SCENESAT!!294 R 2, SPR_SCENESAT!!295 R 2
  SPR_SCENESAT!!296 R 1, SPR_SCENESAT!!297 R 0, SPR_SCENESAT!!298 R 0, SPR_SCENESAT!!299 R -1, SPR_SCENESAT!!300 R -1, SPR_SCENESAT!!301 R -1, SPR_SCENESAT!!302 R -1, SPR_SCENESAT!!303 R -1
  SPR_SCENESAT!!304 R -1, SPR_SCENESAT!!305 R -1, SPR_SCENESAT!!306 R 0, SPR_SCENESAT!!307 R 0, SPR_SCENESAT!!308 R 0, SPR_SCENESAT!!309 R 1, SPR_SCENESAT!!310 R 0, SPR_SCENESAT!!311 R 0
  SPR_SCENESAT!!312 R 0, SPR_SCENESAT!!313 R -1, SPR_SCENESAT!!314 R -1, SPR_SCENESAT!!315 R 0, SPR_SCENESAT!!316 R 0, SPR_SCENESAT!!317 R 0, SPR_SCENESAT!!318 R 1, SPR_SCENESAT!!319 R 0
  SPR_SCENESAT!!320 R 0, SPR_SCENESAT!!321 R -1, SPR_SCENESAT!!322 R -1, SPR_SCENESAT!!323 R -1, SPR_SCENESAT!!324 R -1, SPR_SCENESAT!!325 R -1, SPR_SCENESAT!!326 R -1, SPR_SCENESAT!!327 R -1
  SPR_SCENESAT!!328 R 0, SPR_SCENESAT!!329 R 0, SPR_SCENESAT!!330 R 1, SPR_SCENESAT!!331 R 1, SPR_SCENESAT!!332 R 0, SPR_SCENESAT!!333 R 0, SPR_SCENESAT!!334 R -1, SPR_SCENESAT!!335 R -1
  SPR_SCENESAT!!336 R -1, SPR_SCENESAT!!337 R -1, SPR_SCENESAT!!338 R 0, SPR_SCENESAT!!339 R 0, SPR_SCENESAT!!340 R 1, SPR_SCENESAT!!341 R 0, SPR_SCENESAT!!342 R 0, SPR_SCENESAT!!343 R -1
  SPR_SCENESAT!!344 R -1, SPR_SCENESAT!!345 R -1, SPR_SCENESAT!!346 R -1, SPR_SCENESAT!!347 R -1, SPR_SCENESAT!!348 R -1, SPR_SCENESAT!!349 R 0, SPR_SCENESAT!!350 R 0, SPR_SCENESAT!!351 R 0
  SPR_SCENESAT!!352 R 1, SPR_SCENESAT!!353 R 0, SPR_SCENESAT!!354 R 0, SPR_SCENESAT!!355 R 0, SPR_SCENESAT!!356 R -1, SPR_SCENESAT!!357 R -1, SPR_SCENESAT!!358 R -1, SPR_SCENESAT!!359 R -1
  SPR_SCENESAT!!360 R 0, SPR_SCENESAT!!361 R 0, SPR_SCENESAT!!362 R 1, SPR_SCENESAT!!363 R 0, SPR_SCENESAT!!364 R 0, SPR_SCENESAT!!365 R -1, SPR_SCENESAT!!366 R -1, SPR_SCENESAT!!367 R -1
  SPR_SCENESAT!!368 R -1, SPR_SCENESAT!!369 R -1, SPR_SCENESAT!!370 R -1, SPR_SCENESAT!!371 R 0, SPR_SCENESAT!!372 R 0, SPR_SCENESAT!!373 R 1, SPR_SCENESAT!!374 R 1, SPR_SCENESAT!!375 R 0
  SPR_SCENESAT!!376 R 0, SPR_SCENESAT!!377 R -1, SPR_SCENESAT!!378 R -1, SPR_SCENESAT!!379 R -1, SPR_SCENESAT!!380 R -1, SPR_SCENESAT!!381 R -1, SPR_SCENESAT!!382 R -1, SPR_SCENESAT!!383 R 0
  SPR_SCENESAT!!384 R 1, SPR_SCENESAT!!385 R 0, SPR_SCENESAT!!386 R 0, SPR_SCENESAT!!387 R -1, SPR_SCENESAT!!388 R -1, SPR_SCENESAT!!389 R -1, SPR_SCENESAT!!390 R -1, SPR_SCENESAT!!391 R -1
  SPR_SCENESAT!!392 R -1, SPR_SCENESAT!!393 R -1, SPR_SCENESAT!!394 R 0, SPR_SCENESAT!!395 R 1, SPR_SCENESAT!!396 R 0, SPR_SCENESAT!!397 R 0, SPR_SCENESAT!!398 R 0, SPR_SCENESAT!!399 R -1
  SPR_SCENESAT!!400 R -1, SPR_SCENESAT!!401 R -1, SPR_SCENESAT!!402 R -1, SPR_SCENESAT!!403 R -1, SPR_SCENESAT!!404 R -1, SPR_SCENESAT!!405 R -1, SPR_SCENESAT!!406 R 0, SPR_SCENESAT!!407 R 0
  SPR_SCENESAT!!408 R 0, SPR_SCENESAT!!409 R -1, SPR_SCENESAT!!410 R -1, SPR_SCENESAT!!411 R -1, SPR_SCENESAT!!412 R -1, SPR_SCENESAT!!413 R -1, SPR_SCENESAT!!414 R -1, SPR_SCENESAT!!415 R -1
  SPR_SCENESAT!!416 R -1, SPR_SCENESAT!!417 R 0, SPR_SCENESAT!!418 R 0, SPR_SCENESAT!!419 R 0, SPR_SCENESAT!!420 R -1, SPR_SCENESAT!!421 R -1, SPR_SCENESAT!!422 R -1, SPR_SCENESAT!!423 R -1
  SPR_SCENESAT!!424 R -1, SPR_SCENESAT!!425 R -1, SPR_SCENESAT!!426 R -1, SPR_SCENESAT!!427 R -1, SPR_SCENESAT!!428 R -1, SPR_SCENESAT!!429 R -1, SPR_SCENESAT!!430 R -1, SPR_SCENESAT!!431 R -1
  SPR_SCENESAT!!432 R -1, SPR_SCENESAT!!433 R -1, SPR_SCENESAT!!434 R -1, SPR_SCENESAT!!435 R -1, SPR_SCENESAT!!436 R -1, SPR_SCENESAT!!437 R -1, SPR_SCENESAT!!438 R -1
  
  BTW I has a Bukkit. Noooo they be stealin mah bukkit!!
  SPR_BUKKIT!!0 R 21, SPR_BUKKIT!!1 R 22, SPR_BUKKIT!!2 R -1, SPR_BUKKIT!!3 R -1, SPR_BUKKIT!!4 R -1, SPR_BUKKIT!!5 R -1, SPR_BUKKIT!!6 R 0, SPR_BUKKIT!!7 R 0
  SPR_BUKKIT!!8 R 0, SPR_BUKKIT!!9 R 0, SPR_BUKKIT!!10 R 0, SPR_BUKKIT!!11 R 0, SPR_BUKKIT!!12 R 0, SPR_BUKKIT!!13 R 0, SPR_BUKKIT!!14 R 0, SPR_BUKKIT!!15 R 0
  SPR_BUKKIT!!16 R 0, SPR_BUKKIT!!17 R 0, SPR_BUKKIT!!18 R -1, SPR_BUKKIT!!19 R -1, SPR_BUKKIT!!20 R -1, SPR_BUKKIT!!21 R -1, SPR_BUKKIT!!22 R -1, SPR_BUKKIT!!23 R -1
  SPR_BUKKIT!!24 R 0, SPR_BUKKIT!!25 R 0, SPR_BUKKIT!!26 R 0, SPR_BUKKIT!!27 R 0, SPR_BUKKIT!!28 R 6, SPR_BUKKIT!!29 R 6, SPR_BUKKIT!!30 R 6, SPR_BUKKIT!!31 R 6
  SPR_BUKKIT!!32 R 6, SPR_BUKKIT!!33 R 6, SPR_BUKKIT!!34 R 6, SPR_BUKKIT!!35 R 6, SPR_BUKKIT!!36 R 6, SPR_BUKKIT!!37 R 6, SPR_BUKKIT!!38 R 0, SPR_BUKKIT!!39 R 0
  SPR_BUKKIT!!40 R 0, SPR_BUKKIT!!41 R 0, SPR_BUKKIT!!42 R -1, SPR_BUKKIT!!43 R -1, SPR_BUKKIT!!44 R 0, SPR_BUKKIT!!45 R 0, SPR_BUKKIT!!46 R 6, SPR_BUKKIT!!47 R 6
  SPR_BUKKIT!!48 R 6, SPR_BUKKIT!!49 R 2, SPR_BUKKIT!!50 R 2, SPR_BUKKIT!!51 R 3, SPR_BUKKIT!!52 R 3, SPR_BUKKIT!!53 R 3, SPR_BUKKIT!!54 R 4, SPR_BUKKIT!!55 R 4
  SPR_BUKKIT!!56 R 4, SPR_BUKKIT!!57 R 5, SPR_BUKKIT!!58 R 5, SPR_BUKKIT!!59 R 6, SPR_BUKKIT!!60 R 6, SPR_BUKKIT!!61 R 6, SPR_BUKKIT!!62 R 0, SPR_BUKKIT!!63 R 0
  SPR_BUKKIT!!64 R -1, SPR_BUKKIT!!65 R 0, SPR_BUKKIT!!66 R 6, SPR_BUKKIT!!67 R 1, SPR_BUKKIT!!68 R 1, SPR_BUKKIT!!69 R 2, SPR_BUKKIT!!70 R 2, SPR_BUKKIT!!71 R 2
  SPR_BUKKIT!!72 R 3, SPR_BUKKIT!!73 R 3, SPR_BUKKIT!!74 R 3, SPR_BUKKIT!!75 R 4, SPR_BUKKIT!!76 R 4, SPR_BUKKIT!!77 R 4, SPR_BUKKIT!!78 R 5, SPR_BUKKIT!!79 R 5
  SPR_BUKKIT!!80 R 6, SPR_BUKKIT!!81 R 5, SPR_BUKKIT!!82 R 5, SPR_BUKKIT!!83 R 6, SPR_BUKKIT!!84 R 0, SPR_BUKKIT!!85 R -1, SPR_BUKKIT!!86 R 0, SPR_BUKKIT!!87 R 6
  SPR_BUKKIT!!88 R 6, SPR_BUKKIT!!89 R 6, SPR_BUKKIT!!90 R 6, SPR_BUKKIT!!91 R 2, SPR_BUKKIT!!92 R 2, SPR_BUKKIT!!93 R 3, SPR_BUKKIT!!94 R 3, SPR_BUKKIT!!95 R 3
  SPR_BUKKIT!!96 R 4, SPR_BUKKIT!!97 R 4, SPR_BUKKIT!!98 R 4, SPR_BUKKIT!!99 R 5, SPR_BUKKIT!!100 R 5, SPR_BUKKIT!!101 R 6, SPR_BUKKIT!!102 R 6, SPR_BUKKIT!!103 R 6
  SPR_BUKKIT!!104 R 6, SPR_BUKKIT!!105 R 0, SPR_BUKKIT!!106 R -1, SPR_BUKKIT!!107 R 0, SPR_BUKKIT!!108 R 6, SPR_BUKKIT!!109 R 5, SPR_BUKKIT!!110 R 5, SPR_BUKKIT!!111 R 6
  SPR_BUKKIT!!112 R 6, SPR_BUKKIT!!113 R 6, SPR_BUKKIT!!114 R 6, SPR_BUKKIT!!115 R 6, SPR_BUKKIT!!116 R 6, SPR_BUKKIT!!117 R 6, SPR_BUKKIT!!118 R 6, SPR_BUKKIT!!119 R 6
  SPR_BUKKIT!!120 R 6, SPR_BUKKIT!!121 R 6, SPR_BUKKIT!!122 R 2, SPR_BUKKIT!!123 R 1, SPR_BUKKIT!!124 R 1, SPR_BUKKIT!!125 R 6, SPR_BUKKIT!!126 R 0, SPR_BUKKIT!!127 R -1
  SPR_BUKKIT!!128 R 0, SPR_BUKKIT!!129 R 6, SPR_BUKKIT!!130 R 5, SPR_BUKKIT!!131 R 5, SPR_BUKKIT!!132 R 6, SPR_BUKKIT!!133 R 5, SPR_BUKKIT!!134 R 5, SPR_BUKKIT!!135 R 4
  SPR_BUKKIT!!136 R 4, SPR_BUKKIT!!137 R 4, SPR_BUKKIT!!138 R 3, SPR_BUKKIT!!139 R 3, SPR_BUKKIT!!140 R 3, SPR_BUKKIT!!141 R 2, SPR_BUKKIT!!142 R 2, SPR_BUKKIT!!143 R 2
  SPR_BUKKIT!!144 R 1, SPR_BUKKIT!!145 R 1, SPR_BUKKIT!!146 R 6, SPR_BUKKIT!!147 R 0, SPR_BUKKIT!!148 R -1, SPR_BUKKIT!!149 R 0, SPR_BUKKIT!!150 R 6, SPR_BUKKIT!!151 R 5
  SPR_BUKKIT!!152 R 5, SPR_BUKKIT!!153 R 6, SPR_BUKKIT!!154 R 5, SPR_BUKKIT!!155 R 5, SPR_BUKKIT!!156 R 4, SPR_BUKKIT!!157 R 4, SPR_BUKKIT!!158 R 4, SPR_BUKKIT!!159 R 6
  SPR_BUKKIT!!160 R 3, SPR_BUKKIT!!161 R 3, SPR_BUKKIT!!162 R 2, SPR_BUKKIT!!163 R 2, SPR_BUKKIT!!164 R 2, SPR_BUKKIT!!165 R 1, SPR_BUKKIT!!166 R 1, SPR_BUKKIT!!167 R 6
  SPR_BUKKIT!!168 R 0, SPR_BUKKIT!!169 R -1, SPR_BUKKIT!!170 R 0, SPR_BUKKIT!!171 R 0, SPR_BUKKIT!!172 R 6, SPR_BUKKIT!!173 R 5, SPR_BUKKIT!!174 R 6, SPR_BUKKIT!!175 R 5
  SPR_BUKKIT!!176 R 5, SPR_BUKKIT!!177 R 4, SPR_BUKKIT!!178 R 4, SPR_BUKKIT!!179 R 4, SPR_BUKKIT!!180 R 3, SPR_BUKKIT!!181 R 6, SPR_BUKKIT!!182 R 6, SPR_BUKKIT!!183 R 2
  SPR_BUKKIT!!184 R 2, SPR_BUKKIT!!185 R 2, SPR_BUKKIT!!186 R 1, SPR_BUKKIT!!187 R 6, SPR_BUKKIT!!188 R 0, SPR_BUKKIT!!189 R 0, SPR_BUKKIT!!190 R -1, SPR_BUKKIT!!191 R -1
  SPR_BUKKIT!!192 R 0, SPR_BUKKIT!!193 R 6, SPR_BUKKIT!!194 R 5, SPR_BUKKIT!!195 R 6, SPR_BUKKIT!!196 R 5, SPR_BUKKIT!!197 R 5, SPR_BUKKIT!!198 R 4, SPR_BUKKIT!!199 R 4
  SPR_BUKKIT!!200 R 4, SPR_BUKKIT!!201 R 3, SPR_BUKKIT!!202 R 3, SPR_BUKKIT!!203 R 3, SPR_BUKKIT!!204 R 6, SPR_BUKKIT!!205 R 6, SPR_BUKKIT!!206 R 2, SPR_BUKKIT!!207 R 1
  SPR_BUKKIT!!208 R 6, SPR_BUKKIT!!209 R 0, SPR_BUKKIT!!210 R -1, SPR_BUKKIT!!211 R -1, SPR_BUKKIT!!212 R -1, SPR_BUKKIT!!213 R 0, SPR_BUKKIT!!214 R 6, SPR_BUKKIT!!215 R 5
  SPR_BUKKIT!!216 R 6, SPR_BUKKIT!!217 R 5, SPR_BUKKIT!!218 R 5, SPR_BUKKIT!!219 R 4, SPR_BUKKIT!!220 R 4, SPR_BUKKIT!!221 R 4, SPR_BUKKIT!!222 R 3, SPR_BUKKIT!!223 R 3
  SPR_BUKKIT!!224 R 3, SPR_BUKKIT!!225 R 2, SPR_BUKKIT!!226 R 2, SPR_BUKKIT!!227 R 6, SPR_BUKKIT!!228 R 6, SPR_BUKKIT!!229 R 6, SPR_BUKKIT!!230 R 0, SPR_BUKKIT!!231 R 0
  SPR_BUKKIT!!232 R -1, SPR_BUKKIT!!233 R -1, SPR_BUKKIT!!234 R 0, SPR_BUKKIT!!235 R 6, SPR_BUKKIT!!236 R 5, SPR_BUKKIT!!237 R 6, SPR_BUKKIT!!238 R 5, SPR_BUKKIT!!239 R 5
  SPR_BUKKIT!!240 R 4, SPR_BUKKIT!!241 R 4, SPR_BUKKIT!!242 R 4, SPR_BUKKIT!!243 R 3, SPR_BUKKIT!!244 R 3, SPR_BUKKIT!!245 R 3, SPR_BUKKIT!!246 R 2, SPR_BUKKIT!!247 R 2
  SPR_BUKKIT!!248 R 2, SPR_BUKKIT!!249 R 1, SPR_BUKKIT!!250 R 6, SPR_BUKKIT!!251 R 6, SPR_BUKKIT!!252 R 0, SPR_BUKKIT!!253 R 0, SPR_BUKKIT!!254 R -1, SPR_BUKKIT!!255 R 0
  SPR_BUKKIT!!256 R 6, SPR_BUKKIT!!257 R 5, SPR_BUKKIT!!258 R 6, SPR_BUKKIT!!259 R 5, SPR_BUKKIT!!260 R 5, SPR_BUKKIT!!261 R 4, SPR_BUKKIT!!262 R 4, SPR_BUKKIT!!263 R 4
  SPR_BUKKIT!!264 R 3, SPR_BUKKIT!!265 R 3, SPR_BUKKIT!!266 R 3, SPR_BUKKIT!!267 R 2, SPR_BUKKIT!!268 R 2, SPR_BUKKIT!!269 R 2, SPR_BUKKIT!!270 R 1, SPR_BUKKIT!!271 R 6
  SPR_BUKKIT!!272 R 0, SPR_BUKKIT!!273 R 6, SPR_BUKKIT!!274 R 0, SPR_BUKKIT!!275 R -1, SPR_BUKKIT!!276 R 0, SPR_BUKKIT!!277 R 6, SPR_BUKKIT!!278 R 5, SPR_BUKKIT!!279 R 6
  SPR_BUKKIT!!280 R 5, SPR_BUKKIT!!281 R 5, SPR_BUKKIT!!282 R 4, SPR_BUKKIT!!283 R 4, SPR_BUKKIT!!284 R 4, SPR_BUKKIT!!285 R 3, SPR_BUKKIT!!286 R 3, SPR_BUKKIT!!287 R 3
  SPR_BUKKIT!!288 R 2, SPR_BUKKIT!!289 R 2, SPR_BUKKIT!!290 R 2, SPR_BUKKIT!!291 R 1, SPR_BUKKIT!!292 R 6, SPR_BUKKIT!!293 R 0, SPR_BUKKIT!!294 R 0, SPR_BUKKIT!!295 R 0
  SPR_BUKKIT!!296 R -1, SPR_BUKKIT!!297 R 0, SPR_BUKKIT!!298 R 6, SPR_BUKKIT!!299 R 5, SPR_BUKKIT!!300 R 6, SPR_BUKKIT!!301 R 5, SPR_BUKKIT!!302 R 5, SPR_BUKKIT!!303 R 4
  SPR_BUKKIT!!304 R 4, SPR_BUKKIT!!305 R 4, SPR_BUKKIT!!306 R 3, SPR_BUKKIT!!307 R 3, SPR_BUKKIT!!308 R 3, SPR_BUKKIT!!309 R 2, SPR_BUKKIT!!310 R 2, SPR_BUKKIT!!311 R 2
  SPR_BUKKIT!!312 R 1, SPR_BUKKIT!!313 R 6, SPR_BUKKIT!!314 R 0, SPR_BUKKIT!!315 R -1, SPR_BUKKIT!!316 R -1, SPR_BUKKIT!!317 R -1, SPR_BUKKIT!!318 R 0, SPR_BUKKIT!!319 R 6
  SPR_BUKKIT!!320 R 5, SPR_BUKKIT!!321 R 6, SPR_BUKKIT!!322 R 5, SPR_BUKKIT!!323 R 5, SPR_BUKKIT!!324 R 4, SPR_BUKKIT!!325 R 4, SPR_BUKKIT!!326 R 4, SPR_BUKKIT!!327 R 3
  SPR_BUKKIT!!328 R 3, SPR_BUKKIT!!329 R 3, SPR_BUKKIT!!330 R 2, SPR_BUKKIT!!331 R 2, SPR_BUKKIT!!332 R 2, SPR_BUKKIT!!333 R 1, SPR_BUKKIT!!334 R 6, SPR_BUKKIT!!335 R 0
  SPR_BUKKIT!!336 R -1, SPR_BUKKIT!!337 R -1, SPR_BUKKIT!!338 R -1, SPR_BUKKIT!!339 R 0, SPR_BUKKIT!!340 R 0, SPR_BUKKIT!!341 R 6, SPR_BUKKIT!!342 R 6, SPR_BUKKIT!!343 R 5
  SPR_BUKKIT!!344 R 5, SPR_BUKKIT!!345 R 4, SPR_BUKKIT!!346 R 4, SPR_BUKKIT!!347 R 4, SPR_BUKKIT!!348 R 3, SPR_BUKKIT!!349 R 3, SPR_BUKKIT!!350 R 3, SPR_BUKKIT!!351 R 2
  SPR_BUKKIT!!352 R 2, SPR_BUKKIT!!353 R 2, SPR_BUKKIT!!354 R 6, SPR_BUKKIT!!355 R 0, SPR_BUKKIT!!356 R 0, SPR_BUKKIT!!357 R -1, SPR_BUKKIT!!358 R -1, SPR_BUKKIT!!359 R -1
  SPR_BUKKIT!!360 R -1, SPR_BUKKIT!!361 R 0, SPR_BUKKIT!!362 R 6, SPR_BUKKIT!!363 R 6, SPR_BUKKIT!!364 R 5, SPR_BUKKIT!!365 R 5, SPR_BUKKIT!!366 R 4, SPR_BUKKIT!!367 R 4
  SPR_BUKKIT!!368 R 4, SPR_BUKKIT!!369 R 3, SPR_BUKKIT!!370 R 3, SPR_BUKKIT!!371 R 3, SPR_BUKKIT!!372 R 2, SPR_BUKKIT!!373 R 2, SPR_BUKKIT!!374 R 2, SPR_BUKKIT!!375 R 6
  SPR_BUKKIT!!376 R 0, SPR_BUKKIT!!377 R -1, SPR_BUKKIT!!378 R -1, SPR_BUKKIT!!379 R -1, SPR_BUKKIT!!380 R -1, SPR_BUKKIT!!381 R -1, SPR_BUKKIT!!382 R 0, SPR_BUKKIT!!383 R 6
  SPR_BUKKIT!!384 R 6, SPR_BUKKIT!!385 R 5, SPR_BUKKIT!!386 R 5, SPR_BUKKIT!!387 R 4, SPR_BUKKIT!!388 R 4, SPR_BUKKIT!!389 R 4, SPR_BUKKIT!!390 R 3, SPR_BUKKIT!!391 R 3
  SPR_BUKKIT!!392 R 3, SPR_BUKKIT!!393 R 2, SPR_BUKKIT!!394 R 2, SPR_BUKKIT!!395 R 2, SPR_BUKKIT!!396 R 6, SPR_BUKKIT!!397 R 0, SPR_BUKKIT!!398 R -1, SPR_BUKKIT!!399 R -1
  SPR_BUKKIT!!400 R -1, SPR_BUKKIT!!401 R -1, SPR_BUKKIT!!402 R -1, SPR_BUKKIT!!403 R 0, SPR_BUKKIT!!404 R 6, SPR_BUKKIT!!405 R 6, SPR_BUKKIT!!406 R 5, SPR_BUKKIT!!407 R 5
  SPR_BUKKIT!!408 R 4, SPR_BUKKIT!!409 R 4, SPR_BUKKIT!!410 R 4, SPR_BUKKIT!!411 R 3, SPR_BUKKIT!!412 R 3, SPR_BUKKIT!!413 R 3, SPR_BUKKIT!!414 R 2, SPR_BUKKIT!!415 R 2
  SPR_BUKKIT!!416 R 6, SPR_BUKKIT!!417 R 6, SPR_BUKKIT!!418 R 0, SPR_BUKKIT!!419 R -1, SPR_BUKKIT!!420 R -1, SPR_BUKKIT!!421 R -1, SPR_BUKKIT!!422 R -1, SPR_BUKKIT!!423 R -1
  SPR_BUKKIT!!424 R 0, SPR_BUKKIT!!425 R 0, SPR_BUKKIT!!426 R 0, SPR_BUKKIT!!427 R 6, SPR_BUKKIT!!428 R 6, SPR_BUKKIT!!429 R 6, SPR_BUKKIT!!430 R 6, SPR_BUKKIT!!431 R 6
  SPR_BUKKIT!!432 R 6, SPR_BUKKIT!!433 R 6, SPR_BUKKIT!!434 R 6, SPR_BUKKIT!!435 R 6, SPR_BUKKIT!!436 R 6, SPR_BUKKIT!!437 R 0, SPR_BUKKIT!!438 R 0, SPR_BUKKIT!!439 R 0
  SPR_BUKKIT!!440 R -1, SPR_BUKKIT!!441 R -1, SPR_BUKKIT!!442 R -1, SPR_BUKKIT!!443 R -1, SPR_BUKKIT!!444 R -1, SPR_BUKKIT!!445 R -1, SPR_BUKKIT!!446 R -1, SPR_BUKKIT!!447 R 0
  SPR_BUKKIT!!448 R 0, SPR_BUKKIT!!449 R 0, SPR_BUKKIT!!450 R 0, SPR_BUKKIT!!451 R 0, SPR_BUKKIT!!452 R 0, SPR_BUKKIT!!453 R 0, SPR_BUKKIT!!454 R 0, SPR_BUKKIT!!455 R 0
  SPR_BUKKIT!!456 R 0, SPR_BUKKIT!!457 R 0, SPR_BUKKIT!!458 R 0, SPR_BUKKIT!!459 R -1, SPR_BUKKIT!!460 R -1, SPR_BUKKIT!!461 R -1, SPR_BUKKIT!!462 R -1, SPR_BUKKIT!!463 R -1

  BTW Fish
  SPR_FISH!!0 R 22, SPR_FISH!!1 R 10, SPR_FISH!!2 R -1, SPR_FISH!!3 R -1, SPR_FISH!!4 R -1, SPR_FISH!!5 R -1, SPR_FISH!!6 R -1, SPR_FISH!!7 R -1
  SPR_FISH!!8 R -1, SPR_FISH!!9 R -1, SPR_FISH!!10 R -1, SPR_FISH!!11 R -1, SPR_FISH!!12 R -1, SPR_FISH!!13 R -1, SPR_FISH!!14 R 0, SPR_FISH!!15 R 0
  SPR_FISH!!16 R 0, SPR_FISH!!17 R 0, SPR_FISH!!18 R 0, SPR_FISH!!19 R -1, SPR_FISH!!20 R -1, SPR_FISH!!21 R 0, SPR_FISH!!22 R 0, SPR_FISH!!23 R 0
  SPR_FISH!!24 R -1, SPR_FISH!!25 R -1, SPR_FISH!!26 R -1, SPR_FISH!!27 R -1, SPR_FISH!!28 R 0, SPR_FISH!!29 R 0, SPR_FISH!!30 R 0, SPR_FISH!!31 R 0
  SPR_FISH!!32 R 0, SPR_FISH!!33 R 0, SPR_FISH!!34 R 0, SPR_FISH!!35 R 0, SPR_FISH!!36 R 0, SPR_FISH!!37 R 4, SPR_FISH!!38 R 4, SPR_FISH!!39 R 4
  SPR_FISH!!40 R 0, SPR_FISH!!41 R -1, SPR_FISH!!42 R 0, SPR_FISH!!43 R 0, SPR_FISH!!44 R 4, SPR_FISH!!45 R 0, SPR_FISH!!46 R -1, SPR_FISH!!47 R -1
  SPR_FISH!!48 R 0, SPR_FISH!!49 R 0, SPR_FISH!!50 R 0, SPR_FISH!!51 R 6, SPR_FISH!!52 R 6, SPR_FISH!!53 R 6, SPR_FISH!!54 R 6, SPR_FISH!!55 R 6
  SPR_FISH!!56 R 6, SPR_FISH!!57 R 4, SPR_FISH!!58 R 4, SPR_FISH!!59 R 4, SPR_FISH!!60 R 0, SPR_FISH!!61 R 0, SPR_FISH!!62 R 0, SPR_FISH!!63 R 0
  SPR_FISH!!64 R 0, SPR_FISH!!65 R 4, SPR_FISH!!66 R 4, SPR_FISH!!67 R 0, SPR_FISH!!68 R 0, SPR_FISH!!69 R 0, SPR_FISH!!70 R 0, SPR_FISH!!71 R 6
  SPR_FISH!!72 R 6, SPR_FISH!!73 R 6, SPR_FISH!!74 R 6, SPR_FISH!!75 R 6, SPR_FISH!!76 R 6, SPR_FISH!!77 R 6, SPR_FISH!!78 R 6, SPR_FISH!!79 R 6
  SPR_FISH!!80 R 6, SPR_FISH!!81 R 6, SPR_FISH!!82 R 6, SPR_FISH!!83 R 6, SPR_FISH!!84 R 6, SPR_FISH!!85 R 0, SPR_FISH!!86 R 4, SPR_FISH!!87 R 4
  SPR_FISH!!88 R 0, SPR_FISH!!89 R 0, SPR_FISH!!90 R 0, SPR_FISH!!91 R 6, SPR_FISH!!92 R 6, SPR_FISH!!93 R 4, SPR_FISH!!94 R 6, SPR_FISH!!95 R 3
  SPR_FISH!!96 R 3, SPR_FISH!!97 R 3, SPR_FISH!!98 R 3, SPR_FISH!!99 R 3, SPR_FISH!!100 R 3, SPR_FISH!!101 R 3, SPR_FISH!!102 R 3, SPR_FISH!!103 R 3
  SPR_FISH!!104 R 6, SPR_FISH!!105 R 6, SPR_FISH!!106 R 6, SPR_FISH!!107 R 6, SPR_FISH!!108 R 4, SPR_FISH!!109 R 4, SPR_FISH!!110 R 0, SPR_FISH!!111 R -1
  SPR_FISH!!112 R 0, SPR_FISH!!113 R 6, SPR_FISH!!114 R 6, SPR_FISH!!115 R 6, SPR_FISH!!116 R 6, SPR_FISH!!117 R 6, SPR_FISH!!118 R 6, SPR_FISH!!119 R 6
  SPR_FISH!!120 R 6, SPR_FISH!!121 R 6, SPR_FISH!!122 R 6, SPR_FISH!!123 R 6, SPR_FISH!!124 R 6, SPR_FISH!!125 R 6, SPR_FISH!!126 R 3, SPR_FISH!!127 R 3
  SPR_FISH!!128 R 6, SPR_FISH!!129 R 6, SPR_FISH!!130 R 4, SPR_FISH!!131 R 4, SPR_FISH!!132 R 0, SPR_FISH!!133 R 0, SPR_FISH!!134 R 0, SPR_FISH!!135 R 0
  SPR_FISH!!136 R 0, SPR_FISH!!137 R 6, SPR_FISH!!138 R 6, SPR_FISH!!139 R 6, SPR_FISH!!140 R 6, SPR_FISH!!141 R 6, SPR_FISH!!142 R 6, SPR_FISH!!143 R 6
  SPR_FISH!!144 R 6, SPR_FISH!!145 R 6, SPR_FISH!!146 R 6, SPR_FISH!!147 R 6, SPR_FISH!!148 R 6, SPR_FISH!!149 R 6, SPR_FISH!!150 R 0, SPR_FISH!!151 R 0
  SPR_FISH!!152 R 0, SPR_FISH!!153 R 4, SPR_FISH!!154 R 4, SPR_FISH!!155 R 0, SPR_FISH!!156 R -1, SPR_FISH!!157 R -1, SPR_FISH!!158 R 0, SPR_FISH!!159 R 0
  SPR_FISH!!160 R 0, SPR_FISH!!161 R 0, SPR_FISH!!162 R 6, SPR_FISH!!163 R 6, SPR_FISH!!164 R 6, SPR_FISH!!165 R 6, SPR_FISH!!166 R 6, SPR_FISH!!167 R 6
  SPR_FISH!!168 R 6, SPR_FISH!!169 R 0, SPR_FISH!!170 R 4, SPR_FISH!!171 R 4, SPR_FISH!!172 R 0, SPR_FISH!!173 R 0, SPR_FISH!!174 R 0, SPR_FISH!!175 R 0
  SPR_FISH!!176 R 4, SPR_FISH!!177 R 0, SPR_FISH!!178 R -1, SPR_FISH!!179 R -1, SPR_FISH!!180 R -1, SPR_FISH!!181 R -1, SPR_FISH!!182 R -1, SPR_FISH!!183 R 0
  SPR_FISH!!184 R 0, SPR_FISH!!185 R 0, SPR_FISH!!186 R 0, SPR_FISH!!187 R 0, SPR_FISH!!188 R 0, SPR_FISH!!189 R 0, SPR_FISH!!190 R 0, SPR_FISH!!191 R 0
  SPR_FISH!!192 R 0, SPR_FISH!!193 R 4, SPR_FISH!!194 R 4, SPR_FISH!!195 R 0, SPR_FISH!!196 R -1, SPR_FISH!!197 R 0, SPR_FISH!!198 R 0, SPR_FISH!!199 R 0
  SPR_FISH!!200 R -1, SPR_FISH!!201 R -1, SPR_FISH!!202 R -1, SPR_FISH!!203 R -1, SPR_FISH!!204 R -1, SPR_FISH!!205 R -1, SPR_FISH!!206 R -1, SPR_FISH!!207 R -1
  SPR_FISH!!208 R -1, SPR_FISH!!209 R -1, SPR_FISH!!210 R -1, SPR_FISH!!211 R -1, SPR_FISH!!212 R -1, SPR_FISH!!213 R -1, SPR_FISH!!214 R 0, SPR_FISH!!215 R 0
  SPR_FISH!!216 R 0, SPR_FISH!!217 R 0, SPR_FISH!!218 R -1, SPR_FISH!!219 R -1, SPR_FISH!!220 R -1, SPR_FISH!!221 R -1
  
  BTW Breakpoint logo
  SPR_BREAKPOINT!!0 R 67, SPR_BREAKPOINT!!1 R 24, SPR_BREAKPOINT!!2 R -1, SPR_BREAKPOINT!!3 R -1, SPR_BREAKPOINT!!4 R -1, SPR_BREAKPOINT!!5 R -1, SPR_BREAKPOINT!!6 R -1, SPR_BREAKPOINT!!7 R -1
  SPR_BREAKPOINT!!8 R -1, SPR_BREAKPOINT!!9 R -1, SPR_BREAKPOINT!!10 R -1, SPR_BREAKPOINT!!11 R -1, SPR_BREAKPOINT!!12 R -1, SPR_BREAKPOINT!!13 R -1, SPR_BREAKPOINT!!14 R -1, SPR_BREAKPOINT!!15 R -1
  SPR_BREAKPOINT!!16 R -1, SPR_BREAKPOINT!!17 R 0, SPR_BREAKPOINT!!18 R 6, SPR_BREAKPOINT!!19 R 6, SPR_BREAKPOINT!!20 R 6, SPR_BREAKPOINT!!21 R 6, SPR_BREAKPOINT!!22 R 0, SPR_BREAKPOINT!!23 R -1
  SPR_BREAKPOINT!!24 R -1, SPR_BREAKPOINT!!25 R -1, SPR_BREAKPOINT!!26 R -1, SPR_BREAKPOINT!!27 R -1, SPR_BREAKPOINT!!28 R -1, SPR_BREAKPOINT!!29 R -1, SPR_BREAKPOINT!!30 R -1, SPR_BREAKPOINT!!31 R -1
  SPR_BREAKPOINT!!32 R -1, SPR_BREAKPOINT!!33 R -1, SPR_BREAKPOINT!!34 R -1, SPR_BREAKPOINT!!35 R -1, SPR_BREAKPOINT!!36 R -1, SPR_BREAKPOINT!!37 R -1, SPR_BREAKPOINT!!38 R -1, SPR_BREAKPOINT!!39 R -1
  SPR_BREAKPOINT!!40 R -1, SPR_BREAKPOINT!!41 R -1, SPR_BREAKPOINT!!42 R -1, SPR_BREAKPOINT!!43 R -1, SPR_BREAKPOINT!!44 R -1, SPR_BREAKPOINT!!45 R -1, SPR_BREAKPOINT!!46 R -1, SPR_BREAKPOINT!!47 R -1
  SPR_BREAKPOINT!!48 R -1, SPR_BREAKPOINT!!49 R -1, SPR_BREAKPOINT!!50 R -1, SPR_BREAKPOINT!!51 R -1, SPR_BREAKPOINT!!52 R -1, SPR_BREAKPOINT!!53 R -1, SPR_BREAKPOINT!!54 R -1, SPR_BREAKPOINT!!55 R -1
  SPR_BREAKPOINT!!56 R -1, SPR_BREAKPOINT!!57 R -1, SPR_BREAKPOINT!!58 R -1, SPR_BREAKPOINT!!59 R -1, SPR_BREAKPOINT!!60 R -1, SPR_BREAKPOINT!!61 R -1, SPR_BREAKPOINT!!62 R -1, SPR_BREAKPOINT!!63 R -1
  SPR_BREAKPOINT!!64 R -1, SPR_BREAKPOINT!!65 R -1, SPR_BREAKPOINT!!66 R -1, SPR_BREAKPOINT!!67 R -1, SPR_BREAKPOINT!!68 R -1, SPR_BREAKPOINT!!69 R -1, SPR_BREAKPOINT!!70 R -1, SPR_BREAKPOINT!!71 R -1
  SPR_BREAKPOINT!!72 R -1, SPR_BREAKPOINT!!73 R -1, SPR_BREAKPOINT!!74 R -1, SPR_BREAKPOINT!!75 R -1, SPR_BREAKPOINT!!76 R -1, SPR_BREAKPOINT!!77 R -1, SPR_BREAKPOINT!!78 R -1, SPR_BREAKPOINT!!79 R -1
  SPR_BREAKPOINT!!80 R -1, SPR_BREAKPOINT!!81 R -1, SPR_BREAKPOINT!!82 R -1, SPR_BREAKPOINT!!83 R 0, SPR_BREAKPOINT!!84 R 0, SPR_BREAKPOINT!!85 R 6, SPR_BREAKPOINT!!86 R 6, SPR_BREAKPOINT!!87 R 6
  SPR_BREAKPOINT!!88 R 0, SPR_BREAKPOINT!!89 R 0, SPR_BREAKPOINT!!90 R -1, SPR_BREAKPOINT!!91 R -1, SPR_BREAKPOINT!!92 R -1, SPR_BREAKPOINT!!93 R -1, SPR_BREAKPOINT!!94 R -1, SPR_BREAKPOINT!!95 R -1
  SPR_BREAKPOINT!!96 R -1, SPR_BREAKPOINT!!97 R -1, SPR_BREAKPOINT!!98 R -1, SPR_BREAKPOINT!!99 R -1, SPR_BREAKPOINT!!100 R -1, SPR_BREAKPOINT!!101 R -1, SPR_BREAKPOINT!!102 R -1, SPR_BREAKPOINT!!103 R -1
  SPR_BREAKPOINT!!104 R -1, SPR_BREAKPOINT!!105 R -1, SPR_BREAKPOINT!!106 R -1, SPR_BREAKPOINT!!107 R -1, SPR_BREAKPOINT!!108 R -1, SPR_BREAKPOINT!!109 R -1, SPR_BREAKPOINT!!110 R -1, SPR_BREAKPOINT!!111 R -1
  SPR_BREAKPOINT!!112 R -1, SPR_BREAKPOINT!!113 R -1, SPR_BREAKPOINT!!114 R -1, SPR_BREAKPOINT!!115 R -1, SPR_BREAKPOINT!!116 R -1, SPR_BREAKPOINT!!117 R -1, SPR_BREAKPOINT!!118 R -1, SPR_BREAKPOINT!!119 R -1
  SPR_BREAKPOINT!!120 R -1, SPR_BREAKPOINT!!121 R -1, SPR_BREAKPOINT!!122 R -1, SPR_BREAKPOINT!!123 R -1, SPR_BREAKPOINT!!124 R -1, SPR_BREAKPOINT!!125 R -1, SPR_BREAKPOINT!!126 R -1, SPR_BREAKPOINT!!127 R -1
  SPR_BREAKPOINT!!128 R -1, SPR_BREAKPOINT!!129 R -1, SPR_BREAKPOINT!!130 R -1, SPR_BREAKPOINT!!131 R -1, SPR_BREAKPOINT!!132 R -1, SPR_BREAKPOINT!!133 R -1, SPR_BREAKPOINT!!134 R -1, SPR_BREAKPOINT!!135 R -1
  SPR_BREAKPOINT!!136 R -1, SPR_BREAKPOINT!!137 R -1, SPR_BREAKPOINT!!138 R -1, SPR_BREAKPOINT!!139 R -1, SPR_BREAKPOINT!!140 R -1, SPR_BREAKPOINT!!141 R -1, SPR_BREAKPOINT!!142 R -1, SPR_BREAKPOINT!!143 R -1
  SPR_BREAKPOINT!!144 R -1, SPR_BREAKPOINT!!145 R -1, SPR_BREAKPOINT!!146 R -1, SPR_BREAKPOINT!!147 R -1, SPR_BREAKPOINT!!148 R -1, SPR_BREAKPOINT!!149 R -1, SPR_BREAKPOINT!!150 R 0, SPR_BREAKPOINT!!151 R 6
  SPR_BREAKPOINT!!152 R 6, SPR_BREAKPOINT!!153 R 6, SPR_BREAKPOINT!!154 R 6, SPR_BREAKPOINT!!155 R 0, SPR_BREAKPOINT!!156 R 0, SPR_BREAKPOINT!!157 R 0, SPR_BREAKPOINT!!158 R 0, SPR_BREAKPOINT!!159 R 0
  SPR_BREAKPOINT!!160 R 0, SPR_BREAKPOINT!!161 R 0, SPR_BREAKPOINT!!162 R 0, SPR_BREAKPOINT!!163 R 0, SPR_BREAKPOINT!!164 R -1, SPR_BREAKPOINT!!165 R -1, SPR_BREAKPOINT!!166 R -1, SPR_BREAKPOINT!!167 R -1
  SPR_BREAKPOINT!!168 R -1, SPR_BREAKPOINT!!169 R -1, SPR_BREAKPOINT!!170 R -1, SPR_BREAKPOINT!!171 R -1, SPR_BREAKPOINT!!172 R -1, SPR_BREAKPOINT!!173 R -1, SPR_BREAKPOINT!!174 R -1, SPR_BREAKPOINT!!175 R -1
  SPR_BREAKPOINT!!176 R -1, SPR_BREAKPOINT!!177 R -1, SPR_BREAKPOINT!!178 R -1, SPR_BREAKPOINT!!179 R -1, SPR_BREAKPOINT!!180 R -1, SPR_BREAKPOINT!!181 R -1, SPR_BREAKPOINT!!182 R -1, SPR_BREAKPOINT!!183 R -1
  SPR_BREAKPOINT!!184 R -1, SPR_BREAKPOINT!!185 R -1, SPR_BREAKPOINT!!186 R -1, SPR_BREAKPOINT!!187 R -1, SPR_BREAKPOINT!!188 R -1, SPR_BREAKPOINT!!189 R -1, SPR_BREAKPOINT!!190 R -1, SPR_BREAKPOINT!!191 R -1
  SPR_BREAKPOINT!!192 R -1, SPR_BREAKPOINT!!193 R -1, SPR_BREAKPOINT!!194 R -1, SPR_BREAKPOINT!!195 R -1, SPR_BREAKPOINT!!196 R -1, SPR_BREAKPOINT!!197 R -1, SPR_BREAKPOINT!!198 R -1, SPR_BREAKPOINT!!199 R -1
  SPR_BREAKPOINT!!200 R -1, SPR_BREAKPOINT!!201 R -1, SPR_BREAKPOINT!!202 R -1, SPR_BREAKPOINT!!203 R -1, SPR_BREAKPOINT!!204 R -1, SPR_BREAKPOINT!!205 R -1, SPR_BREAKPOINT!!206 R -1, SPR_BREAKPOINT!!207 R -1
  SPR_BREAKPOINT!!208 R -1, SPR_BREAKPOINT!!209 R -1, SPR_BREAKPOINT!!210 R -1, SPR_BREAKPOINT!!211 R -1, SPR_BREAKPOINT!!212 R -1, SPR_BREAKPOINT!!213 R -1, SPR_BREAKPOINT!!214 R -1, SPR_BREAKPOINT!!215 R -1
  SPR_BREAKPOINT!!216 R -1, SPR_BREAKPOINT!!217 R 0, SPR_BREAKPOINT!!218 R 6, SPR_BREAKPOINT!!219 R 6, SPR_BREAKPOINT!!220 R 6, SPR_BREAKPOINT!!221 R 6, SPR_BREAKPOINT!!222 R 6, SPR_BREAKPOINT!!223 R 6
  SPR_BREAKPOINT!!224 R 6, SPR_BREAKPOINT!!225 R 6, SPR_BREAKPOINT!!226 R 6, SPR_BREAKPOINT!!227 R 0, SPR_BREAKPOINT!!228 R 6, SPR_BREAKPOINT!!229 R 6, SPR_BREAKPOINT!!230 R 0, SPR_BREAKPOINT!!231 R 0
  SPR_BREAKPOINT!!232 R 0, SPR_BREAKPOINT!!233 R 0, SPR_BREAKPOINT!!234 R 0, SPR_BREAKPOINT!!235 R 0, SPR_BREAKPOINT!!236 R 0, SPR_BREAKPOINT!!237 R 0, SPR_BREAKPOINT!!238 R 0, SPR_BREAKPOINT!!239 R 0
  SPR_BREAKPOINT!!240 R 0, SPR_BREAKPOINT!!241 R -1, SPR_BREAKPOINT!!242 R -1, SPR_BREAKPOINT!!243 R -1, SPR_BREAKPOINT!!244 R -1, SPR_BREAKPOINT!!245 R -1, SPR_BREAKPOINT!!246 R -1, SPR_BREAKPOINT!!247 R -1
  SPR_BREAKPOINT!!248 R -1, SPR_BREAKPOINT!!249 R -1, SPR_BREAKPOINT!!250 R -1, SPR_BREAKPOINT!!251 R -1, SPR_BREAKPOINT!!252 R 0, SPR_BREAKPOINT!!253 R 0, SPR_BREAKPOINT!!254 R 0, SPR_BREAKPOINT!!255 R 0
  SPR_BREAKPOINT!!256 R 0, SPR_BREAKPOINT!!257 R -1, SPR_BREAKPOINT!!258 R -1, SPR_BREAKPOINT!!259 R 0, SPR_BREAKPOINT!!260 R 0, SPR_BREAKPOINT!!261 R 0, SPR_BREAKPOINT!!262 R 0, SPR_BREAKPOINT!!263 R 0
  SPR_BREAKPOINT!!264 R 0, SPR_BREAKPOINT!!265 R 0, SPR_BREAKPOINT!!266 R 0, SPR_BREAKPOINT!!267 R 0, SPR_BREAKPOINT!!268 R 0, SPR_BREAKPOINT!!269 R 0, SPR_BREAKPOINT!!270 R -1, SPR_BREAKPOINT!!271 R -1
  SPR_BREAKPOINT!!272 R -1, SPR_BREAKPOINT!!273 R -1, SPR_BREAKPOINT!!274 R -1, SPR_BREAKPOINT!!275 R -1, SPR_BREAKPOINT!!276 R -1, SPR_BREAKPOINT!!277 R -1, SPR_BREAKPOINT!!278 R -1, SPR_BREAKPOINT!!279 R -1
  SPR_BREAKPOINT!!280 R -1, SPR_BREAKPOINT!!281 R -1, SPR_BREAKPOINT!!282 R -1, SPR_BREAKPOINT!!283 R 0, SPR_BREAKPOINT!!284 R 0, SPR_BREAKPOINT!!285 R 5, SPR_BREAKPOINT!!286 R 6, SPR_BREAKPOINT!!287 R 6
  SPR_BREAKPOINT!!288 R 0, SPR_BREAKPOINT!!289 R 0, SPR_BREAKPOINT!!290 R 6, SPR_BREAKPOINT!!291 R 5, SPR_BREAKPOINT!!292 R 5, SPR_BREAKPOINT!!293 R 5, SPR_BREAKPOINT!!294 R 0, SPR_BREAKPOINT!!295 R 6
  SPR_BREAKPOINT!!296 R 6, SPR_BREAKPOINT!!297 R 6, SPR_BREAKPOINT!!298 R 6, SPR_BREAKPOINT!!299 R 6, SPR_BREAKPOINT!!300 R 6, SPR_BREAKPOINT!!301 R 6, SPR_BREAKPOINT!!302 R 6, SPR_BREAKPOINT!!303 R 0
  SPR_BREAKPOINT!!304 R 0, SPR_BREAKPOINT!!305 R 6, SPR_BREAKPOINT!!306 R 6, SPR_BREAKPOINT!!307 R 0, SPR_BREAKPOINT!!308 R 0, SPR_BREAKPOINT!!309 R 0, SPR_BREAKPOINT!!310 R 0, SPR_BREAKPOINT!!311 R 0
  SPR_BREAKPOINT!!312 R 0, SPR_BREAKPOINT!!313 R 0, SPR_BREAKPOINT!!314 R 0, SPR_BREAKPOINT!!315 R 0, SPR_BREAKPOINT!!316 R 0, SPR_BREAKPOINT!!317 R 0, SPR_BREAKPOINT!!318 R 0, SPR_BREAKPOINT!!319 R 0
  SPR_BREAKPOINT!!320 R 6, SPR_BREAKPOINT!!321 R 5, SPR_BREAKPOINT!!322 R 6, SPR_BREAKPOINT!!323 R 0, SPR_BREAKPOINT!!324 R 0, SPR_BREAKPOINT!!325 R 0, SPR_BREAKPOINT!!326 R 0, SPR_BREAKPOINT!!327 R 6
  SPR_BREAKPOINT!!328 R 5, SPR_BREAKPOINT!!329 R 6, SPR_BREAKPOINT!!330 R 0, SPR_BREAKPOINT!!331 R 6, SPR_BREAKPOINT!!332 R 6, SPR_BREAKPOINT!!333 R 6, SPR_BREAKPOINT!!334 R 6, SPR_BREAKPOINT!!335 R 6
  SPR_BREAKPOINT!!336 R 0, SPR_BREAKPOINT!!337 R -1, SPR_BREAKPOINT!!338 R -1, SPR_BREAKPOINT!!339 R -1, SPR_BREAKPOINT!!340 R -1, SPR_BREAKPOINT!!341 R -1, SPR_BREAKPOINT!!342 R -1, SPR_BREAKPOINT!!343 R -1
  SPR_BREAKPOINT!!344 R -1, SPR_BREAKPOINT!!345 R -1, SPR_BREAKPOINT!!346 R 0, SPR_BREAKPOINT!!347 R 0, SPR_BREAKPOINT!!348 R 0, SPR_BREAKPOINT!!349 R -1, SPR_BREAKPOINT!!350 R 0, SPR_BREAKPOINT!!351 R 6
  SPR_BREAKPOINT!!352 R 5, SPR_BREAKPOINT!!353 R 5, SPR_BREAKPOINT!!354 R 6, SPR_BREAKPOINT!!355 R 0, SPR_BREAKPOINT!!356 R 0, SPR_BREAKPOINT!!357 R 5, SPR_BREAKPOINT!!358 R 5, SPR_BREAKPOINT!!359 R 6
  SPR_BREAKPOINT!!360 R 6, SPR_BREAKPOINT!!361 R 0, SPR_BREAKPOINT!!362 R 6, SPR_BREAKPOINT!!363 R 6, SPR_BREAKPOINT!!364 R 6, SPR_BREAKPOINT!!365 R 0, SPR_BREAKPOINT!!366 R 0, SPR_BREAKPOINT!!367 R 6
  SPR_BREAKPOINT!!368 R 6, SPR_BREAKPOINT!!369 R 6, SPR_BREAKPOINT!!370 R 0, SPR_BREAKPOINT!!371 R 6, SPR_BREAKPOINT!!372 R 6, SPR_BREAKPOINT!!373 R 6, SPR_BREAKPOINT!!374 R 6, SPR_BREAKPOINT!!375 R 6
  SPR_BREAKPOINT!!376 R 6, SPR_BREAKPOINT!!377 R 6, SPR_BREAKPOINT!!378 R 0, SPR_BREAKPOINT!!379 R 0, SPR_BREAKPOINT!!380 R 6, SPR_BREAKPOINT!!381 R 6, SPR_BREAKPOINT!!382 R 6, SPR_BREAKPOINT!!383 R 6
  SPR_BREAKPOINT!!384 R 6, SPR_BREAKPOINT!!385 R 0, SPR_BREAKPOINT!!386 R 0, SPR_BREAKPOINT!!387 R 6, SPR_BREAKPOINT!!388 R 5, SPR_BREAKPOINT!!389 R 6, SPR_BREAKPOINT!!390 R 0, SPR_BREAKPOINT!!391 R 6
  SPR_BREAKPOINT!!392 R 6, SPR_BREAKPOINT!!393 R 0, SPR_BREAKPOINT!!394 R 0, SPR_BREAKPOINT!!395 R 6, SPR_BREAKPOINT!!396 R 5, SPR_BREAKPOINT!!397 R 0, SPR_BREAKPOINT!!398 R 6, SPR_BREAKPOINT!!399 R 5
  SPR_BREAKPOINT!!400 R 0, SPR_BREAKPOINT!!401 R 6, SPR_BREAKPOINT!!402 R 6, SPR_BREAKPOINT!!403 R 0, SPR_BREAKPOINT!!404 R -1, SPR_BREAKPOINT!!405 R -1, SPR_BREAKPOINT!!406 R -1, SPR_BREAKPOINT!!407 R -1
  SPR_BREAKPOINT!!408 R -1, SPR_BREAKPOINT!!409 R -1, SPR_BREAKPOINT!!410 R -1, SPR_BREAKPOINT!!411 R -1, SPR_BREAKPOINT!!412 R 0, SPR_BREAKPOINT!!413 R 0, SPR_BREAKPOINT!!414 R 6, SPR_BREAKPOINT!!415 R 0
  SPR_BREAKPOINT!!416 R -1, SPR_BREAKPOINT!!417 R 0, SPR_BREAKPOINT!!418 R 6, SPR_BREAKPOINT!!419 R 6, SPR_BREAKPOINT!!420 R 6, SPR_BREAKPOINT!!421 R 6, SPR_BREAKPOINT!!422 R 0, SPR_BREAKPOINT!!423 R 0
  SPR_BREAKPOINT!!424 R 6, SPR_BREAKPOINT!!425 R 6, SPR_BREAKPOINT!!426 R 6, SPR_BREAKPOINT!!427 R 0, SPR_BREAKPOINT!!428 R 0, SPR_BREAKPOINT!!429 R 6, SPR_BREAKPOINT!!430 R 5, SPR_BREAKPOINT!!431 R 5
  SPR_BREAKPOINT!!432 R 0, SPR_BREAKPOINT!!433 R 0, SPR_BREAKPOINT!!434 R 0, SPR_BREAKPOINT!!435 R 0, SPR_BREAKPOINT!!436 R 0, SPR_BREAKPOINT!!437 R 0, SPR_BREAKPOINT!!438 R 6, SPR_BREAKPOINT!!439 R 5
  SPR_BREAKPOINT!!440 R 6, SPR_BREAKPOINT!!441 R 0, SPR_BREAKPOINT!!442 R 6, SPR_BREAKPOINT!!443 R 5, SPR_BREAKPOINT!!444 R 5, SPR_BREAKPOINT!!445 R 0, SPR_BREAKPOINT!!446 R 0, SPR_BREAKPOINT!!447 R 0
  SPR_BREAKPOINT!!448 R 0, SPR_BREAKPOINT!!449 R 0, SPR_BREAKPOINT!!450 R 0, SPR_BREAKPOINT!!451 R 6, SPR_BREAKPOINT!!452 R 6, SPR_BREAKPOINT!!453 R 0, SPR_BREAKPOINT!!454 R 6, SPR_BREAKPOINT!!455 R 6
  SPR_BREAKPOINT!!456 R 6, SPR_BREAKPOINT!!457 R 6, SPR_BREAKPOINT!!458 R 6, SPR_BREAKPOINT!!459 R 0, SPR_BREAKPOINT!!460 R 0, SPR_BREAKPOINT!!461 R 0, SPR_BREAKPOINT!!462 R 6, SPR_BREAKPOINT!!463 R 6
  SPR_BREAKPOINT!!464 R 0, SPR_BREAKPOINT!!465 R 5, SPR_BREAKPOINT!!466 R 6, SPR_BREAKPOINT!!467 R 0, SPR_BREAKPOINT!!468 R 6, SPR_BREAKPOINT!!469 R 6, SPR_BREAKPOINT!!470 R 0, SPR_BREAKPOINT!!471 R -1
  SPR_BREAKPOINT!!472 R -1, SPR_BREAKPOINT!!473 R -1, SPR_BREAKPOINT!!474 R -1, SPR_BREAKPOINT!!475 R -1, SPR_BREAKPOINT!!476 R -1, SPR_BREAKPOINT!!477 R -1, SPR_BREAKPOINT!!478 R 0, SPR_BREAKPOINT!!479 R 0
  SPR_BREAKPOINT!!480 R 6, SPR_BREAKPOINT!!481 R 6, SPR_BREAKPOINT!!482 R 0, SPR_BREAKPOINT!!483 R -1, SPR_BREAKPOINT!!484 R 0, SPR_BREAKPOINT!!485 R 6, SPR_BREAKPOINT!!486 R 6, SPR_BREAKPOINT!!487 R 6
  SPR_BREAKPOINT!!488 R 6, SPR_BREAKPOINT!!489 R 6, SPR_BREAKPOINT!!490 R 6, SPR_BREAKPOINT!!491 R 6, SPR_BREAKPOINT!!492 R 6, SPR_BREAKPOINT!!493 R 6, SPR_BREAKPOINT!!494 R 0, SPR_BREAKPOINT!!495 R 6
  SPR_BREAKPOINT!!496 R 6, SPR_BREAKPOINT!!497 R 5, SPR_BREAKPOINT!!498 R 6, SPR_BREAKPOINT!!499 R 0, SPR_BREAKPOINT!!500 R -1, SPR_BREAKPOINT!!501 R -1, SPR_BREAKPOINT!!502 R -1, SPR_BREAKPOINT!!503 R 0
  SPR_BREAKPOINT!!504 R 6, SPR_BREAKPOINT!!505 R 6, SPR_BREAKPOINT!!506 R 5, SPR_BREAKPOINT!!507 R 6, SPR_BREAKPOINT!!508 R 6, SPR_BREAKPOINT!!509 R 6, SPR_BREAKPOINT!!510 R 6, SPR_BREAKPOINT!!511 R 6
  SPR_BREAKPOINT!!512 R 0, SPR_BREAKPOINT!!513 R 6, SPR_BREAKPOINT!!514 R 6, SPR_BREAKPOINT!!515 R 6, SPR_BREAKPOINT!!516 R 6, SPR_BREAKPOINT!!517 R 6, SPR_BREAKPOINT!!518 R 6, SPR_BREAKPOINT!!519 R 6
  SPR_BREAKPOINT!!520 R 0, SPR_BREAKPOINT!!521 R 6, SPR_BREAKPOINT!!522 R 6, SPR_BREAKPOINT!!523 R 0, SPR_BREAKPOINT!!524 R 6, SPR_BREAKPOINT!!525 R 6, SPR_BREAKPOINT!!526 R 0, SPR_BREAKPOINT!!527 R -1
  SPR_BREAKPOINT!!528 R 0, SPR_BREAKPOINT!!529 R 6, SPR_BREAKPOINT!!530 R 6, SPR_BREAKPOINT!!531 R 0, SPR_BREAKPOINT!!532 R 6, SPR_BREAKPOINT!!533 R 6, SPR_BREAKPOINT!!534 R 6, SPR_BREAKPOINT!!535 R 6
  SPR_BREAKPOINT!!536 R 6, SPR_BREAKPOINT!!537 R 0, SPR_BREAKPOINT!!538 R -1, SPR_BREAKPOINT!!539 R -1, SPR_BREAKPOINT!!540 R -1, SPR_BREAKPOINT!!541 R -1, SPR_BREAKPOINT!!542 R -1, SPR_BREAKPOINT!!543 R -1
  SPR_BREAKPOINT!!544 R -1, SPR_BREAKPOINT!!545 R 0, SPR_BREAKPOINT!!546 R 6, SPR_BREAKPOINT!!547 R 6, SPR_BREAKPOINT!!548 R 6, SPR_BREAKPOINT!!549 R 0, SPR_BREAKPOINT!!550 R -1, SPR_BREAKPOINT!!551 R 0
  SPR_BREAKPOINT!!552 R 0, SPR_BREAKPOINT!!553 R 0, SPR_BREAKPOINT!!554 R 6, SPR_BREAKPOINT!!555 R 6, SPR_BREAKPOINT!!556 R 6, SPR_BREAKPOINT!!557 R 6, SPR_BREAKPOINT!!558 R 6, SPR_BREAKPOINT!!559 R 6
  SPR_BREAKPOINT!!560 R 0, SPR_BREAKPOINT!!561 R 0, SPR_BREAKPOINT!!562 R 6, SPR_BREAKPOINT!!563 R 6, SPR_BREAKPOINT!!564 R 6, SPR_BREAKPOINT!!565 R 0, SPR_BREAKPOINT!!566 R 0, SPR_BREAKPOINT!!567 R -1
  SPR_BREAKPOINT!!568 R -1, SPR_BREAKPOINT!!569 R -1, SPR_BREAKPOINT!!570 R 0, SPR_BREAKPOINT!!571 R 6, SPR_BREAKPOINT!!572 R 6, SPR_BREAKPOINT!!573 R 6, SPR_BREAKPOINT!!574 R 0, SPR_BREAKPOINT!!575 R 0
  SPR_BREAKPOINT!!576 R 0, SPR_BREAKPOINT!!577 R 0, SPR_BREAKPOINT!!578 R 0, SPR_BREAKPOINT!!579 R 0, SPR_BREAKPOINT!!580 R 6, SPR_BREAKPOINT!!581 R 6, SPR_BREAKPOINT!!582 R 0, SPR_BREAKPOINT!!583 R 0
  SPR_BREAKPOINT!!584 R 6, SPR_BREAKPOINT!!585 R 5, SPR_BREAKPOINT!!586 R 5, SPR_BREAKPOINT!!587 R 0, SPR_BREAKPOINT!!588 R 6, SPR_BREAKPOINT!!589 R 6, SPR_BREAKPOINT!!590 R 0, SPR_BREAKPOINT!!591 R 6
  SPR_BREAKPOINT!!592 R 6, SPR_BREAKPOINT!!593 R 0, SPR_BREAKPOINT!!594 R -1, SPR_BREAKPOINT!!595 R 0, SPR_BREAKPOINT!!596 R 0, SPR_BREAKPOINT!!597 R 0, SPR_BREAKPOINT!!598 R 0, SPR_BREAKPOINT!!599 R 0
  SPR_BREAKPOINT!!600 R 0, SPR_BREAKPOINT!!601 R 0, SPR_BREAKPOINT!!602 R 0, SPR_BREAKPOINT!!603 R 0, SPR_BREAKPOINT!!604 R 0, SPR_BREAKPOINT!!605 R 0, SPR_BREAKPOINT!!606 R 0, SPR_BREAKPOINT!!607 R 0
  SPR_BREAKPOINT!!608 R 0, SPR_BREAKPOINT!!609 R 0, SPR_BREAKPOINT!!610 R 0, SPR_BREAKPOINT!!611 R 0, SPR_BREAKPOINT!!612 R 0, SPR_BREAKPOINT!!613 R 6, SPR_BREAKPOINT!!614 R 6, SPR_BREAKPOINT!!615 R 6
  SPR_BREAKPOINT!!616 R 0, SPR_BREAKPOINT!!617 R 0, SPR_BREAKPOINT!!618 R -1, SPR_BREAKPOINT!!619 R -1, SPR_BREAKPOINT!!620 R 0, SPR_BREAKPOINT!!621 R 0, SPR_BREAKPOINT!!622 R 0, SPR_BREAKPOINT!!623 R 0
  SPR_BREAKPOINT!!624 R 0, SPR_BREAKPOINT!!625 R 0, SPR_BREAKPOINT!!626 R 0, SPR_BREAKPOINT!!627 R 0, SPR_BREAKPOINT!!628 R 0, SPR_BREAKPOINT!!629 R 0, SPR_BREAKPOINT!!630 R 0, SPR_BREAKPOINT!!631 R 0
  SPR_BREAKPOINT!!632 R 0, SPR_BREAKPOINT!!633 R -1, SPR_BREAKPOINT!!634 R -1, SPR_BREAKPOINT!!635 R -1, SPR_BREAKPOINT!!636 R -1, SPR_BREAKPOINT!!637 R 0, SPR_BREAKPOINT!!638 R 0, SPR_BREAKPOINT!!639 R 6
  SPR_BREAKPOINT!!640 R 6, SPR_BREAKPOINT!!641 R 6, SPR_BREAKPOINT!!642 R 6, SPR_BREAKPOINT!!643 R 6, SPR_BREAKPOINT!!644 R 6, SPR_BREAKPOINT!!645 R 0, SPR_BREAKPOINT!!646 R 0, SPR_BREAKPOINT!!647 R 5
  SPR_BREAKPOINT!!648 R 6, SPR_BREAKPOINT!!649 R 6, SPR_BREAKPOINT!!650 R 6, SPR_BREAKPOINT!!651 R 6, SPR_BREAKPOINT!!652 R 6, SPR_BREAKPOINT!!653 R 0, SPR_BREAKPOINT!!654 R 6, SPR_BREAKPOINT!!655 R 6
  SPR_BREAKPOINT!!656 R 6, SPR_BREAKPOINT!!657 R 0, SPR_BREAKPOINT!!658 R 6, SPR_BREAKPOINT!!659 R 6, SPR_BREAKPOINT!!660 R 0, SPR_BREAKPOINT!!661 R 0, SPR_BREAKPOINT!!662 R 0, SPR_BREAKPOINT!!663 R 0
  SPR_BREAKPOINT!!664 R 0, SPR_BREAKPOINT!!665 R 0, SPR_BREAKPOINT!!666 R 0, SPR_BREAKPOINT!!667 R -1, SPR_BREAKPOINT!!668 R -1, SPR_BREAKPOINT!!669 R -1, SPR_BREAKPOINT!!670 R -1, SPR_BREAKPOINT!!671 R -1
  SPR_BREAKPOINT!!672 R 0, SPR_BREAKPOINT!!673 R 6, SPR_BREAKPOINT!!674 R 6, SPR_BREAKPOINT!!675 R 6, SPR_BREAKPOINT!!676 R 6, SPR_BREAKPOINT!!677 R 6, SPR_BREAKPOINT!!678 R 6, SPR_BREAKPOINT!!679 R 6
  SPR_BREAKPOINT!!680 R 6, SPR_BREAKPOINT!!681 R 0, SPR_BREAKPOINT!!682 R 6, SPR_BREAKPOINT!!683 R 6, SPR_BREAKPOINT!!684 R 0, SPR_BREAKPOINT!!685 R 0, SPR_BREAKPOINT!!686 R 0, SPR_BREAKPOINT!!687 R 0
  SPR_BREAKPOINT!!688 R 0, SPR_BREAKPOINT!!689 R 0, SPR_BREAKPOINT!!690 R 0, SPR_BREAKPOINT!!691 R 0, SPR_BREAKPOINT!!692 R 0, SPR_BREAKPOINT!!693 R 0, SPR_BREAKPOINT!!694 R 0, SPR_BREAKPOINT!!695 R 0
  SPR_BREAKPOINT!!696 R 0, SPR_BREAKPOINT!!697 R 0, SPR_BREAKPOINT!!698 R -1, SPR_BREAKPOINT!!699 R 0, SPR_BREAKPOINT!!700 R 0, SPR_BREAKPOINT!!701 R 0, SPR_BREAKPOINT!!702 R 0, SPR_BREAKPOINT!!703 R 0
  SPR_BREAKPOINT!!704 R 0, SPR_BREAKPOINT!!705 R 0, SPR_BREAKPOINT!!706 R 0, SPR_BREAKPOINT!!707 R 0, SPR_BREAKPOINT!!708 R 0, SPR_BREAKPOINT!!709 R 0, SPR_BREAKPOINT!!710 R 0, SPR_BREAKPOINT!!711 R 0
  SPR_BREAKPOINT!!712 R 0, SPR_BREAKPOINT!!713 R 0, SPR_BREAKPOINT!!714 R 0, SPR_BREAKPOINT!!715 R 0, SPR_BREAKPOINT!!716 R 0, SPR_BREAKPOINT!!717 R 0, SPR_BREAKPOINT!!718 R 0, SPR_BREAKPOINT!!719 R 6
  SPR_BREAKPOINT!!720 R 0, SPR_BREAKPOINT!!721 R 6, SPR_BREAKPOINT!!722 R 6, SPR_BREAKPOINT!!723 R 6, SPR_BREAKPOINT!!724 R 0, SPR_BREAKPOINT!!725 R 6, SPR_BREAKPOINT!!726 R 6, SPR_BREAKPOINT!!727 R 0
  SPR_BREAKPOINT!!728 R 0, SPR_BREAKPOINT!!729 R 6, SPR_BREAKPOINT!!730 R 6, SPR_BREAKPOINT!!731 R 6, SPR_BREAKPOINT!!732 R 6, SPR_BREAKPOINT!!733 R 0, SPR_BREAKPOINT!!734 R -1, SPR_BREAKPOINT!!735 R -1
  SPR_BREAKPOINT!!736 R -1, SPR_BREAKPOINT!!737 R -1, SPR_BREAKPOINT!!738 R -1, SPR_BREAKPOINT!!739 R 0, SPR_BREAKPOINT!!740 R 0, SPR_BREAKPOINT!!741 R 6, SPR_BREAKPOINT!!742 R 6, SPR_BREAKPOINT!!743 R 6
  SPR_BREAKPOINT!!744 R 6, SPR_BREAKPOINT!!745 R 6, SPR_BREAKPOINT!!746 R 6, SPR_BREAKPOINT!!747 R 0, SPR_BREAKPOINT!!748 R 0, SPR_BREAKPOINT!!749 R 6, SPR_BREAKPOINT!!750 R 6, SPR_BREAKPOINT!!751 R 6
  SPR_BREAKPOINT!!752 R 6, SPR_BREAKPOINT!!753 R 6, SPR_BREAKPOINT!!754 R 6, SPR_BREAKPOINT!!755 R 6, SPR_BREAKPOINT!!756 R 6, SPR_BREAKPOINT!!757 R 6, SPR_BREAKPOINT!!758 R 6, SPR_BREAKPOINT!!759 R 6
  SPR_BREAKPOINT!!760 R 5, SPR_BREAKPOINT!!761 R 6, SPR_BREAKPOINT!!762 R 6, SPR_BREAKPOINT!!763 R 6, SPR_BREAKPOINT!!764 R 0, SPR_BREAKPOINT!!765 R 0, SPR_BREAKPOINT!!766 R 0, SPR_BREAKPOINT!!767 R 6
  SPR_BREAKPOINT!!768 R 6, SPR_BREAKPOINT!!769 R 6, SPR_BREAKPOINT!!770 R 6, SPR_BREAKPOINT!!771 R 6, SPR_BREAKPOINT!!772 R 0, SPR_BREAKPOINT!!773 R 0, SPR_BREAKPOINT!!774 R 0, SPR_BREAKPOINT!!775 R 0
  SPR_BREAKPOINT!!776 R 0, SPR_BREAKPOINT!!777 R 0, SPR_BREAKPOINT!!778 R 0, SPR_BREAKPOINT!!779 R 0, SPR_BREAKPOINT!!780 R 0, SPR_BREAKPOINT!!781 R 0, SPR_BREAKPOINT!!782 R 0, SPR_BREAKPOINT!!783 R 0
  SPR_BREAKPOINT!!784 R 0, SPR_BREAKPOINT!!785 R 0, SPR_BREAKPOINT!!786 R 0, SPR_BREAKPOINT!!787 R 0, SPR_BREAKPOINT!!788 R 0, SPR_BREAKPOINT!!789 R 0, SPR_BREAKPOINT!!790 R 0, SPR_BREAKPOINT!!791 R 0
  SPR_BREAKPOINT!!792 R 0, SPR_BREAKPOINT!!793 R 0, SPR_BREAKPOINT!!794 R 0, SPR_BREAKPOINT!!795 R 0, SPR_BREAKPOINT!!796 R 5, SPR_BREAKPOINT!!797 R 5, SPR_BREAKPOINT!!798 R 6, SPR_BREAKPOINT!!799 R 0
  SPR_BREAKPOINT!!800 R 0, SPR_BREAKPOINT!!801 R -1, SPR_BREAKPOINT!!802 R -1, SPR_BREAKPOINT!!803 R -1, SPR_BREAKPOINT!!804 R -1, SPR_BREAKPOINT!!805 R -1, SPR_BREAKPOINT!!806 R -1, SPR_BREAKPOINT!!807 R 0
  SPR_BREAKPOINT!!808 R 0, SPR_BREAKPOINT!!809 R 6, SPR_BREAKPOINT!!810 R 6, SPR_BREAKPOINT!!811 R 6, SPR_BREAKPOINT!!812 R 0, SPR_BREAKPOINT!!813 R 0, SPR_BREAKPOINT!!814 R 0, SPR_BREAKPOINT!!815 R 0
  SPR_BREAKPOINT!!816 R 0, SPR_BREAKPOINT!!817 R 0, SPR_BREAKPOINT!!818 R 6, SPR_BREAKPOINT!!819 R 6, SPR_BREAKPOINT!!820 R 6, SPR_BREAKPOINT!!821 R 6, SPR_BREAKPOINT!!822 R 6, SPR_BREAKPOINT!!823 R 6
  SPR_BREAKPOINT!!824 R 6, SPR_BREAKPOINT!!825 R 6, SPR_BREAKPOINT!!826 R 6, SPR_BREAKPOINT!!827 R 5, SPR_BREAKPOINT!!828 R 6, SPR_BREAKPOINT!!829 R 6, SPR_BREAKPOINT!!830 R 6, SPR_BREAKPOINT!!831 R 0
  SPR_BREAKPOINT!!832 R 0, SPR_BREAKPOINT!!833 R 6, SPR_BREAKPOINT!!834 R 6, SPR_BREAKPOINT!!835 R 6, SPR_BREAKPOINT!!836 R 6, SPR_BREAKPOINT!!837 R 6, SPR_BREAKPOINT!!838 R 6, SPR_BREAKPOINT!!839 R 6
  SPR_BREAKPOINT!!840 R 6, SPR_BREAKPOINT!!841 R 6, SPR_BREAKPOINT!!842 R 6, SPR_BREAKPOINT!!843 R 6, SPR_BREAKPOINT!!844 R 0, SPR_BREAKPOINT!!845 R 0, SPR_BREAKPOINT!!846 R 6, SPR_BREAKPOINT!!847 R 6
  SPR_BREAKPOINT!!848 R 6, SPR_BREAKPOINT!!849 R 6, SPR_BREAKPOINT!!850 R 0, SPR_BREAKPOINT!!851 R 0, SPR_BREAKPOINT!!852 R 6, SPR_BREAKPOINT!!853 R 6, SPR_BREAKPOINT!!854 R 6, SPR_BREAKPOINT!!855 R 6
  SPR_BREAKPOINT!!856 R 6, SPR_BREAKPOINT!!857 R 6, SPR_BREAKPOINT!!858 R 0, SPR_BREAKPOINT!!859 R 0, SPR_BREAKPOINT!!860 R 0, SPR_BREAKPOINT!!861 R 0, SPR_BREAKPOINT!!862 R 0, SPR_BREAKPOINT!!863 R 6
  SPR_BREAKPOINT!!864 R 5, SPR_BREAKPOINT!!865 R 6, SPR_BREAKPOINT!!866 R 0, SPR_BREAKPOINT!!867 R 0, SPR_BREAKPOINT!!868 R 0, SPR_BREAKPOINT!!869 R 0, SPR_BREAKPOINT!!870 R -1, SPR_BREAKPOINT!!871 R -1
  SPR_BREAKPOINT!!872 R -1, SPR_BREAKPOINT!!873 R -1, SPR_BREAKPOINT!!874 R -1, SPR_BREAKPOINT!!875 R 0, SPR_BREAKPOINT!!876 R 0, SPR_BREAKPOINT!!877 R 6, SPR_BREAKPOINT!!878 R 6, SPR_BREAKPOINT!!879 R 6
  SPR_BREAKPOINT!!880 R 0, SPR_BREAKPOINT!!881 R -1, SPR_BREAKPOINT!!882 R 0, SPR_BREAKPOINT!!883 R 6, SPR_BREAKPOINT!!884 R 6, SPR_BREAKPOINT!!885 R 6, SPR_BREAKPOINT!!886 R 6, SPR_BREAKPOINT!!887 R 6
  SPR_BREAKPOINT!!888 R 6, SPR_BREAKPOINT!!889 R 6, SPR_BREAKPOINT!!890 R 0, SPR_BREAKPOINT!!891 R 0, SPR_BREAKPOINT!!892 R 0, SPR_BREAKPOINT!!893 R 6, SPR_BREAKPOINT!!894 R 5, SPR_BREAKPOINT!!895 R 6
  SPR_BREAKPOINT!!896 R 6, SPR_BREAKPOINT!!897 R 6, SPR_BREAKPOINT!!898 R 0, SPR_BREAKPOINT!!899 R 6, SPR_BREAKPOINT!!900 R 6, SPR_BREAKPOINT!!901 R 6, SPR_BREAKPOINT!!902 R 6, SPR_BREAKPOINT!!903 R 6
  SPR_BREAKPOINT!!904 R 0, SPR_BREAKPOINT!!905 R 0, SPR_BREAKPOINT!!906 R 0, SPR_BREAKPOINT!!907 R 6, SPR_BREAKPOINT!!908 R 6, SPR_BREAKPOINT!!909 R 6, SPR_BREAKPOINT!!910 R 6, SPR_BREAKPOINT!!911 R 0
  SPR_BREAKPOINT!!912 R 0, SPR_BREAKPOINT!!913 R 6, SPR_BREAKPOINT!!914 R 6, SPR_BREAKPOINT!!915 R 6, SPR_BREAKPOINT!!916 R 5, SPR_BREAKPOINT!!917 R 0, SPR_BREAKPOINT!!918 R 0, SPR_BREAKPOINT!!919 R 6
  SPR_BREAKPOINT!!920 R 6, SPR_BREAKPOINT!!921 R 6, SPR_BREAKPOINT!!922 R 6, SPR_BREAKPOINT!!923 R 6, SPR_BREAKPOINT!!924 R 6, SPR_BREAKPOINT!!925 R 6, SPR_BREAKPOINT!!926 R 6, SPR_BREAKPOINT!!927 R 0
  SPR_BREAKPOINT!!928 R 6, SPR_BREAKPOINT!!929 R 6, SPR_BREAKPOINT!!930 R 6, SPR_BREAKPOINT!!931 R 5, SPR_BREAKPOINT!!932 R 6, SPR_BREAKPOINT!!933 R 6, SPR_BREAKPOINT!!934 R 6, SPR_BREAKPOINT!!935 R 6
  SPR_BREAKPOINT!!936 R 0, SPR_BREAKPOINT!!937 R -1, SPR_BREAKPOINT!!938 R -1, SPR_BREAKPOINT!!939 R -1, SPR_BREAKPOINT!!940 R -1, SPR_BREAKPOINT!!941 R -1, SPR_BREAKPOINT!!942 R -1, SPR_BREAKPOINT!!943 R 0
  SPR_BREAKPOINT!!944 R 0, SPR_BREAKPOINT!!945 R 6, SPR_BREAKPOINT!!946 R 6, SPR_BREAKPOINT!!947 R 0, SPR_BREAKPOINT!!948 R 0, SPR_BREAKPOINT!!949 R 0, SPR_BREAKPOINT!!950 R 6, SPR_BREAKPOINT!!951 R 6
  SPR_BREAKPOINT!!952 R 6, SPR_BREAKPOINT!!953 R 6, SPR_BREAKPOINT!!954 R 6, SPR_BREAKPOINT!!955 R 6, SPR_BREAKPOINT!!956 R 6, SPR_BREAKPOINT!!957 R 0, SPR_BREAKPOINT!!958 R -1, SPR_BREAKPOINT!!959 R 0
  SPR_BREAKPOINT!!960 R 6, SPR_BREAKPOINT!!961 R 5, SPR_BREAKPOINT!!962 R 6, SPR_BREAKPOINT!!963 R 6, SPR_BREAKPOINT!!964 R 6, SPR_BREAKPOINT!!965 R 0, SPR_BREAKPOINT!!966 R 5, SPR_BREAKPOINT!!967 R 5
  SPR_BREAKPOINT!!968 R 6, SPR_BREAKPOINT!!969 R 6, SPR_BREAKPOINT!!970 R 6, SPR_BREAKPOINT!!971 R 0, SPR_BREAKPOINT!!972 R 0, SPR_BREAKPOINT!!973 R 0, SPR_BREAKPOINT!!974 R 6, SPR_BREAKPOINT!!975 R 6
  SPR_BREAKPOINT!!976 R 5, SPR_BREAKPOINT!!977 R 6, SPR_BREAKPOINT!!978 R 0, SPR_BREAKPOINT!!979 R 6, SPR_BREAKPOINT!!980 R 6, SPR_BREAKPOINT!!981 R 5, SPR_BREAKPOINT!!982 R 5, SPR_BREAKPOINT!!983 R 5
  SPR_BREAKPOINT!!984 R 0, SPR_BREAKPOINT!!985 R 6, SPR_BREAKPOINT!!986 R 6, SPR_BREAKPOINT!!987 R 6, SPR_BREAKPOINT!!988 R 6, SPR_BREAKPOINT!!989 R 0, SPR_BREAKPOINT!!990 R 0, SPR_BREAKPOINT!!991 R 6
  SPR_BREAKPOINT!!992 R 6, SPR_BREAKPOINT!!993 R 6, SPR_BREAKPOINT!!994 R 6, SPR_BREAKPOINT!!995 R 0, SPR_BREAKPOINT!!996 R 0, SPR_BREAKPOINT!!997 R 6, SPR_BREAKPOINT!!998 R 6, SPR_BREAKPOINT!!999 R 6
  SPR_BREAKPOINT!!1000 R 0, SPR_BREAKPOINT!!1001 R 0, SPR_BREAKPOINT!!1002 R 0, SPR_BREAKPOINT!!1003 R 0, SPR_BREAKPOINT!!1004 R -1, SPR_BREAKPOINT!!1005 R -1, SPR_BREAKPOINT!!1006 R -1, SPR_BREAKPOINT!!1007 R -1
  SPR_BREAKPOINT!!1008 R -1, SPR_BREAKPOINT!!1009 R 0, SPR_BREAKPOINT!!1010 R 0, SPR_BREAKPOINT!!1011 R 6, SPR_BREAKPOINT!!1012 R 6, SPR_BREAKPOINT!!1013 R 0, SPR_BREAKPOINT!!1014 R 6, SPR_BREAKPOINT!!1015 R 0
  SPR_BREAKPOINT!!1016 R 0, SPR_BREAKPOINT!!1017 R 6, SPR_BREAKPOINT!!1018 R 6, SPR_BREAKPOINT!!1019 R 6, SPR_BREAKPOINT!!1020 R 5, SPR_BREAKPOINT!!1021 R 6, SPR_BREAKPOINT!!1022 R 6, SPR_BREAKPOINT!!1023 R 6
  SPR_BREAKPOINT!!1024 R 0, SPR_BREAKPOINT!!1025 R 0, SPR_BREAKPOINT!!1026 R 0, SPR_BREAKPOINT!!1027 R 6, SPR_BREAKPOINT!!1028 R 6, SPR_BREAKPOINT!!1029 R 5, SPR_BREAKPOINT!!1030 R 6, SPR_BREAKPOINT!!1031 R 6
  SPR_BREAKPOINT!!1032 R 0, SPR_BREAKPOINT!!1033 R 6, SPR_BREAKPOINT!!1034 R 5, SPR_BREAKPOINT!!1035 R 5, SPR_BREAKPOINT!!1036 R 6, SPR_BREAKPOINT!!1037 R 6, SPR_BREAKPOINT!!1038 R 0, SPR_BREAKPOINT!!1039 R 0
  SPR_BREAKPOINT!!1040 R 6, SPR_BREAKPOINT!!1041 R 6, SPR_BREAKPOINT!!1042 R 5, SPR_BREAKPOINT!!1043 R 5, SPR_BREAKPOINT!!1044 R 6, SPR_BREAKPOINT!!1045 R 0, SPR_BREAKPOINT!!1046 R 6, SPR_BREAKPOINT!!1047 R 6
  SPR_BREAKPOINT!!1048 R 5, SPR_BREAKPOINT!!1049 R 6, SPR_BREAKPOINT!!1050 R 0, SPR_BREAKPOINT!!1051 R 0, SPR_BREAKPOINT!!1052 R 6, SPR_BREAKPOINT!!1053 R 6, SPR_BREAKPOINT!!1054 R 5, SPR_BREAKPOINT!!1055 R 5
  SPR_BREAKPOINT!!1056 R 0, SPR_BREAKPOINT!!1057 R 0, SPR_BREAKPOINT!!1058 R 6, SPR_BREAKPOINT!!1059 R 5, SPR_BREAKPOINT!!1060 R 6, SPR_BREAKPOINT!!1061 R 6, SPR_BREAKPOINT!!1062 R 0, SPR_BREAKPOINT!!1063 R 0
  SPR_BREAKPOINT!!1064 R 6, SPR_BREAKPOINT!!1065 R 6, SPR_BREAKPOINT!!1066 R 6, SPR_BREAKPOINT!!1067 R 0, SPR_BREAKPOINT!!1068 R -1, SPR_BREAKPOINT!!1069 R -1, SPR_BREAKPOINT!!1070 R -1, SPR_BREAKPOINT!!1071 R -1
  SPR_BREAKPOINT!!1072 R -1, SPR_BREAKPOINT!!1073 R -1, SPR_BREAKPOINT!!1074 R -1, SPR_BREAKPOINT!!1075 R -1, SPR_BREAKPOINT!!1076 R 0, SPR_BREAKPOINT!!1077 R 6, SPR_BREAKPOINT!!1078 R 6, SPR_BREAKPOINT!!1079 R 6
  SPR_BREAKPOINT!!1080 R 6, SPR_BREAKPOINT!!1081 R 6, SPR_BREAKPOINT!!1082 R 6, SPR_BREAKPOINT!!1083 R 6, SPR_BREAKPOINT!!1084 R 6, SPR_BREAKPOINT!!1085 R 6, SPR_BREAKPOINT!!1086 R 5, SPR_BREAKPOINT!!1087 R 5
  SPR_BREAKPOINT!!1088 R 6, SPR_BREAKPOINT!!1089 R 6, SPR_BREAKPOINT!!1090 R 0, SPR_BREAKPOINT!!1091 R 0, SPR_BREAKPOINT!!1092 R 0, SPR_BREAKPOINT!!1093 R 6, SPR_BREAKPOINT!!1094 R 6, SPR_BREAKPOINT!!1095 R 6
  SPR_BREAKPOINT!!1096 R 6, SPR_BREAKPOINT!!1097 R 6, SPR_BREAKPOINT!!1098 R 0, SPR_BREAKPOINT!!1099 R 0, SPR_BREAKPOINT!!1100 R 6, SPR_BREAKPOINT!!1101 R 6, SPR_BREAKPOINT!!1102 R 6, SPR_BREAKPOINT!!1103 R 6
  SPR_BREAKPOINT!!1104 R 0, SPR_BREAKPOINT!!1105 R 0, SPR_BREAKPOINT!!1106 R 0, SPR_BREAKPOINT!!1107 R 6, SPR_BREAKPOINT!!1108 R 6, SPR_BREAKPOINT!!1109 R 5, SPR_BREAKPOINT!!1110 R 6, SPR_BREAKPOINT!!1111 R 6
  SPR_BREAKPOINT!!1112 R 0, SPR_BREAKPOINT!!1113 R 6, SPR_BREAKPOINT!!1114 R 5, SPR_BREAKPOINT!!1115 R 5, SPR_BREAKPOINT!!1116 R 6, SPR_BREAKPOINT!!1117 R 0, SPR_BREAKPOINT!!1118 R 0, SPR_BREAKPOINT!!1119 R 6
  SPR_BREAKPOINT!!1120 R 5, SPR_BREAKPOINT!!1121 R 5, SPR_BREAKPOINT!!1122 R 6, SPR_BREAKPOINT!!1123 R 0, SPR_BREAKPOINT!!1124 R 0, SPR_BREAKPOINT!!1125 R 6, SPR_BREAKPOINT!!1126 R 5, SPR_BREAKPOINT!!1127 R 6
  SPR_BREAKPOINT!!1128 R 6, SPR_BREAKPOINT!!1129 R 0, SPR_BREAKPOINT!!1130 R 0, SPR_BREAKPOINT!!1131 R 6, SPR_BREAKPOINT!!1132 R 6, SPR_BREAKPOINT!!1133 R 5, SPR_BREAKPOINT!!1134 R 0, SPR_BREAKPOINT!!1135 R -1
  SPR_BREAKPOINT!!1136 R -1, SPR_BREAKPOINT!!1137 R -1, SPR_BREAKPOINT!!1138 R -1, SPR_BREAKPOINT!!1139 R -1, SPR_BREAKPOINT!!1140 R -1, SPR_BREAKPOINT!!1141 R -1, SPR_BREAKPOINT!!1142 R 0, SPR_BREAKPOINT!!1143 R 0
  SPR_BREAKPOINT!!1144 R 6, SPR_BREAKPOINT!!1145 R 6, SPR_BREAKPOINT!!1146 R 6, SPR_BREAKPOINT!!1147 R 6, SPR_BREAKPOINT!!1148 R 6, SPR_BREAKPOINT!!1149 R 6, SPR_BREAKPOINT!!1150 R 6, SPR_BREAKPOINT!!1151 R 6
  SPR_BREAKPOINT!!1152 R 6, SPR_BREAKPOINT!!1153 R 5, SPR_BREAKPOINT!!1154 R 6, SPR_BREAKPOINT!!1155 R 6, SPR_BREAKPOINT!!1156 R 6, SPR_BREAKPOINT!!1157 R 0, SPR_BREAKPOINT!!1158 R 0, SPR_BREAKPOINT!!1159 R 0
  SPR_BREAKPOINT!!1160 R 6, SPR_BREAKPOINT!!1161 R 6, SPR_BREAKPOINT!!1162 R 6, SPR_BREAKPOINT!!1163 R 6, SPR_BREAKPOINT!!1164 R 6, SPR_BREAKPOINT!!1165 R 0, SPR_BREAKPOINT!!1166 R 6, SPR_BREAKPOINT!!1167 R 6
  SPR_BREAKPOINT!!1168 R 6, SPR_BREAKPOINT!!1169 R 6, SPR_BREAKPOINT!!1170 R 6, SPR_BREAKPOINT!!1171 R 0, SPR_BREAKPOINT!!1172 R 0, SPR_BREAKPOINT!!1173 R 0, SPR_BREAKPOINT!!1174 R 6, SPR_BREAKPOINT!!1175 R 6
  SPR_BREAKPOINT!!1176 R 5, SPR_BREAKPOINT!!1177 R 6, SPR_BREAKPOINT!!1178 R 0, SPR_BREAKPOINT!!1179 R 0, SPR_BREAKPOINT!!1180 R 6, SPR_BREAKPOINT!!1181 R 6, SPR_BREAKPOINT!!1182 R 6, SPR_BREAKPOINT!!1183 R 6
  SPR_BREAKPOINT!!1184 R 0, SPR_BREAKPOINT!!1185 R 0, SPR_BREAKPOINT!!1186 R 6, SPR_BREAKPOINT!!1187 R 5, SPR_BREAKPOINT!!1188 R 6, SPR_BREAKPOINT!!1189 R 6, SPR_BREAKPOINT!!1190 R 0, SPR_BREAKPOINT!!1191 R 0
  SPR_BREAKPOINT!!1192 R 5, SPR_BREAKPOINT!!1193 R 5, SPR_BREAKPOINT!!1194 R 6, SPR_BREAKPOINT!!1195 R 6, SPR_BREAKPOINT!!1196 R 0, SPR_BREAKPOINT!!1197 R 6, SPR_BREAKPOINT!!1198 R 6, SPR_BREAKPOINT!!1199 R 6
  SPR_BREAKPOINT!!1200 R 6, SPR_BREAKPOINT!!1201 R 0, SPR_BREAKPOINT!!1202 R -1, SPR_BREAKPOINT!!1203 R -1, SPR_BREAKPOINT!!1204 R -1, SPR_BREAKPOINT!!1205 R -1, SPR_BREAKPOINT!!1206 R -1, SPR_BREAKPOINT!!1207 R -1
  SPR_BREAKPOINT!!1208 R 0, SPR_BREAKPOINT!!1209 R 0, SPR_BREAKPOINT!!1210 R 6, SPR_BREAKPOINT!!1211 R 6, SPR_BREAKPOINT!!1212 R 6, SPR_BREAKPOINT!!1213 R 0, SPR_BREAKPOINT!!1214 R 0, SPR_BREAKPOINT!!1215 R 0
  SPR_BREAKPOINT!!1216 R 6, SPR_BREAKPOINT!!1217 R 6, SPR_BREAKPOINT!!1218 R 6, SPR_BREAKPOINT!!1219 R 5, SPR_BREAKPOINT!!1220 R 5, SPR_BREAKPOINT!!1221 R 6, SPR_BREAKPOINT!!1222 R 6, SPR_BREAKPOINT!!1223 R 6
  SPR_BREAKPOINT!!1224 R 6, SPR_BREAKPOINT!!1225 R 6, SPR_BREAKPOINT!!1226 R 6, SPR_BREAKPOINT!!1227 R 6, SPR_BREAKPOINT!!1228 R 6, SPR_BREAKPOINT!!1229 R 6, SPR_BREAKPOINT!!1230 R 6, SPR_BREAKPOINT!!1231 R 6
  SPR_BREAKPOINT!!1232 R 0, SPR_BREAKPOINT!!1233 R 6, SPR_BREAKPOINT!!1234 R 6, SPR_BREAKPOINT!!1235 R 6, SPR_BREAKPOINT!!1236 R 6, SPR_BREAKPOINT!!1237 R 6, SPR_BREAKPOINT!!1238 R 6, SPR_BREAKPOINT!!1239 R 6
  SPR_BREAKPOINT!!1240 R 6, SPR_BREAKPOINT!!1241 R 6, SPR_BREAKPOINT!!1242 R 6, SPR_BREAKPOINT!!1243 R 5, SPR_BREAKPOINT!!1244 R 6, SPR_BREAKPOINT!!1245 R 0, SPR_BREAKPOINT!!1246 R 6, SPR_BREAKPOINT!!1247 R 6
  SPR_BREAKPOINT!!1248 R 6, SPR_BREAKPOINT!!1249 R 6, SPR_BREAKPOINT!!1250 R 6, SPR_BREAKPOINT!!1251 R 0, SPR_BREAKPOINT!!1252 R 0, SPR_BREAKPOINT!!1253 R 6, SPR_BREAKPOINT!!1254 R 6, SPR_BREAKPOINT!!1255 R 6
  SPR_BREAKPOINT!!1256 R 6, SPR_BREAKPOINT!!1257 R 0, SPR_BREAKPOINT!!1258 R 0, SPR_BREAKPOINT!!1259 R 6, SPR_BREAKPOINT!!1260 R 6, SPR_BREAKPOINT!!1261 R 6, SPR_BREAKPOINT!!1262 R 0, SPR_BREAKPOINT!!1263 R 0
  SPR_BREAKPOINT!!1264 R 6, SPR_BREAKPOINT!!1265 R 6, SPR_BREAKPOINT!!1266 R 5, SPR_BREAKPOINT!!1267 R 6, SPR_BREAKPOINT!!1268 R 0, SPR_BREAKPOINT!!1269 R 0, SPR_BREAKPOINT!!1270 R 0, SPR_BREAKPOINT!!1271 R -1
  SPR_BREAKPOINT!!1272 R -1, SPR_BREAKPOINT!!1273 R -1, SPR_BREAKPOINT!!1274 R -1, SPR_BREAKPOINT!!1275 R 0, SPR_BREAKPOINT!!1276 R 6, SPR_BREAKPOINT!!1277 R 6, SPR_BREAKPOINT!!1278 R 0, SPR_BREAKPOINT!!1279 R 0
  SPR_BREAKPOINT!!1280 R 0, SPR_BREAKPOINT!!1281 R -1, SPR_BREAKPOINT!!1282 R 0, SPR_BREAKPOINT!!1283 R 0, SPR_BREAKPOINT!!1284 R 6, SPR_BREAKPOINT!!1285 R 6, SPR_BREAKPOINT!!1286 R 5, SPR_BREAKPOINT!!1287 R 6
  SPR_BREAKPOINT!!1288 R 6, SPR_BREAKPOINT!!1289 R 6, SPR_BREAKPOINT!!1290 R 6, SPR_BREAKPOINT!!1291 R 6, SPR_BREAKPOINT!!1292 R 6, SPR_BREAKPOINT!!1293 R 6, SPR_BREAKPOINT!!1294 R 6, SPR_BREAKPOINT!!1295 R 6
  SPR_BREAKPOINT!!1296 R 6, SPR_BREAKPOINT!!1297 R 6, SPR_BREAKPOINT!!1298 R 0, SPR_BREAKPOINT!!1299 R 0, SPR_BREAKPOINT!!1300 R 0, SPR_BREAKPOINT!!1301 R 6, SPR_BREAKPOINT!!1302 R 6, SPR_BREAKPOINT!!1303 R 6
  SPR_BREAKPOINT!!1304 R 6, SPR_BREAKPOINT!!1305 R 6, SPR_BREAKPOINT!!1306 R 6, SPR_BREAKPOINT!!1307 R 6, SPR_BREAKPOINT!!1308 R 6, SPR_BREAKPOINT!!1309 R 6, SPR_BREAKPOINT!!1310 R 5, SPR_BREAKPOINT!!1311 R 0
  SPR_BREAKPOINT!!1312 R 0, SPR_BREAKPOINT!!1313 R 6, SPR_BREAKPOINT!!1314 R 6, SPR_BREAKPOINT!!1315 R 6, SPR_BREAKPOINT!!1316 R 6, SPR_BREAKPOINT!!1317 R 6, SPR_BREAKPOINT!!1318 R 0, SPR_BREAKPOINT!!1319 R 6
  SPR_BREAKPOINT!!1320 R 6, SPR_BREAKPOINT!!1321 R 6, SPR_BREAKPOINT!!1322 R 6, SPR_BREAKPOINT!!1323 R 0, SPR_BREAKPOINT!!1324 R 0, SPR_BREAKPOINT!!1325 R 0, SPR_BREAKPOINT!!1326 R 6, SPR_BREAKPOINT!!1327 R 6
  SPR_BREAKPOINT!!1328 R 6, SPR_BREAKPOINT!!1329 R 0, SPR_BREAKPOINT!!1330 R 0, SPR_BREAKPOINT!!1331 R 0, SPR_BREAKPOINT!!1332 R 6, SPR_BREAKPOINT!!1333 R 6, SPR_BREAKPOINT!!1334 R 6, SPR_BREAKPOINT!!1335 R 6
  SPR_BREAKPOINT!!1336 R 6, SPR_BREAKPOINT!!1337 R 0, SPR_BREAKPOINT!!1338 R -1, SPR_BREAKPOINT!!1339 R -1, SPR_BREAKPOINT!!1340 R -1, SPR_BREAKPOINT!!1341 R -1, SPR_BREAKPOINT!!1342 R 0, SPR_BREAKPOINT!!1343 R 6
  SPR_BREAKPOINT!!1344 R 0, SPR_BREAKPOINT!!1345 R 0, SPR_BREAKPOINT!!1346 R -1, SPR_BREAKPOINT!!1347 R -1, SPR_BREAKPOINT!!1348 R -1, SPR_BREAKPOINT!!1349 R -1, SPR_BREAKPOINT!!1350 R 0, SPR_BREAKPOINT!!1351 R 5
  SPR_BREAKPOINT!!1352 R 5, SPR_BREAKPOINT!!1353 R 5, SPR_BREAKPOINT!!1354 R 6, SPR_BREAKPOINT!!1355 R 6, SPR_BREAKPOINT!!1356 R 6, SPR_BREAKPOINT!!1357 R 0, SPR_BREAKPOINT!!1358 R 0, SPR_BREAKPOINT!!1359 R 0
  SPR_BREAKPOINT!!1360 R 0, SPR_BREAKPOINT!!1361 R 0, SPR_BREAKPOINT!!1362 R 0, SPR_BREAKPOINT!!1363 R 0, SPR_BREAKPOINT!!1364 R 0, SPR_BREAKPOINT!!1365 R 0, SPR_BREAKPOINT!!1366 R -1, SPR_BREAKPOINT!!1367 R 0
  SPR_BREAKPOINT!!1368 R 0, SPR_BREAKPOINT!!1369 R 0, SPR_BREAKPOINT!!1370 R 0, SPR_BREAKPOINT!!1371 R 0, SPR_BREAKPOINT!!1372 R 0, SPR_BREAKPOINT!!1373 R 0, SPR_BREAKPOINT!!1374 R 0, SPR_BREAKPOINT!!1375 R 0
  SPR_BREAKPOINT!!1376 R 0, SPR_BREAKPOINT!!1377 R 0, SPR_BREAKPOINT!!1378 R 0, SPR_BREAKPOINT!!1379 R 0, SPR_BREAKPOINT!!1380 R 0, SPR_BREAKPOINT!!1381 R 0, SPR_BREAKPOINT!!1382 R 0, SPR_BREAKPOINT!!1383 R 0
  SPR_BREAKPOINT!!1384 R 0, SPR_BREAKPOINT!!1385 R 0, SPR_BREAKPOINT!!1386 R 0, SPR_BREAKPOINT!!1387 R 0, SPR_BREAKPOINT!!1388 R 0, SPR_BREAKPOINT!!1389 R 0, SPR_BREAKPOINT!!1390 R 0, SPR_BREAKPOINT!!1391 R -1
  SPR_BREAKPOINT!!1392 R 0, SPR_BREAKPOINT!!1393 R 0, SPR_BREAKPOINT!!1394 R 0, SPR_BREAKPOINT!!1395 R 0, SPR_BREAKPOINT!!1396 R 0, SPR_BREAKPOINT!!1397 R -1, SPR_BREAKPOINT!!1398 R 0, SPR_BREAKPOINT!!1399 R 0
  SPR_BREAKPOINT!!1400 R 0, SPR_BREAKPOINT!!1401 R 0, SPR_BREAKPOINT!!1402 R 0, SPR_BREAKPOINT!!1403 R 0, SPR_BREAKPOINT!!1404 R 0, SPR_BREAKPOINT!!1405 R -1, SPR_BREAKPOINT!!1406 R -1, SPR_BREAKPOINT!!1407 R -1
  SPR_BREAKPOINT!!1408 R -1, SPR_BREAKPOINT!!1409 R 0, SPR_BREAKPOINT!!1410 R 0, SPR_BREAKPOINT!!1411 R 0, SPR_BREAKPOINT!!1412 R -1, SPR_BREAKPOINT!!1413 R -1, SPR_BREAKPOINT!!1414 R -1, SPR_BREAKPOINT!!1415 R -1
  SPR_BREAKPOINT!!1416 R -1, SPR_BREAKPOINT!!1417 R 0, SPR_BREAKPOINT!!1418 R 5, SPR_BREAKPOINT!!1419 R 6, SPR_BREAKPOINT!!1420 R 6, SPR_BREAKPOINT!!1421 R 6, SPR_BREAKPOINT!!1422 R 6, SPR_BREAKPOINT!!1423 R 6
  SPR_BREAKPOINT!!1424 R 0, SPR_BREAKPOINT!!1425 R -1, SPR_BREAKPOINT!!1426 R -1, SPR_BREAKPOINT!!1427 R -1, SPR_BREAKPOINT!!1428 R -1, SPR_BREAKPOINT!!1429 R -1, SPR_BREAKPOINT!!1430 R -1, SPR_BREAKPOINT!!1431 R -1
  SPR_BREAKPOINT!!1432 R -1, SPR_BREAKPOINT!!1433 R -1, SPR_BREAKPOINT!!1434 R -1, SPR_BREAKPOINT!!1435 R -1, SPR_BREAKPOINT!!1436 R -1, SPR_BREAKPOINT!!1437 R -1, SPR_BREAKPOINT!!1438 R -1, SPR_BREAKPOINT!!1439 R -1
  SPR_BREAKPOINT!!1440 R -1, SPR_BREAKPOINT!!1441 R -1, SPR_BREAKPOINT!!1442 R -1, SPR_BREAKPOINT!!1443 R -1, SPR_BREAKPOINT!!1444 R -1, SPR_BREAKPOINT!!1445 R -1, SPR_BREAKPOINT!!1446 R -1, SPR_BREAKPOINT!!1447 R -1
  SPR_BREAKPOINT!!1448 R -1, SPR_BREAKPOINT!!1449 R -1, SPR_BREAKPOINT!!1450 R -1, SPR_BREAKPOINT!!1451 R -1, SPR_BREAKPOINT!!1452 R -1, SPR_BREAKPOINT!!1453 R -1, SPR_BREAKPOINT!!1454 R -1, SPR_BREAKPOINT!!1455 R -1
  SPR_BREAKPOINT!!1456 R -1, SPR_BREAKPOINT!!1457 R -1, SPR_BREAKPOINT!!1458 R -1, SPR_BREAKPOINT!!1459 R -1, SPR_BREAKPOINT!!1460 R -1, SPR_BREAKPOINT!!1461 R -1, SPR_BREAKPOINT!!1462 R -1, SPR_BREAKPOINT!!1463 R -1
  SPR_BREAKPOINT!!1464 R -1, SPR_BREAKPOINT!!1465 R -1, SPR_BREAKPOINT!!1466 R -1, SPR_BREAKPOINT!!1467 R -1, SPR_BREAKPOINT!!1468 R -1, SPR_BREAKPOINT!!1469 R -1, SPR_BREAKPOINT!!1470 R -1, SPR_BREAKPOINT!!1471 R -1
  SPR_BREAKPOINT!!1472 R -1, SPR_BREAKPOINT!!1473 R -1, SPR_BREAKPOINT!!1474 R -1, SPR_BREAKPOINT!!1475 R -1, SPR_BREAKPOINT!!1476 R -1, SPR_BREAKPOINT!!1477 R -1, SPR_BREAKPOINT!!1478 R -1, SPR_BREAKPOINT!!1479 R -1
  SPR_BREAKPOINT!!1480 R -1, SPR_BREAKPOINT!!1481 R -1, SPR_BREAKPOINT!!1482 R -1, SPR_BREAKPOINT!!1483 R 0, SPR_BREAKPOINT!!1484 R 0, SPR_BREAKPOINT!!1485 R 6, SPR_BREAKPOINT!!1486 R 6, SPR_BREAKPOINT!!1487 R 6
  SPR_BREAKPOINT!!1488 R 6, SPR_BREAKPOINT!!1489 R 6, SPR_BREAKPOINT!!1490 R 0, SPR_BREAKPOINT!!1491 R 0, SPR_BREAKPOINT!!1492 R -1, SPR_BREAKPOINT!!1493 R -1, SPR_BREAKPOINT!!1494 R -1, SPR_BREAKPOINT!!1495 R -1
  SPR_BREAKPOINT!!1496 R -1, SPR_BREAKPOINT!!1497 R -1, SPR_BREAKPOINT!!1498 R -1, SPR_BREAKPOINT!!1499 R -1, SPR_BREAKPOINT!!1500 R -1, SPR_BREAKPOINT!!1501 R -1, SPR_BREAKPOINT!!1502 R -1, SPR_BREAKPOINT!!1503 R -1
  SPR_BREAKPOINT!!1504 R -1, SPR_BREAKPOINT!!1505 R -1, SPR_BREAKPOINT!!1506 R -1, SPR_BREAKPOINT!!1507 R -1, SPR_BREAKPOINT!!1508 R -1, SPR_BREAKPOINT!!1509 R -1, SPR_BREAKPOINT!!1510 R -1, SPR_BREAKPOINT!!1511 R -1
  SPR_BREAKPOINT!!1512 R -1, SPR_BREAKPOINT!!1513 R -1, SPR_BREAKPOINT!!1514 R -1, SPR_BREAKPOINT!!1515 R -1, SPR_BREAKPOINT!!1516 R -1, SPR_BREAKPOINT!!1517 R -1, SPR_BREAKPOINT!!1518 R -1, SPR_BREAKPOINT!!1519 R -1
  SPR_BREAKPOINT!!1520 R -1, SPR_BREAKPOINT!!1521 R -1, SPR_BREAKPOINT!!1522 R -1, SPR_BREAKPOINT!!1523 R -1, SPR_BREAKPOINT!!1524 R -1, SPR_BREAKPOINT!!1525 R -1, SPR_BREAKPOINT!!1526 R -1, SPR_BREAKPOINT!!1527 R -1
  SPR_BREAKPOINT!!1528 R -1, SPR_BREAKPOINT!!1529 R -1, SPR_BREAKPOINT!!1530 R -1, SPR_BREAKPOINT!!1531 R -1, SPR_BREAKPOINT!!1532 R -1, SPR_BREAKPOINT!!1533 R -1, SPR_BREAKPOINT!!1534 R -1, SPR_BREAKPOINT!!1535 R -1
  SPR_BREAKPOINT!!1536 R -1, SPR_BREAKPOINT!!1537 R -1, SPR_BREAKPOINT!!1538 R -1, SPR_BREAKPOINT!!1539 R -1, SPR_BREAKPOINT!!1540 R -1, SPR_BREAKPOINT!!1541 R -1, SPR_BREAKPOINT!!1542 R -1, SPR_BREAKPOINT!!1543 R -1
  SPR_BREAKPOINT!!1544 R -1, SPR_BREAKPOINT!!1545 R -1, SPR_BREAKPOINT!!1546 R -1, SPR_BREAKPOINT!!1547 R -1, SPR_BREAKPOINT!!1548 R -1, SPR_BREAKPOINT!!1549 R -1, SPR_BREAKPOINT!!1550 R 0, SPR_BREAKPOINT!!1551 R 6
  SPR_BREAKPOINT!!1552 R 6, SPR_BREAKPOINT!!1553 R 6, SPR_BREAKPOINT!!1554 R 6, SPR_BREAKPOINT!!1555 R 6, SPR_BREAKPOINT!!1556 R 6, SPR_BREAKPOINT!!1557 R 0, SPR_BREAKPOINT!!1558 R -1, SPR_BREAKPOINT!!1559 R -1
  SPR_BREAKPOINT!!1560 R -1, SPR_BREAKPOINT!!1561 R -1, SPR_BREAKPOINT!!1562 R -1, SPR_BREAKPOINT!!1563 R -1, SPR_BREAKPOINT!!1564 R -1, SPR_BREAKPOINT!!1565 R -1, SPR_BREAKPOINT!!1566 R -1, SPR_BREAKPOINT!!1567 R -1
  SPR_BREAKPOINT!!1568 R -1, SPR_BREAKPOINT!!1569 R -1, SPR_BREAKPOINT!!1570 R -1, SPR_BREAKPOINT!!1571 R -1, SPR_BREAKPOINT!!1572 R -1, SPR_BREAKPOINT!!1573 R -1, SPR_BREAKPOINT!!1574 R -1, SPR_BREAKPOINT!!1575 R -1
  SPR_BREAKPOINT!!1576 R -1, SPR_BREAKPOINT!!1577 R -1, SPR_BREAKPOINT!!1578 R -1, SPR_BREAKPOINT!!1579 R -1, SPR_BREAKPOINT!!1580 R -1, SPR_BREAKPOINT!!1581 R -1, SPR_BREAKPOINT!!1582 R -1, SPR_BREAKPOINT!!1583 R -1
  SPR_BREAKPOINT!!1584 R -1, SPR_BREAKPOINT!!1585 R -1, SPR_BREAKPOINT!!1586 R -1, SPR_BREAKPOINT!!1587 R -1, SPR_BREAKPOINT!!1588 R -1, SPR_BREAKPOINT!!1589 R -1, SPR_BREAKPOINT!!1590 R -1, SPR_BREAKPOINT!!1591 R -1
  SPR_BREAKPOINT!!1592 R -1, SPR_BREAKPOINT!!1593 R -1, SPR_BREAKPOINT!!1594 R -1, SPR_BREAKPOINT!!1595 R -1, SPR_BREAKPOINT!!1596 R -1, SPR_BREAKPOINT!!1597 R -1, SPR_BREAKPOINT!!1598 R -1, SPR_BREAKPOINT!!1599 R -1
  SPR_BREAKPOINT!!1600 R -1, SPR_BREAKPOINT!!1601 R -1, SPR_BREAKPOINT!!1602 R -1, SPR_BREAKPOINT!!1603 R -1, SPR_BREAKPOINT!!1604 R -1, SPR_BREAKPOINT!!1605 R -1, SPR_BREAKPOINT!!1606 R -1, SPR_BREAKPOINT!!1607 R -1
  SPR_BREAKPOINT!!1608 R -1, SPR_BREAKPOINT!!1609 R -1

  OBTW
  ***** BIG FONT **************************************************************
  TLDR
  CHR_M!!0 R 5, CHR_M!!1 R 7, CHR_M!!2 R 0, CHR_M!!3 R 0, CHR_M!!4 R 0, CHR_M!!5 R 0, CHR_M!!6 R 0, CHR_M!!7 R 0
  CHR_M!!8 R 6, CHR_M!!9 R 0, CHR_M!!10 R 6, CHR_M!!11 R 0, CHR_M!!12 R 0, CHR_M!!13 R 6, CHR_M!!14 R 6, CHR_M!!15 R 6
  CHR_M!!16 R 0, CHR_M!!17 R 0, CHR_M!!18 R 6, CHR_M!!19 R 0, CHR_M!!20 R 6, CHR_M!!21 R 0, CHR_M!!22 R 0, CHR_M!!23 R 6
  CHR_M!!24 R 0, CHR_M!!25 R 6, CHR_M!!26 R 0, CHR_M!!27 R 0, CHR_M!!28 R 6, CHR_M!!29 R 0, CHR_M!!30 R 6, CHR_M!!31 R 0
  CHR_M!!32 R 0, CHR_M!!33 R 0, CHR_M!!34 R 0, CHR_M!!35 R 0, CHR_M!!36 R 0
  CHR_N!!0 R 5, CHR_N!!1 R 7, CHR_N!!2 R 0, CHR_N!!3 R 0, CHR_N!!4 R 0, CHR_N!!5 R 0, CHR_N!!6 R -1, CHR_N!!7 R 0
  CHR_N!!8 R 6, CHR_N!!9 R 6, CHR_N!!10 R 0, CHR_N!!11 R 0, CHR_N!!12 R 0, CHR_N!!13 R 6, CHR_N!!14 R 0, CHR_N!!15 R 6
  CHR_N!!16 R 0, CHR_N!!17 R 0, CHR_N!!18 R 6, CHR_N!!19 R 0, CHR_N!!20 R 6, CHR_N!!21 R 0, CHR_N!!22 R 0, CHR_N!!23 R 6
  CHR_N!!24 R 0, CHR_N!!25 R 6, CHR_N!!26 R 0, CHR_N!!27 R 0, CHR_N!!28 R 6, CHR_N!!29 R 0, CHR_N!!30 R 6, CHR_N!!31 R 0
  CHR_N!!32 R 0, CHR_N!!33 R 0, CHR_N!!34 R 0, CHR_N!!35 R 0, CHR_N!!36 R 0
  CHR_O!!0 R 5, CHR_O!!1 R 7, CHR_O!!2 R -1, CHR_O!!3 R 0, CHR_O!!4 R 0, CHR_O!!5 R 0, CHR_O!!6 R -1, CHR_O!!7 R 0
  CHR_O!!8 R 0, CHR_O!!9 R 6, CHR_O!!10 R 0, CHR_O!!11 R 0, CHR_O!!12 R 0, CHR_O!!13 R 6, CHR_O!!14 R 0, CHR_O!!15 R 6
  CHR_O!!16 R 0, CHR_O!!17 R 0, CHR_O!!18 R 6, CHR_O!!19 R 0, CHR_O!!20 R 6, CHR_O!!21 R 0, CHR_O!!22 R 0, CHR_O!!23 R 6
  CHR_O!!24 R 0, CHR_O!!25 R 6, CHR_O!!26 R 0, CHR_O!!27 R 0, CHR_O!!28 R 0, CHR_O!!29 R 6, CHR_O!!30 R 0, CHR_O!!31 R 0
  CHR_O!!32 R -1, CHR_O!!33 R 0, CHR_O!!34 R 0, CHR_O!!35 R 0, CHR_O!!36 R -1

  OBTW
  ***** RUN THE MAIN CODE (at last!) ******************************************
  TLDR       
  DEMO!!RUN
KTHXBYE
